-----------------------------------------
--------- KNOWN ISSUES - 0.18.3 --------
-----------------------------------------

------ GAMEPLAY -------

- If you are lucky, your pulse lasers occasionally will fire an additional laser pulse. Despite being useful in some situations, this is not intended. Sorry! :)
- In the Coupled Unlocked mode, when the reticule is very close to the center of the screen, the torso will stop moving, but the reticule will keep trying to recenter.
- BA SRMs always update in the HUD correctly whether they are selected or not, but only after they have been selected once after a respawn happened. After they have been selected, weapons can be switched, and they will always update correctly.
- When left empty, each BA SRM tube needs to be manually reloaded (can be initiated by using the fire button)
- BA hardmount MG cannot be fired during SRM reload while the SRM are selected
- BA arm remains in position when hardmount MG is expended - weapon switch clears it
- BA hardmount MG triggers "reloading" state on one of the SRM indicators when they are selected
- BA hardmount MG lacks a muzzleflash effect. (it was heavily bugged) Tracers still work properly, however. 
- Bpod hit detection remains buggy
- In rare cases directly after buying an asset, a mixed weapon group will only fire for one cycle and then stop. Works normally after that.
- BA will show up as both air and surface targets
- Upon entering a Heavy Vtol your Free Reticule setting will be forced to On (Off is not supported on them) since this is a global setting, next time you get in a mech it will still be on, so if you prefer off in mechs you will need to press the button to turn it off every time after you take a heavy vtol.
- Spawning into Hvtols is disallowing BA weapon purchases due to the bugzone flag not getting updated correctly; thus it depends on if you were in a buy zone when you died whether it will work or not.

---- GAME SYSTEMS -----

- Crashes can happen. Workarounds are available in the Troubleshooting guide.
- You might get stuck in the connecting screen. This depends on your ISP, but if that happens, a workaround is available in our Troubleshooting guide.

------- AUDIO ---------

- Due to a hack required for new leg sets and animations to create footstep sounds and footstep effects, all mechs will play one footstep sound anytime they come to a complete stop even though they are not moving.
-------- MAPS ---------

- TC_Palisades: Both ASF factories will only build one ASF at a time.
- TC_Tukayyid trees may still cause some convergence issues when aiming directly at them. We are working on a permanent solution to this, but the most prominent issue with the trees has been resolved
- TC_Scorched on low settings may cause blinding issues in the water

-------- HUD ----------

- Certain HUD elements might overlap other UI elements.
- BA SRM ammo counter does not update until the weapon was selected and the reload on them was triggered once
- There is a hang up in frames when you switch targets when using the tank HUD.
- BA SRM ammo counter states you have one ammo when you spawn, which you do not. This could not be easily fixed as it is a default state problem rather than it reading your actual ammo. Once you switch to the weapon, it will read your actual ammo and update.

------ CONTROLS -------

- DirectInput Joystick support has been removed due to instability. You can continue using your joystick by following this guide: https://wiki.mechlivinglegends.net/index.php/Joystick_Setup

-------- VISUAL -------

- Enabling R_TexturesStreaming 1 will result in several material features being unsupported, which will cause several unintended graphical problems.
- Sometimes solid yellow camo looks like gold on certain assets
- Sometimes darker camos will appear to have a uniform sheen over them in certain lighting, this is because the gloss in diffalpha feature fails, which many older assets rely on for their specular data. It is unclear why this happens.

-----------------------------------------
------------- VERSION 0.18.3 ------------
-----------------------------------------

------ GAMEPLAY -------

- Reduced minimum arming range on MRMs to 55m from 60m.
- Reduced offset factor on MRMs to 1.25 from 1.525 on large MRM (non 10) launchers. This reduces the amount of missiles in the larger clouds which will always miss against even large targets. 
- Globally reduced and standardized locktime on ground based standard (c)LRMs to 1.6 seconds. Since LRMs fly the slowest and are most telegraphed of the non-artillery missiles, I've decided to cut down their locktime to encourage more ease of use with aggressive play.
- Reduced heat per shot on the HVAC10 to 28 from 33.
- Increased Clan LBX5 price by 500.
- Increased VtolRAC5 price by 2k.

- Blacklanner
	- Removed 360 torso twist capability, it for now has -100/100 degree yaw capability.
	 	(NOTE: It is very rare that I will flatly nerf an asset [especially one of the older/WS ones] but after years of trying to ignore the Blanner by not driving it personally I have been driving it more often and confirmed my conclusion that its survivability/mobility is so disgustingly out of balance with everything else that it truly feels like I am playing a different game when I use it.
			I have for several years considered how to bring it more in line with every other asset in the game but there is little to no wiggle room in its buildrules without failing to be able to construct the CBT prime variant (which is my minimum rule for tonnage allotment) and its extreme speed and armor are too purpose built to play around with without ruining the spirit of the CBT original.
			Understand that the Blanner has some of the most exceptional buildrules in order to function properly (have enough heatsinks to actually use weapons and masc).
			Thus, my best option ended up being to compare it to its closest cousin in the game, the Owens. The Owens shares the design philosophy of maximizing speed and armor at the cost of weapons. However the Owens has the worst torso twist in the game while the Lanner has the best possible. The Lanner now still has better twist than that (same as the Ryoken) but has lost 360.
			I will monitor the effectiveness of the Blanner from here and adjust twisting capabilities, cost, and ticket/tier numbers as needed.)
- Huit
	- Angled Arrow launcher helpers in a more upward trajectory on the Prime so that arrows will rain down at a steeper angle. Arrrows on the C variant retain their current more shallow launch angle for more aggressive play.
- SM1
	- Moved armor from sides to front
- Hawkmoth
	- Reworked base chassis cost across the board to better throttle when they appear in the gameflow.
- Avar
	- Adjusted Avar B pricing to give the C company as an early rank choice.
- Hollander
	- Moved Hollander Prime to a Light Fusion Engine for some durability and a cheaper rank cost to fill out the variant deadzone around 54k rank.

- Variant tweaks or changes
	SM1 A/C, Anhur C, Epona A, Mars F, Uziel D, Thanatos E, Rommel G, Partisan D, Osiris B, Hollander Prime, Fafnir F, Xerxes C, Corsair Prime, Hawkmoth G, Orion G

- MKII
	- Adjusted some missing extra cost for armor allotment on the A to help bring it in line with the other variants in cost.
- Corsair
	- Moved the LLs and MLs on the Prime to their ground versions to remove some bonus damage against aircraft and throttle its oppressiveness against other ASF somewhat.

-------- VISUAL -------

- Changed the light source radius for the Heavy Flamer from 15 to 25 to bring the light effect closer to the missile lighting radius effect without it being oppressive.
- Fixed misaligned arrow launcher geometry on the Huit and added custom ATM12 launcher geometry

-----------------------------------------
------------- VERSION 0.18.2 ------------
-----------------------------------------

------ GAMEPLAY -------

- Increased hatch escape timer from 2 seconds to 12 on all dual and triple arrow platforms. (this was done to prevent one player using the firepower of more than one platform at a time, which is against intended design). Note that this will not effect initial eject timing on the Catapult or MKII, nor will it effect ejection timing on selling.

- Variant tweaks or changes
	SM1 A/C, Karnov B

------ BUG FIXES ------

- Fixed HMgun sound problem on Enfield A

-----------------------------------------
------------- VERSION 0.18.1 ------------
-----------------------------------------

------ GAMEPLAY -------

- Weapons
	- Reduced min and max spread on all HAGs by .02.
	- Increased Heavy Flamer damage to 40/74 from 38/68.
	- Reduced Heavy Flamer heat damage to 12 from 15.


- Variant tweaks or changes
	JES B

------ VISUAL ------
- Reduced beam glare radius/angle slightly on standard headlights. 

------ BUG FIXES ------

- Fixed heat per shot on air MRM30 to the correct 4 (from 44).

------ MAPS ------

TC_Bogs:
- Changed TOD to default start at 17h, night TOD ambiet light made a bit darker, night time passes mroe quickly, HDR effect toned down between 10h and 15h.
-----------------------------------------
------------- VERSION 0.18.0 ------------
-----------------------------------------

------ GAMEPLAY -------

- New Assets 
	- New Clan Medium Hovercraft SM1 Tank Destroyer (50t); ticket cost 6; tier 6
	  -Note: Due to not having a turret (the gun is allowed 15 degrees yaw and -8/35 pitch) the SM1 is allowed less damage transfer to hull through the turret and front armor sections. In addition, it gains extra speed when back pedalling compared to other hovercraft and less speed lost when engine damage is taken.
	- New InnerSphere Medium Hovercraft JES-I Tactical Missile Carrier(50t); ticket cost 6; tier 6
	  -Notes: The JES is a strange vehicle in CBT. It has an extremely small and cheap engine resulting in slow speed, but due to how engine buildrules on hovercraft function in tandem with how suspension factor works, it still must count this tiny engine at the minimum 10 tons (one fifth total weight of the vehicle).
		 MWLL respects this rule and will not be increasing its speed (even though it could easily increase it with a larger engine as later designs of the JES do indeed include). However, due to its overwhelming firepower it cannot be as cheap as the CBT JES could be. 
		 Thus it is built with all of its vulnerabilities (no turret support/extremely poor armor/ extremely slow for a hovercraft) with the idea that these will offset its absurd firepower for its size/cost. However, its tiny engine will be respected when it comes to damage transfer rates; 
                 these will be reduced across the board on all sides and engine loss penalty will be further reduced to be minimal in addition to the turretless concessions the SM1 enjoys.
	- New Clan Weapon Heavy Flamer; 1.5x damage and heat damage as a normal flamer and 50m extra range.

- Weapons
	- Reduced gravity on thumper ammo to 5.81 from 9.81
	- Reduced gravity on snumbnose thumper ammo to 7.65 from 8.82
	- Increased snubnose thumper reload time to 15 from 14
	- Increased snubnose thumper rate of fire to 8 from 7
	- Reduced Thumper heatpershot to 190 from 200
	- Reduced Thumper reload time to 10 from 14
	- Increased Thumper rate of fire to 10 from 9
	- Reduced Stable thumper heatpershot to 190 from 200
	- Reduced stable thumper reload time to 11 from 14
	- Increased stable thumper rate of fire to 9 from 8
	- Overall sanity pass for Missile splash mechanics (many had strange and inconsistent numbers for inner/outer splash and physics splash). The only nerf/buffs of note were on the bottom end (LRM/ATM-STD-ER splash went from 1.0 to 1.1m) and the top end (MRM splash went from 1.5 to 1.35m). Also rounded off many overly long floats among damage and heat numbers to integers.
	- Restored CERPPC damage to equal 150% damage of a PPC shot like it does in CBT, this was always intended and its unclear when or how it got changed. 
	- Reworked Arrow IVs to allow for more aggressive play while not buffing their damage or performance at longer ranges. This was done by adjusting their tracking and cruise altitude to achieve a rough minimum range of 325m on flat ground (it was 500m before). This should allow a vehicle like the Huit to close in more aggressively while still maintaining fire support. 
	- Reworked Cluster Arrow IVs to be more about constant barrage while dealing less overall damage (as well as having the same Reduced minimum range); 
		- Increased clipsize of cluster arrow to 72 from 64
		- Reduced damage of cluster arrow to 80/55 from 88/59
		- Increased rate of fire on cluster arrows to 12 from 7
		- Reduced heat per shot on cluster arrows to 25 from 30
	- Increased clan heavy small laser range to 250m from 200m 
	- Increased cost of UAC10 (both clan and IS) by 2k
- Rommel
	- Increased Thumper Rommel turret turn rate to 60 from 55

- Madcat MKII
	- The MKII now enjoys the same half ton JJ rule the Sunder does, the extra tonnage was mostly used to upgrade the JJs or add armor/DHS.

- Uller
	- Shifted spotlight away from crosshair

- Lobo
	- Fixed incorrectly used diffuse on camos resulting in muddy looking colors.

- Variant tweaks or changes
	Catapult Prime - Maler C - MKII A/E - Schrek C - Regulator C - Partisan D - Cougar A - Daishi E - Epona D/E - Behemoth E - Avatar Prime - Atlas Prime - Masakari B - Shoden A - Avatar G

---- GAME SYSTEMS -----

- Adjusted e_shadows_cast_view_dist_ratio to 0.65 from 0.45 and r_DynTexMaxSize to 320 from 256 as well as allowing particle lights on default graphics.cfg
- More Texture optimizations sprinkled throughout the build
- Corrected all buy menu data for stated top speeds on ground vehicles to be correct topspeeds on flat ground. (was full of misinformation before)
- Changed default actionmap of v_changeseat from "null" to "f3" used for cycling seats in vehicles and will be needed to exit HVTOLs properly

------ VISUAL ------

- Adjusted the night vision filter to be more visually useful and appealing.
- Brightened up Warhammer/Rifleman spotlights to be useful & increase their flare/beam effects to be seen from greater distances. 
	Increased other asset lights range/intensity by ~25% with tweaked flare/beam effect.
- Added Dynamic lighting effects on missile trails, LT, thumper, snub, arrows.
- Flamer lighting effect added.
- AC ballistics - added muzzle flash lighting.
- PPC flash effect on firing and impact.
- RAC5 impact rocks reduced count and particle time.
- Missile impact, cluster bomb effects reduced count and particle time.
- Missile smoke trails reduced count.
- Add tweaked wildass smoke grenade effects.
- Fixed faulty UV on Medium Pulse Laser Barrel.
- Fixed Zfighting issue on large radar dishes.
- Optimized PPC effects to cut down on memory usage by 50%.
- Tweaked mgun hit particles on several material types to prevent default crysis effect being used (was much too performance intensive).

------ BUG FIXES ------

- Removed animnations on VTOL pad hanger doors, moved spawn area up above the closed doors, and moved the floor below up to be just below the doors; this should solve the issue with hvtols sometimes taking damage when spawning.
- Moved the occlusion floor in the main hangers to match the visual floors. This MIGHT help with desync issues with assets falling to the ground and/or getting stuck on build. It might also do nothing; it might also be horribly broken on many maps and require a hotfix to revert! :)
- Bandaid for HVtol BA spawning not being allowed to buy weapons; The initial spawn will be further back in the spawn bay, the exit point for this spawn will be inside the bay, this will hopefully allow the BA to exit the vechile and quickly reenter while in flight. Doing this should bypass the buy area bug (which remains obscure and unfixed). 
	The BA can then change seats (NOTE DO NOT CHANGE SEATS BEFORE EXITING AND REENTERING AS THIS WILL BOOT YOU FROM THE VEHICLE IN AN UNDEAD STATE [this was present as a bug in the last version as well] to the "exit" seat which will be indicated by the camera being closer to the door, the exit helper for this seat should be outside and behind the vtol so you can drop into battle.
- Adjusted surface types on the materials for hovers and tanks to prevent the overabundance of hitparticles from weapons fire present since the overall material rework.
- Fix for a rare crash in firegroup manager when removing weapons.

------ MAPS ------

TC_Dune:
Perf fixes - pruned/resized too large decals causing stuttering upon load, removed some background clutter.
Removed/replaced objects to save mem.
Added BA bunkers 400m from mid cap tied to ammo cap points. 

TC_Canyons:
Mechtraps removed.
Tunnel roof fixes.

TC_Outskirts:
Big FPS increase, bit less mem usage.
Fwd mech bays queue builds properly, fwd rep pads have ammo buy areas.
Light posts / lamps set to no collision.
Added pulsing lights to a bunch of building antennas for the air chavs.

TC_Bogs:
Walking over hangars mech trap fix.
Big FPS optimizations, especially around the mid area. 
Minor tree / vegetation tweaks for a bit less stuckontreeitis.
Lighting tweaks & minor TOD tweaks.

-----------------------------------------
------------- VERSION 0.17.4 ------------
-----------------------------------------

------ GAMEPLAY -------

- Adjusted head hitboxes on the follow assets due to them either being far too large or too small;
	- Cougar, Daishi, Lobo, Archangel, Atlas (now is the right eye area only), Awesome, Bushwacker, Warhammer.

- Madcat MKII 
	- Moved armor from externals into arms.
- Daishi
	- Reduced Base Chassis Cost by 3k.

- Variant tweaks or changes
	MKII A - Daishi A,B - Mithras G - Novacat F - Avatar G - Corsair D.

------ BUG FIXES ------

- Reconfigured hitboxes on the Harasser and Hephaestus to fix several deadzones.
- Included Warhammer cockpit glass into main torso geometry rather than as a called up extra part (this was causing problems with hit detection).


-----------------------------------------
------------- VERSION 0.17.3 ------------
-----------------------------------------

------- AUDIO ---------

- Added morepointer safety checks to footstep code to help with debugging thbe intermittent crash on build problem.


-----------------------------------------
------------- VERSION 0.17.2 ------------
-----------------------------------------

----- GAMEPLAY ------

- Increased weapon cost of the Sniper Artillery to 37900 from 32000

- Variant tweaks or changes
	- Daishi A - Lobo C - Enfield F - Ares B

- Lobo
	- Reduced hitbox sizes for externals to more tightly hug the geometry and reduce the overlap on the torsos and arms.

------ BUG FIXES ------

- Removed some third person camera views from live build which were intended for testing in alpha.
- Fix for MKII Arms not using free ret correctly.
 
------- AUDIO ---------

- Added new code to detect non-traditional footfall timings so that mech footstep sounds do not skip over some animations (hellhound walk/commando walk/hellion walk/run) this should allow any further non traditional leg setups to correctly play sounds in the future.

-------- VISUAL -------

- Lobo
	- Reworked running animation to give it both more vertical bob and switching its hip twist to be correctly aligned with which foot it is putting forward, this should also smooth the transition between running and fast walk.

- Hellion
	- Increased hip joint geometry length so that the legs no longer visually seperate from the pelvis when running.

- Shiva
	- Removed geometry from the inner side of the cockpit glass to prevent glare effects from blinding the pilot.

- Changed Sniper Artillery visual to match other artillery pieces for better visibility. 

-------- MAPS ---------

- Adjusted Ammo/Repair points among the capture points on TC_Dune.

-----------------------------------------
------------- VERSION 0.17.1 ------------
-----------------------------------------

----- GAMEPLAY ------

- Variant tweaks or changes
	- Warhammer A,C,D,F - MKII C

------ BUG FIXES ------
- Fixed torso missile weapons helper on Chimera.

---- GAME SYSTEMS -----

- Included a few more textures recompressions.


-----------------------------------------
------------- VERSION 0.17.0 ------------
-----------------------------------------

----- GAMEPLAY ------

- New Assets
	- New Clan Light Mech Hellion (30t); ticket cost 3; tier 5
	  - Note that the called up missile box launchers will count as side torso but will fall off when destroyed and reappear when repaired (like uziel side torsos). 
		This was done because splitting lightmech armor up into externals would be too punishing for survivability and the plug and play nature of the loadouts would make keeping track of them on the paperdoll a chore.
		-Known issue: the hellion has two footfalls at full gallop but sounds only play for one, this will be addressed going forward.
	- New Clan Medium Mech Lobo (40t); ticket cost 6; tier 7
	- New InnerSphere Medium Mech Enfeild (50t); ticket cost 7; tier 7 

- Weapons 
	- ERATMs now have kinetic-air damage type from missile for the purposes of bonus damage against aircraft. 
	  This has also resulted in small bonus damage against tanks and hovercraft but since they were quite awful against those assets to begin with the difference will not be too noticable.
	- Reduced offset_factor(spread) of StreakSRMs to 1.3 from 1.4. Since spread will effectively decrease the further the missile cloud flies, the clan versions were hitting more accurately at their max range than their IS counterparts were hitting at their own maxrange, this should alliviate the problem.
	- Increased firing speed of the MRM40 so that the total firing time better matches the 30 and 20.
	- Removed trivial (.003) heat from Mgun firing and set it to 0, while they never gained any heat from firing this might have been reducing cooling while firing by adding nonzero heat.
	- Reduced maxspread on Mguns to .3 from .4
	- Added Vtol_UAC20 variant which flies slower and only to ground max range (~350m) for use on the Anhur.

- Shadowcat
	- Fix for missing halfton on the Prime (went into armor)
	- Fix for overtonnage on the F; (lost some armor and a heatsink)

- Harasser
	- Retooled massbox and suspension/engine setup in an attempt to address stability issues with remaining upright.

- Orion
	- Changed forward buy rules to be based off engine type rather than speed. All XL engines are backbuy while all Light engines are forward buy.

- Warhammer
	- Reduced base chassis cost by 1k.
	- Tier 10->9

- Rifleman
	- Tier 8->9

- Bushwacker
	- Increased max turn-speed to 1.1 from 1.0

- Warhawk(Masakari)
	- Increased maxheat curve to 915c from 900c.
	  The warhawk in CBT was based heavily on high heat energy loadouts+targeting computer; since we dont have a targeting computer and our heat system is more punishing to clan mechs overall than it is in CBT,
          we've slightly increased the heat capacity of the warhawk against all other mechs to help it better standout in its role against competing options.

- Anhur/Karnov
	- Tweaked the following damage modifiers; Energy 1.0x->1.1x; Energy-air 1.05x -> 1.1x; Heavykinetic 1.0x->1.2x.
		While Hvtol survivability is in a good place when being properly teamshot (as they usually will be) the damage from lasers and Gauss was a bit disappointing when managing to hit them.


	- Regulator Prime, E - Morrigu Prime - Demolisher Prime

------ BUG FIXES ------

- Fixed Warhammer lowerarms not following free reticule properly.
- Fixed Huit normals texture being incorrect file type.
- Fixed various material errors which may have been taxing the game causing instability.
- Fixed Loki lower arms not following free reticule properly and having hitbox issues.
- Fixed silent UAC2s on Corsair B
- Fixed missing buy menu data on Vtols and Orion falsely claiming to have a STD engine rather than a Lt engine.

------- AUDIO ---------

- Note; due to heavily outdated project source files having to be used to add new mech engine sounds, some mech sound tweaks from the past few updates might no longer be included. =/

---- GAME SYSTEMS -----

- Recompressed and optimized entire texture library for more efficent vram usage; this includes all major paks and resulted in significant storage savings for some of them. Further, this may reduce performance drain from the HUD elements as the were completely uncompressed!
- CapturePoint can now be triggered manually, enabling flow graph re-synchronization across clients. (mapper stuff)

------ VISUAL ------

- Retooled the materials and texture sets for every single playable vehicle to save on vram when possible and improve usage of specular layers for better detail visibility.
- All camo materials are now based on their original materials rather than a blanket standard one which should mean they better retain their details and look less bland.
- Updated default graphics.cfg and autoexec.cfg.



-----------------------------------------
------------- VERSION 0.16.3 ------------
-----------------------------------------

------ BUG FIXES ------

- Rebuilt Gamedata.pak to fix leaked HAG20 modification (was used to record sound for APG) which should'nt have been in live build.

SOUND BUG IS BEING INVESTIGATED BUT NO LEADS SO FAR, TAKE CARE USING HEADPHONES WHILE PLAYING

-----------------------------------------
------------- VERSION 0.16.2 ------------
-----------------------------------------

----- GAMEPLAY ------

- Increased AC10 projectile speed to 1650 from 1400
- Increased AC20 projectile speed to 1500 from 1200
- Removed unintended ability for SRMs to follow TAGs
- Reworked Thunderbolt ammo code to make them functionally similar to other missiles (may make them more consistent)
- Rebased all Thunderbolt shared refire rates around a point between the old Tbolt-15 and old Tbolt-10 rates (from Tbolt-20 rate) {read this as faster}

- Anhur
	- Adjusted critical engine modifier to 0.7 engine power from 0.6 to give them minimal ability to fly.

- Karnov
	- Adjusted critical engine modifier to 0.7 engine power from 0.6 to give them minimal ability to fly.
	- Adjusted hitboxes on engines so that they're protected on sides by wing hitboxes so that you will no longer instnantly lose engines if you bump into objects from the side.

- Masakari
	- Reduced size of torso by ~5% on all axis.
	- Reworked hitboxes.
	- Moved torso missile spawn points forward to help prevent missiles appearing to spawn in cockpit effect.
	- Cbill Tier 14 -> 12
	- Ticket Cost 13 -> 12

- Variant tweaks or changes
	- Mithras G, Oro E, Xerxes D, Commando E, Corsair B, Karnov B, Osiris B, Rusalka F, Sparrowhawk Prime, Bushwacker E, Corsair Prime.

------ VISUAL -------

- Added Three new Camo patterns; WaspblackGreen, WaspblackBlue, WaspblackPurple.

- Added/finished cockpit art to the following assets:
	-Avar		-Masakari	-Archangel	-Warhammer
	-Sulla		-Shadowcat	-Atlas		-Hawkmoth
	-Visigoth	-Solitaire	-Chimera	-Karnov(sortof...)
	-Bloodasp	-Uller		-Avatar		-Novacat
	-Cougar		-Anhur		-Fafnir
	-Daishi		-Corsair	-Hollander
	-Loki		-Shiva		-Orion
	-MKII		-SparrowHawk	-Thanatos

-Added normal maps for following existing cockpits:
	-Commando
	-Sunder
	-CauldronBorn

-Fixed wonky UVs causing stretchy textures in Uziel cockpit.

------ BUG FIXES ------

- Fixed syntax error in actionmaps.xml/defaultprofile/actionmapper which was causing some binds to not stick/constantly reset.
- Fixed Jumping Orions sometimes losing all jumpjet fuel and gaining infinite heat capacity (missing leg mass).
- Fixed missing RecoillessRifle modifiers on the Regulator.
- Restored a half ton of Ryoken B which was missing.

---- GAME SYSTEMS -----

- Updated graphics.cfg to include most of the updated balanced user.cfg setting used on the wiki. Better shadow rendering, SSAO on by default for everything not to look so dull/flat, dyntexmaxsize to reduce fps drops on texture heavy locations.
	Also included the function hot keys from the wiki that do:
    	F4 toggles shadow rendering (disabling all shadows will increase FPS)
   	F9 toggles Shader post processing (Very slightly increases FPS but some maps look dull / desaturated with it disabled, removes depth of field blur effect while zooming, removes god-rays and shimmering underwater effects)
   	F10 toggles Crysis's FPS counter
    	F11 toggles net_channelstats - use to diagnose red-x / lossy connection to servers. Check the troubleshooting wiki for net_channelstats details
   	PAUSE toggles HUD - for screenshots
-----------------------------------------
------------- VERSION 0.16.1 ------------
-----------------------------------------

----- GAMEPLAY ------

- Karnov
	- Moved some armor from wings to body
	- Increased average max forward speed up to ~181kph from ~161kph
	- Ticket cost 10->9
	- Tier 11->9
	- Base Chassis cost reduced by 10k
	- Turned mounted RL10s on wings inward by 1 degree to help with convergence 
	- Removed Heavy Kinetic Bonus Modifier, reduced Light Kinetic Bonus Modifier to 1.05 from 1.15
- Anhur
	- Moved some armor from wings to body
	- Increased average max forward speed up to ~181kph from ~161kph
	- Ticket cost 11->10
	- Tier 12->11
	- Base Chassis cost reduced by 10k
	- Removed Heavy Kinetic Bonus Modifier, reduced Light Kinetic Bonus Modifier to 1.05 from 1.15

- Black Lanner
	- Ticket cost 8->10
	- Tier 9->10

- Ryoken
	- Ticket cost 10->9
	- Base Chassis cost reduced by 1k

- Variant tweaks or changes
 	- Oro E, Behemoth B, Karnov Prime/B/E, Anhur B

------ BUG FIXES ------

- Fix for bug where whenever anyone entered an Hvtol all players in server were forced out of Locked Reticule Mode.
- Fixed missing Cougar B radar
- Fixed missing ammo inventories for Hawkmoth and Anhur


-----------------------------------------
------------- VERSION 0.16.0 ------------
-----------------------------------------

---- GAME SYSTEMS -----

	- Added sv_Leaguemode_buy_anywhere function allowing you to purchase any asset anywhere in the field via console command (I.E. buy IS_CommandoPrime or buy CL_OroD) 
	- Added sv_leaguemode_instant_factory setting to build all assets in 1 second. 
	- Added sv_leaguemode_warntime setting to configure duration (in seconds) of leaguemode activation HUD window.
----- GAMEPLAY ------

- New Assets
	- New InnerSphere Heavy Vtol Gunship Karnov (60t); ticket cost 10; tier 11
	- New Clan Heavy Vtol Gunship Anhur (60t); ticket cost 11; tier 12
		Heavy Gunship Vtols are built off extrapolated rules for "support vehicles" and increased VTOL suspension factor beyond 25 tons.
		They generally are slower and turn and pitch slower (relatively much slower) compared to Light Vtols.
		In return, they have free reticule enabled and most all thier weapons in articulated turrets so they can obtain and track targets even with poor pitch and yaw speeds.
		In addition, half of the variants of the Anhur and Karnov have an Infatry Bay allowing BA to spawn and the other half have an Ammo Bay allowing nearby friendlies to reload. All variants have seats for BA ferrying. 
- Weapons 
	- New Clan weapon AP Gauss Array (Anhur exclusive); fires high rate of fire fast flying burst of shots; the array contains 3 AP Gauss, each array has roughly the damage of three small lasers against vehicles plus light kinetic.
	- New InnerSphere weapon RocketLauncher-10 (Karnov exclusive); fires slow stream of high splash rockets directly forward; does not support free ton reloads.
	- Flamer damage modifier against vehicles increased to x0.1 from x0.025
	- Halved fire rate on air LBX5/10/20 and decreased to a third on the air LBX2. Splash damage is on air LBX to help them be more useful against ground and air targets from further away shooting from ASF, however their inclusion on Vtols was causing them to achieve far more DPS than intended.
	   Since ASF require another strafe set up to fire again, ASF should not be affected by these nerfs, Vtols however will retain the splash LBX versions but will be much more affected by these refire delays. The new refire times equalize their overall DPS with their ground versions when taking into account the additional splash damage.
	- Restored some splash radius back to air LBX5 following firerate change.
	- Reduced max ranage of Light Gauss on Vtols to 950 from 1200m.
	- Reduced max range of Air LBX2 to 1000m from 1350m.
	- Walked back some nerfs to the Cluser Arrow-IVs since they became useless.
	- Increased StreakSRM ammo per ton to 96 from 72; Increased inner splash by 0.1m; increased turn speed by 5; decreased offset factor(spread) by .05.
	- Returned HVAC/10 Ammo to Light Kinetic type.
	- Increased MPL range to 450m from 400m
	- Increased MXPL heat per shot to 3.8 from 3.4
	- Increased AC/20 heat per shot to 22 from 12
 	- Reduced damage on UAC2 to 11 from 13
	- Normalized all Thunderbolt Fire Rates to match the Tbolt-20; better fire rate per launcher size was meant to benefit LRMs not Tbolts.
	- Reduced the amount of errant missiles in MRM40 missing even large targets
	- Increased Snubnose Thumper speed to 400 from 350, decreased bullet drop by 10%.
	- Increased cost of Vtol RAC5 (on hawkmoth) by 2k.
- Donar
	- Increased ticket cost 4->5
	- Increased drag for up/down and left/right movement, also reduced engine power for lateral and descending movement.
	- Increased Missile Damage modifier to x1.0 from x0.85

- Hawkmoth
	- Fleshed out buildrules which had been vague since their introduction; lost 1 ton of armor as a result. (CBT Donar has far more armor than the CBT Hawkmoth, it is not as severe in MWLL but a difference is now respected)
	- Increased drag for up/down and left/right movement, also reduced engine power for lateral and descending movement.
	- Increased Missile Damage modifier to x1.0 from x0.85

- Orion
	- Darkened diffuse texture on material of default gunmetal paint to better match other assets.

- Hephaestus 
	- Moved LRM20 on Heph A to clan version.

- Regulator
	- Moved TAG laser on D variant to the top of the turret.

- Shiva
	- Reduced Base Chassis Price of Attacker Class by 4k.

- Variant tweaks or changes
	- Schrek C - Avar A, B, C, D, G - Blanner D - CauldronBorn B, D - Cougar B - Orion G - Mauler C, G - Hollander C - Demolisher F - Catapult G - Avatar E - Archangel B - Locust C, D - Hellhound G - Huit D - Hephaestus A - Oro E - Shiva E - Behemoth P,B - Loki G - Hawkmoth C

------ BUG FIXES ------

	- Reworked and improved Air Thunderbolts against all aircraft, previously they were extremely inconsistent depending on which ASF they were hitting and doing poor damage to Vtols overall.
	- Base LAMS will now shoot down Air Thunderbolts.
	- Rerouted missing texture pointers on BA Claw and Ba Mgun
	- Reexported Longinus textures with correct settings (may have caused instability on DX10)

------ VISUAL ------

- Orion
	- Darkened diffuse texture on material of default gunmetal paint to better match other assets.

------ CONTROLS ------

	- Removed Free Reticule settings from Mech tab in actionmapper and moved to Vehicle.
	- Updated Actionmaps version (beware this will reset your controls to default settings)

-----------------------------------------
------------- VERSION 0.15.4 ------------
-----------------------------------------


----- GAMEPLAY ------
- Reduced shots in burst on AC/20 to 2 from 3; increased damage per shell to compensate. 
- Added ServerSpawn flag to LongtomFar and Short ammos 
- Reduced offset factor on Cluster Arrow IVs to 20 from 25; increased outer explosion radius to 30 from 25.

- Variant tweaks or changes
	Madcat F - CauldronBorn A - Hellhound G - Shiva F - Shiva G - Orion E - Mars D

------ BUG FIXES ------
- Fix for lack of ammo capacity on Daishi C.
- Fix for silent UAC2s on Mars C.
- Fix for missing Shiva F ammo.
- Fix for Shiva G being considered Attacker when it was a Bomber.
- Fix for extra DHS on Fafnir E which shouldnt have existed. 


------- AUDIO ---------

- Reworked Standard Laser firing sounds. Volume and oomph increased on Binary laser cannon firing sound.
- Increased volume of engine sounds on IS mechs.

-----------------------------------------
------------- VERSION 0.15.3 ------------
-----------------------------------------


----- GAMEPLAY ------
- Added ServerSpawn flag to LongtomStandardAmmo to see if it forces syncs to avoid ghost shells: it could completely break but only one way to find out :) 

- Variant tweaks or changes
	 Chevalier Prime

------ BUG FIXES ------

- Fix for Orion center torso LAC5 hitting itself sometimes.
- Fix for missing MRM10 ammo inventory on Orion.

-------- VISUAL -------

- A few more changes to graphics.cfg to improve the look of maps

-----------------------------------------
------------- VERSION 0.15.2 ------------
-----------------------------------------


------ GAMEPLAY -------

- New Assets
	- New Inner Sphere Heavy Mech ; Orion 75t - Ticket cost 10 - Tier 11. 
		Some variants feature Light Fusion engine which gives side torso transfer rates of 1.4x and back torso 2.0x.
		It comes in two speeds, 64kph and 75kph, the 64kph variants are forward buyable to help compete with more expensive clan heavy forward buys.
		Note: cockpit texture is not yet done and will be included at further date; foot placement on uneven ground while standing still may cause strange foot twisting like the warhammer, will attempt to fix later.

	- Binary Laser Cannon. Slighty more damage than two IS ERLLs but more waste heat and less range. Recieves bonus damage against tanks and air but has a much longer recharge time.
	- Light AC/2 ; Light AC/5. Sized down versions of the standard AC/2 and AC/5 retain full raw damage but at the cost of range, splash area, and loss of light kinetic modifier (bonus damage against tanks).  

- Decreased Cluster Arrow outer splash area and increased missile spread to prevent damage against single targets being equal to a volley of standard Arrows (the intent was to less average damage landing).
- Increased power of Base-LAMS to better destroy incoming bombs and arrows quickly.
- Flattened locktime on LRM-15 and LRM-20 with the LRM-10 like was done with the CLRMS.
- Added Vtol version of Air_RAC5 which has less range, splash area, and longer reload time to prevent the Hawkmoth G from being such a terror.
- Increased Snubnose_Thumper Rate of fire to 7 from 6.

- Donar / Hawkmoth
	- Increased ticket cost to 4 from 3. Increased tier to 5 from 4.

- Variant tweaks or changes
	 Archangel Prime - Argus D - Commando B - Mauler G - Chimera A - Warhammer E

------ BUG FIXES ------

- Changed Arrow IV on Daishi C to Cluster.
- Reduced armor on Marauder by ~0.5 tons as it was over the max protection rule.
- Hellhound proxy mesh tweaked on the torso in an attempt to prevent physicalized shots passing through when it is running directly at or away from you. (this issue has existed on flat shaped mechs for awhile now and it is doubtful can be fixed completely but hopefully this will help)
- Fixed several ballistic weapons having a mismatch between the speed of their visibile tracers and the speed of the actual shell entities. 
- Fixed missing reactor sound on ArchAngel

------ AUDIO -------

- new is laser sounds: normal, er, pulse for air and ground; clan keeps existing ones
- new sound binary laser
- new sound events for light ac2 and light ac5
- new launcher, whiz, and explosion sound event for arrow iv cluster

-------- VISUAL -------

- water impact effects removed for rapid firing projectile weapons to prevent game going power point
- graphics.cfg updated so that missile smoke trails are active again
-----------------------------------------
------------- VERSION 0.15.1 ------------
-----------------------------------------


------ GAMEPLAY -------

- New Air_Tag version of the TAG laser has less range than the standard ground variant (1000m instead of 1350m) for use on vtols so it is less obnoxious.
- Decreased base spread on HVAC5 to .12 from .2
- Increased rate of fire on Thumper_Stable to 8 from 6

- Variant tweaks or changes
	Donar D/C


------ BUG FIXES ------

- Reverted consolehide command from autoexec because it caused an old shader bug to resurface

-----------------------------------------
------------- VERSION 0.15.0 ------------
-----------------------------------------


------ GAMEPLAY -------

- New Arrow IV ammo variant (Cluster) : Loaded into all single launcher variants, shoots twice as many missiles for half damage and smaller overall explosion radius; retains full missile HP to help break through LAMS cover; larger overall missile spread area and does not destroy narcs.
- Moved Light vtols to new flight model designed to allow better directional movement at the cost of some pitch/roll freedom. Max downward pitch fixed to -45 degrees to prevent "ballooning" over ground targets that could not fire back. 
	This new model is the basis for upcoming heavy vtols (old model was overly messy to build heavy vtols off of).
	NOTE: This model uses new actionmap commands so make sure to set them.
- Reworked AC/20 to fire a burst of three shells for roughly the same DPS as the old model but with far more consistent supression on target. Increased shell flight speed to aid landing more shots.
- Decreased AC/10 damage per shot from 42 to 40. Increased ammo per ton from 160 to 170.
- Decreased ammo on AC5 from 128 to 90.
- Decreased locktime on LRM20 from 2.5 to 2.25 to normalize with LRM15.
- Decreased AECM radar malus effect from -700m to -600m; reduced lockon time modifier from 1.75x to 1.5x.
- Halved reload time for all dual S/SRM launchers to give them some advantage compared to stacked single launchers. 

- Blacklanner
	- Further decreased max turn rate and turn accleration to be closer to the Ryoken in performance, rather than still being clearly superior.

- Commando
	- Moved a bit of armor to the arms.

- Hawkmoth
	- Fix for cockpit window facing wrong direction. 
	- Fix for floating landing gear wheel not retracting correctly.
	- Fix for some holes (flipped geo) in the cockpit.
	
- Huit
	- Moving single Arrow IV variants out of Artillery classification to allow for more forward spawns. 
	- Classifying Huit F "The Senate" as an Artillery platform in the buildrules (is already classified in factory spawn), unlocking base chassis price adjustments to allow for better price tweaking. Price increased by 10k Cbills.

- Rommel
	- Increased turret rotation speed of Howizter Rommel to 55 from 40.

- Mars
	- Moved Prime and B to XL engines of equiviliant weight, resulting in 53kph speeds. XL engine is 25k cbills more expensive.

- Mithras
	- Fixed gearbox on Mithras E, resulting in correctly slower engine without sacrificing its ability to reach said top speed due to transmission issues.

Ares/Morrigu
	- Switched CLRM to "Mars" variant CLRMS (shallow arc/ better tracking) for the Ares and Morrigu Primes. 

- Variant tweaks or changes
 - Lanner G - Bloodasp B - Cauldronborn B/E - Donar F/G - Epona D - Huit D - Archangel Prime/B/C - Atlas D - Chevalier B - Chimera E - Harasser C - Osiris G - Schrek C/G - Uziel D - Sunder Prime/B - Fafnir G - Commando B/F - Cougar D - Mars F
 - Partisan E - Hellhound P - Kodiak G - Atlas F - Demolisher D

-------- MAPS ---------

- TC_Palisades: Extended the center brigde capzone to the bottom of the river.
- TC_Canyons: Added two capzones to official version. 


------ BUG FIXES ------

- Fix for missing light kinetic modifier against Shoden hull.
- Fixed Donar engine particle effects firing the wrong direction (shooting up into the body and cockpit).

-----------------------------------------
------------- VERSION 0.14.9 ------------
-----------------------------------------

------ BUG FIXES ------

- Fix for glaring issue with reduced view distance of map objects.


-----------------------------------------
--------- KNOWN ISSUES - 0.14.8 ---------
-----------------------------------------

------ GAMEPLAY -------

- If you are lucky, your pulse lasers occasionally will fire an additional laser pulse. Despite being useful in some situations, this is not intended. Sorry! :)
- In the Coupled Unlocked mode, when the reticule is very close to the center of the screen, the torso will stop moving, but the reticule will keep trying to recenter.
- BA SRMs always update in the HUD correctly whether they are selected or not, but only after they have been selected once after a respawn happened. After they have been selected, weapons can be switched, and they will always update correctly.
- When left empty, each BA SRM tube needs to be manually reloaded (can be initiated by using the fire button)
- BA hardmount MG cannot be fired during SRM reload while the SRM are selected
- BA arm remains in position when hardmount MG is expended - weapon switch clears it
- BA hardmount MG triggers "reloading" state on one of the SRM indicators when they are selected
- BA hardmount MG is not yet textured. 
- BA hardmount MG lacks a muzzleflash effect. (it was heavily bugged) Tracers still work properly, however. 
- Bpod hit detection remains buggy
- In rare cases directly after buying an asset, a mixed weapon group will only fire for one cycle and then stop. Works normally after that.
- BA will show up as both air and surface targets

---- GAME SYSTEMS -----

- Crashes can happen. Workarounds are available in the Troubleshooting guide.
- You might get stuck in the connecting screen. This depends on your ISP, but if that happens, a workaround is available in our Troubleshooting guide.

------- AUDIO ---------

- Due to a hack required for new leg sets and animations to create footstep sounds and footstep effects, all mechs will play one footstep sound anytime they come to a complete stop even though they are not moving.

-------- MAPS ---------

- TC_Palisades: Both ASF factories will only build one ASF at a time.
- TC_Tukayyid trees may still cause some convergence issues when aiming directly at them. We are working on a permanent solution to this, but the most prominent issue with the trees has been resolved
- TC_Scorched on low settings may cause blinding issues in the water

-------- HUD ----------

- Certain HUD elements might overlap other UI elements.
- BA SRM ammo counter does not update until the weapon was selected and the reload on them was triggered once
- There is a hang up in frames when you switch targets when using the tank HUD.
- BA SRM ammo counter states you have one ammo when you spawn, which you do not. This could not be easily fixed as it is a default state problem rather than it reading your actual ammo. Once you switch to the weapon, it will read your actual ammo and update.

------ CONTROLS -------

- DirectInput Joystick support has been removed due to instability. You can continue using your joystick by following this guide: https://wiki.mechlivinglegends.net/index.php/Joystick_Setup

-------- VISUAL -------

- Sometimes solid yellow camo looks like gold on certain assets

-----------------------------------------
------------- VERSION 0.14.8 ------------
-----------------------------------------

------ BUG FIXES ------

- Possible fix for autobuying ammo outside of buyzones.

------ GAMEPLAY -------

- Increased AC10 time to overheat to 3.5 seconds from 2.5 seconds.
- Increased VTOL build time to 25 seconds from 10 seconds.
- Decreased Air_UAC20 price to 22k from 26k

- Longtom
	- Increased base chassis price by 14,650 cbills.
- Shiva
	- Decreased base chassis price by 3k.
- Visigoth
	- Decreased base chassis price by 1k.
- Rusalka
	- Increased base chassis price by 2k.

- Variant tweaks or changes
	- Loki A - Argus D - Atlas D - Osiris B - Regulator E - Warhammer E/D - Novacat B - Shiva A/C/F/G

-------- SOUND --------

- Betty and Duncan Fisher moved to the dialogue slider for volume control
- New interface sounds for Auto-Shutdown override, dump ammo and the firemode switch


-------- VISUAL -------

- Changing default autoexec.cfg included with the base modbuild to one which may reduce frequency of crashes for some players. This will override most of the in-game graphics settings.

---------- UI ---------

- Bigger MWLL style buy menu with pulsating animation

-----------------------------------------
--------- KNOWN ISSUES - 0.14.7 ---------
-----------------------------------------

------ GAMEPLAY -------

- If you are lucky, your pulse lasers occasionally will fire an additional laser pulse. Despite being useful in some situations, this is not intended. Sorry! :)
- In the Coupled Unlocked mode, when the reticule is very close to the center of the screen, the torso will stop moving, but the reticule will keep trying to recenter.
- BA SRMs always update in the HUD correctly whether they are selected or not, but only after they have been selected once after a respawn happened. After they have been selected, weapons can be switched, and they will always update correctly.
- When left empty, each BA SRM tube needs to be manually reloaded (can be initiated by using the fire button)
- BA hardmount MG cannot be fired during SRM reload while the SRM are selected
- BA arm remains in position when hardmount MG is expended - weapon switch clears it
- BA hardmount MG triggers "reloading" state on one of the SRM indicators when they are selected
- BA hardmount MG is not yet textured. 
- BA hardmount MG lacks a muzzleflash effect. (it was heavily bugged) Tracers still work properly, however. 
- Bpod hit detection remains buggy
- In rare cases directly after buying an asset, a mixed weapon group will only fire for one cycle and then stop. Works normally after that.
- BA will show up as both air and surface targets

---- GAME SYSTEMS -----

- Crashes can happen. Workarounds are available in the Troubleshooting guide.
- You might get stuck in the connecting screen. This depends on your ISP, but if that happens, a workaround is available in our Troubleshooting guide.

------- AUDIO ---------

- Due to a hack required for new leg sets and animations to create footstep sounds and footstep effects, all mechs will play one footstep sound anytime they come to a complete stop even though they are not moving.

-------- MAPS ---------

- TC_Palisades: Both ASF factories will only build one ASF at a time.
- TC_Tukayyid trees may still cause some convergence issues when aiming directly at them. We are working on a permanent solution to this, but the most prominent issue with the trees has been resolved
- TC_Scorched on low settings may cause blinding issues in the water

-------- HUD ----------

- Certain HUD elements might overlap other UI elements.
- BA SRM ammo counter does not update until the weapon was selected and the reload on them was triggered once
- There is a hang up in frames when you switch targets when using the tank HUD.
- BA SRM ammo counter states you have one ammo when you spawn, which you do not. This could not be easily fixed as it is a default state problem rather than it reading your actual ammo. Once you switch to the weapon, it will read your actual ammo and update.

------ CONTROLS -------

- DirectInput Joystick support has been removed due to instability. You can continue using your joystick by following this guide: https://wiki.mechlivinglegends.net/index.php/Joystick_Setup

-------- VISUAL -------

- Sometimes solid yellow camo looks like gold on certain assets

-----------------------------------------
------------- VERSION 0.14.7 ------------
-----------------------------------------

------ BUG FIXES ------

- Fix for missing helpers on Demolisher turret in hitbox data.
- Fix for engine penalties on taking damage to back torso not working.

-----------------------------------------
------------- VERSION 0.14.6 ------------
-----------------------------------------

------ BUG FIXES ------

- Fix for radar distance data on targets being stuck at 1455m.  

-----------------------------------------
------------- VERSION 0.14.5 ------------
-----------------------------------------

------ BUG FIXES ------

- Fixed max throttle penalty for overheating not actually working, now you will be capped to 75% of your max possible speed for the duration of the overheat time.
- Fixed missing DHS on hawkmoth C.
- Returned serverdelete flag to sniper artillery shells to prevent screaming skull shells sitting on the ground making a ruckus.

------- GAMEPLAY ----------
- Removed free ammo on BA SRM on spawn so they now start out empty. Note the HUD will lie to you and say you have some ammo until you switch to the weapon to update, This could not be easily fixed as it is a default state problem rather than it reading your actual ammo.)
- Reduced flamer heat per shot (for user) to 5 from 6.

- Locking Longtom camera min/max pitch with cannon. 
	Note: this is to test a theory that ghost LT shells are resulting from desync on the longtom cannon's pitch across clients, camera and turret min/max pitch constraints not being identical has been known to cause desync before (see Oro prolonged erection syndrome) 
		since artillery shells use the "donotfollowcrosshair" flag to force the clients to agree on where the weapon is being fired from, the shell will spawn at whatever pitch the client shows, which would result in different trajectories across clients with only the LT user's perspective being the damaging one.
		This is a net negative for LT drivers QoL wise and will be reverted if it does not fix the issue.

- Harasser
	- Reworked massbox size and center of gravity to hopefully provide a more stable ride. 

- Demolisher 
	- Moved camera over to the side of the barrels rather than between them.

- Mars
	- Speed up Mars turret rotation rate. 
	- Decreased turret rotation penatly when critically damaged.
	- Moved armor from the turret to the front.

- Variant tweaks or changes
	- Demo F, Ares Prime, Hawkmoth B/E, Thanatos F, Mars C/B, Behemoth Prime
------- AUDIO ---------

- Reworked Betty pitch and tone so that she is more understandable in louder firefights.

-------- HUD ----------

- Removed distance indicators from the objective icons to prevent easy longtom zeroing, this was a feature never accounted for or intended.
  
-------- MAPS ---------

- TC_Wildlands
	- Added repair bays to the forward factories.

- TC_Thunderrift 
	- Small QoL update. (Could be anything!)

-----------------------------------------
------------- VERSION 0.14.4 ------------
-----------------------------------------

------ BUG FIXES ------

- Fix for ambient heat changes on maps not updating to vehicles properly. 
- Fix for some damage modifiers being applied to mech "cockpits" but not mech "heads" which was resulting in some large splash weapons destroying mech cockpits faster than intended. 
------- GAMEPLAY ----------

- Increased build time on all ASF to 45 seconds from 10 seconds.
- Increased flame damage modifier for all ground vehicles to 0.025 from 0.01

- Variant tweaks/changes for:
Huit E - Atlas E - Goblin B,E - Harasser F,C - Regulator A - Sunder Prime

- Thanatos
	- Increased Ticket cost to 11 from 10
- Thor
	- Increased Ticket cost to 11 from 10
- Partisan
	- Increased Ticket cost to 6 from 5
- Sunder
	- Decreased Base Chassis cost by 1.5k 

-------- MAPS ---------

- TC_Kagoshima
	- Moved the Karnov from the mid point
	- Added ammunition buy zones to side caps
	- Added fog to the lower part of the river valley
	- Made some holes to railings on D3 base


-----------------------------------------
------------- VERSION 0.14.3 ------------
-----------------------------------------

------ BUG FIXES ------

- Fix for hitsound indicators going wild and appearing on weapons they were not meant for while disappearing on those they were.

------- GAMEPLAY ----------

- Decreased minimum arming range on ATM-STD ammo slightly so that it more often hits at stated min range.
- Slight increase for AC10 bullet lifetime, increasing its max range. Lowered damage drop off per meter to 1 from 1.5. 
- Increased max range on Small X Pulse Laser to 350 from 300. 

- Variant tweaks for:
Regulator C - Argus C - Mars A - Huit E - Kodiak B and D. 

-----------------------------------------
------------- VERSION 0.14.2 ------------
-----------------------------------------

------ BUG FIXES ------

- Recovered unique solid red camo for Uziel
- Schreck and Shoden added to material effects
- TC capture UI no longer only shows 6 bases on a map, up to 8 now possible
- Added kinetic air and energy air modifiers to masterlist so that they should now properly interact with BA and mechlegs.
- Cleaned up mechlists.lua tables to perhaps help fix the new somehwat rare nulltable bug causing servers to disallow buying any vehicle after switching maps.
- Fix for missing helper assignments on some blacklanner hitboxes which were causing some weapons to not be properly destroyed when the component was destroyed.
- Heatsinks are properly accounted for during repairs.

------- GAMEPLAY ----------

- Maximum cbill transfer amount set to 5k from 10k.
- Cbill transfers are now disabled for the first 10 minutes of a round to coincide with other ramp-up mechanics, early game economy is meant to be more fixed than mid and late game.

- Added new "Suspension Kick" system to all tanks and hovercraft;
	- Default bound to weapon group 6, upon press the system will "kick" the tank back away from the direction you're facing with the turret. It can be used every 5 seconds.
	  Hovercraft and the Mithras have a less powerful kick for self-righting purpopses on a 10 second cooldown.
		(note: due to limitations the LT and rommel A will require you to deploy before using it probably not making it very useful for them)
- New hit type for Arrows and LaserGuidedBombs will destroy narc beacons on contact from overkill.
- Made Vtol wings fully repairable, no longer phyiscally drop their weapons when destroyed.

- Clan LRM changes
	-Reduced offset factor (spread) to 2.2 from 2.5
	-Increased turn speed to 65 from 60
	-Increased max speed to 185 from 175
	-Reduced laziness to 15 from 20
	-Reduced min range to 10m from 20m.
- Increased fire rate of burst on MRM30 and MRM40 to 9 and 8.333 from 8.333 and 7.5.
- Reduced HPPC emp splash to 5m from 6m (not much difference in most situations).
- Increased inner splash area of LPPC to match that of other PPC classes, increased size of hit particle.
- Normalized all splash areas on LT and Sniper shells to 34m inner and 40m outer.
- Increased ammo per ton on Sniper Artillery to 6 from 3.
- Increased LaserGuidedBomb cost per bomb to 3k from 2k.
- Reduced lifetime on fixed BA claw/machinegun to 300m from 600m.

- Blacklanner
	- Reducing turnrate and turn acelleration to better match mechs in its own weight class (it was such an outlier it was out dancing mechs half its weight, much less mechs its own weight).

- Huit
	- Moved Huit B and E out of artillery class for more forward buys.

- Chevalier 
	- Reduced base chassis price by 100.

- Longtom
	- Increased ticket cost on death to 11 from 8.
	- Replaced BHP with BAP on all variants.
- Corsair/Sulla
	- Increased ticket cost on death to 7 from 6.

- Mars
	- Raised chassis up for better wheel clearance, reducing incidents of getting stuck on shallow inclines and bumps.
	- Added an additional Pointdefensesystem on the front of the chassis to defend against BA approaching from the front.

- Schrek
	- Raised chassis up for better wheel clearance, reducing incidents of getting stuck on shallow inclines and bumps.

- Shoden
	- Raised chassis up for better wheel clearance, reducing incidents of getting stuck on shallow inclines and bumps.

- Locust IIC
	- Increased tier to 4 from 3.

-------- VISUAL --------

- Longtom
	- Replaced longtom shell particle with something easier to see and track (may help with ghost shells, not sure yet)

- Shoden
	- Removed camo paint from wheels to prevent hypnowheel effects.

-------- AUDIO --------

-Whiz sound added to laser-guided bombs.

---------- UI ---------

- Added new precise heatsinks health bar indicator.
- New indicator for auto-shutdown status on ground assets.
- TC capture UI adjusted to accomodate HUD changes.
- Reworked weapon group indicators:
		Green outer ring: dark colored = less than all weapons ready, light colored = all weapons are ready, off = no weapons ready
		Blue inner ring: dark colored = less than all weapons in range, light colored = all weapons in range, off = no weapons in range,
		special state red = below min range on some or all weapons, special state yellow = damage drop off on some or all weapons
		see https://www.youtube.com/watch?v=RouNhxjunC0 for a detailed explanation.

------ CONTROLS -------

- After an auto-shutdown a power up can now be queued as soon as the message "cooling down" is displayed.

----- SYSTEMS -------

- Added server-side player chat mute function. 
- Added server-side cbill trade lock with a default of 10 minutes at the beginning of a game.

-----------------------------------------
------------- VERSION 0.14.1 ------------
-----------------------------------------

------ BUG FIXES ------

- Fix for Blacklanner missing a barrel helper on the right arm causing the barrel to be missing on some variants and the hitbox for the right arm bugging out onto the entire chassis on all variants.

------ VISUAL -------

- Halved the size of light AC muzzle flash effects so it is less blinding on some vehicles.
- Removed first person spent shell effects from all weapons.
	
------- AUDIO ---------

- Distancing first person weapons sound events from impacts further because it seems that firing sounds still get stolen by impacts although they should not

-------- MAPS ---------

- TC_Enkeladus

	- Disabled aurora effects in the sky to test if it helps with client crashes.
	
------ CONTROLS -------

- Removed shared key binds of legacy and new targeting functions in the default actionmaps, this caused unintended behavior as the two functions conflicted.
	The idea was to allow players to choose the legacy controls via an opt out while preserving old custom keybinds. Unfortunately it did not work out as intended.
	New Default binds are as follows: 
	- E key uses new target nearest/next ground function
	- T key uses original cycle all targets function
	- G uses new target nearest next air function
	- All friendly functions remain legacy 
	Anyone who chooses to retain their old bindings manually, please remember to clear any leftover conflicts in they keybinds for targeting.

	Description how the next / nearest controls work:
	- press once = target nearest enemy
	- keep pressing after that = cycling through target list (next nearest -> furthest away)
	- after the time window for the next press (1.5 seconds) has expired the first press will target the nearest enemy again

- Removed obsolete presets in actionmapper.
 

-----------------------------------------
--------- KNOWN ISSUES - 0.14.0 ---------
-----------------------------------------

------ GAMEPLAY -------

- If you are lucky, your pulse lasers occasionally will fire an additional laser pulse. Despite being useful in some situations, this is not intended. Sorry! :)
- In the Coupled Unlocked mode, when the reticule is very close to the center of the screen, the torso will stop moving, but the reticule will keep trying to recenter.
- Air LBX does not collide with mechlegs
- BA SRMs always update in the HUD correctly whether they are selected or not, but only after they have been selected once after a respawn happened. After they have been selected, weapons can be switched, and they will always update correctly.
- When left empty, each BA SRM tube needs to be manually reloaded (can be initiated by using the fire button)
- BA hardmount MG cannot be fired during SRM reload while the SRM are selected
- BA arm remains in position when hardmount MG is expended - weapon switch clears it
- BA hardmount MG triggers "reloading" state on one of the SRM indicators when they are selected
- BA hardmount MG is not yet textured. 
- BA hardmount MG lacks a muzzleflash effect. (it was heavily bugged) Tracers still work properly, however. 
- Bpod hit detection remains buggy
- In rare cases directly after buying an asset, a mixed weapon group will only fire for one cycle and then stop. Works normally after that.
- BA will show up as both air and surface targets

---- GAME SYSTEMS -----

- Crashes can happen. Workarounds are available in the Troubleshooting guide.
- You might get stuck in the connecting screen. This depends on your ISP, but if that happens, a workaround is available in our Troubleshooting guide.

------- AUDIO ---------

- Due to a hack required for new leg sets and animations to create footstep sounds and footstep effects, all mechs will play one footstep sound anytime they come to a complete stop even though they are not moving.

-------- MAPS ---------

- TC_Palisades: Both ASF factories will only build one ASF at a time.
- TC_Tukayyid trees may still cause some convergence issues when aiming directly at them. We are working on a permanent solution to this, but the most prominent issue with the trees has been resolved
- TC_Scorched on low settings may cause blinding issues in the water

-------- HUD ----------

- Certain HUD elements might overlap other UI elements.
- BA SRM ammo counter does not update until the weapon was selected and the reload on them was triggered once
- There is a hang up in frames when you switch targets when using the tank HUD.

------ CONTROLS -------

- DirectInput Joystick support has been removed due to instability. You can continue using your joystick by following this guide: https://wiki.mechlivinglegends.net/index.php/Joystick_Setup

-----------------------------------------
------------- VERSION 0.14.0 ------------
-----------------------------------------

------ BUG FIXES ------

- Disabled TAG homing for AirSRMs
- Reverting serverdelete and changing codebase for LT shells back to rocket code to try and prevent stealth LT shells.
- Removed crazy turn penalty from chevalier turret destruction.

------ GAME SYSTEMS -------

- Added Compact Fusion Engine; side torso modifier x0.66, back torso modifier x1.0, less speed loss from engine damage.
- Reduced detection range on Colliope base turrets to 500m for all vehicle types.
- Reduced lockdown time when autoshutdown to 2 seconds from 8 seconds; increased heat damage protection by 2%.

------- GAMEPLAY ----------

- New Assets
	- New Clan Heavy Wheeled Tank Shoden (70t); ticket cost 8; tier 11.
	- New InnerSphere Assault Tank Schrek (80t); ticket cost 8; tier 10.
	- New Archangel InnerSphere Assault Mech (100t); ticket cost 15; tier 15.
	
- Weapons
	- Added air versions of all classes of Large Lasers; identical in mechanics to ground versions but have air-energy damage type for better modifiers against other aircraft.
	- Reduced cost of CERPPC by 500 cbills.
	- Switched out hittypes on PDS to increase performance against BA.
	- Decreased damage on hawkeye(mgun turret) to 4 from 5.
	- Added in some cruise altitude for ERATMs to help avoid hitting ground objects when travelling long distances.
	- Increased speed of Sniper Artillery Shells to 144 from 120; this increased their max range to 700m from 500m.
	- Reduced heat per shot of Small-X-Pulse-Laser to 1.6 from 1.94
	- MRM20 now 7 tons in buildrules from 8.
	- Charge up time removed from single Air-Gauss carriers. Dual Air-Gauss retain chargetime, as do all forms of Heavy Air-Gauss.
	- MG AMS now only shoots down hostile projectiles and causes signifigantly less damage to playable assets
	
- Commando
	- Moved some armor to arms from side torsos.

- Visigoth
	- Moved some armor to tail.

- Catapult
	- Corrected missing armor on side torsos which was supposed to be taken from arms.
	- Decreased size and moved location of head hitbox.

- Sunder
	- Moved armor towards center. 

- Mars
	- Added rear PDS for back defense like the Behemoth has.
	- Changed a couple wheels to "driving" to help getting stuck on small inclines.

- Anubis
	- Increased torso yaw limit to 120 from 110.

- Partisan
	- Decreased turret yaw speed to 200 from 211.

------ VISUAL -------

- Hellhound 
	- tweaked shader on standard gunmetal for better specular sheen; increased contrast on diffuse.

- Sunder
	- tweaked textures so that back torso details show up normally, tweaked shader to ease up on sheen.

- Blacklanner 
	- Added cockpit art.

- Rommel , Marauder, Mithras, Locust
	- tweaked shader on standard gunmetal for better specular sheen.

-Solitaire 
	- tweaked shader on standard gunmetal for better specular sheen.
	- tweaked shaders to better match anubis torso.

- Anubis
	- tweaked shader on standard gunmetal for better specular sheen.
	- tweaked shaders to better match solitaire legs.

- Vulture
	- tweaked shader on standard gunmetal for better specular sheen.
	- tweaked texture to better match madcat legs.

- Catapult
	- Added textures to arm holder parts. Added texture and plugged holes in gyroyaw.
	- Resized torso; -6% on x-axis; +6% on y-axis. Retooled hitboxes. 
	- Added cockpit art.

- Broadsword dropship
	- Added new more detailed textures
	
	
------- AUDIO ---------

- Priority changes so that the sounds of slow firing weapons never get overshadowed by fast firing ones

- Attenuation changes to PPCs to give them more "bite" when heard from medium distance


-------- MAPS ---------

- TC Frostbite
	- Reduced the amount of destructables entities (mostly trees) to lessen server memory load 
	- Changed default ToD to evening/late afternoon 
	- Changed dynamic light levels to reduce snowblind effect with HDR rendering
	- Rearranged some buildings and props on forward factory bases, and added functional queue system on single hangars to prevent most hangar pileups 
	- Added new MG AMS turrets on both forward factories

- TC Marshes
	- Changed the whole base layout for better game flow
	- Added VTOL factories for both sides
	- Lowered the water level to make tank driving less frustrating
	- Added possibility of buying and upkeeping Aeros on mid base
	
- TC Kagoshima
	- Added Middle cap point
	- Moved far corner capture points closer to center
	- Rearranged some buildings and props on forward factory bases
	- Added new MG AMS turrets on both forward factories
	- Added more functional spawn points to clan side forward factory to fix the issue of not being able to spawn in there sometimes
	
- TC Scorched
	- Removed the various small arms from Aurora dropship
	- Added spawn helpers to the dropship factories to make assets spawn closer to ground and prevent vehicles flipping over
	- Minor turret rework for the dropship bases
	- Removed the terrain spike from the IS fortress runway
	
- TC Ivory Tower
	- Added new pathway towards middle from IS side forward factory
	- Added new tunnel shortcut near mid cap
	
- TC Wildlands
	- Fixed the E6 forward factory asset spawn issue

- TC_Enkeladus
	- Thickened ice sheets to prevent jumpjeting exploiting
	- Reworked iceshets to be more tank friendly
	- Reworked baselayout/capweights/logistics to condense play area
	
------ CONTROLS -------

- Complete set of new targeting controls:

		- Target nearest / next enemy surface
		- Target nearest / next enemy air
		- Target previous enemy surface
		- Target previous enemy air
		- Target nearest / next friendly surface
		- Target nearest / next friendly air
		- Target previous friendly surface
		- Target previous friendly air

These controls are the new default, the old controls have been moved to a new category called "legacy targeting".
The default keys will be added in the action mapper so you will most likely have to fix your bindings there.
If you use air targeting controls and no air target is around, your current ground target will be retained and 
you get an error message from Betty and vice versa.
		

-----------------------------------------
------------- VERSION 0.13.4 ------------
-----------------------------------------

---- GAME SYSTEMS -----

- Including possible lagfix code into servers. No way to test it but to try it with full actual games, might help, might do nothing, might explode.
- Stealth GECM assets when detected by hostile C3 are no longer shared through the enemy network.

------- GAMEPLAY ----------

- Increased StealthGECM detection debuff to -700m from -650m
- Decreased AC10 overheat time from 4 to 2.5; increased damage per shot to 42 from 30.
- Increased outer splash EMP damage on ERPPC to 280 from 230.
- Decreased heat generation on CERPPC from 276 to 265.
- Increased Rate of Fire on Sniper Artillery to 6 from 3.
- Increased damage on all classes of Small Pulse Laser to 27 from 15; Increased modifier vs BA to 1.3 from 0.8.
- Mars
	- Moved armor from turret to front.
	- Increased netural turn rate and eased up on suspension.

-------- VISUAL -----------

- Sunder 
	- Tweaked standing animation to not be so stiff-knee'd.

- Hellhound
	- Tweaked standing animation to not be so stiff-knee'd.

-----------------------------------------
------------- VERSION 0.13.3 ------------
-----------------------------------------

------ BUG FIXES ------


- Added Cougar left arm missing lower geometry 
- Map reverb processing volume on Gauss chamber sound events accidently set to 200% instead of 0% adjusted

------- AUDIO ---------

- Clan and IS win/lose message soundevents map reverb processing removed


-----------------------------------------
------------- VERSION 0.13.2 ------------
-----------------------------------------

------ BUG FIXES ------

- Donar Prime and A are no longer sensor blind and undetectable
- Small Laser on Owens A is no longer floating
- Cougar arms fixed

----------- UI ------------

- Crosshair: - Sights in default and friendly stage have dark outline and in locked stage have red outline for better contrast visibility

			 - Redrawn lock brackets have been slimmed
			 - Locking stage is green tinted for higher contrast to locked stage
			 - Lock text is blinking fast
			 - Lock brackets in locked stage have red outline for better contrast visibility
			 
- Autojoin buttons have been removed from the team selection menus

- Loading screen tips reworked to be more relevant

-------- MAPS -------------

(Extended notes also applicable to 0.13.1)

- TC_Outskirts

	- Added support for TOD server settings.
	- Recommended TOD times:
		-default (load the map without server TOD setting)
		-night: 01:00
		-day + weather effects: 17:00
		-night + weather effects: 23:00
	- note: weather effects synch within 25 secs
		

- TC_Dune
	
	- Added support for TOD server settings.
	- Fix for repair bays wrongly repairing neutral parties. 
	- Recommended TOD times:
		-default (load the map without server TOD setting)
		-night: 01:00
		-day + weather effects: 17:00
		-night + weather effects: 23:00
	- note: weather effects synch within 25 secs

- TC_Oasis

	- Added support for TOD server settings.
	- Recommended TOD times:
		-default (load the map without server TOD setting)
		-night: 01:00
		-day + weather effects: 17:00
		-night + weather effects: 23:00
	- note: weather effects synch within 25 secs
	
- TC_Wildlands
 
	- Added support for TOD server settings.
	- Added eastern factory, adjusted base weights and game flow.
	- Added secondary hangars to the original forward factories.
	- Forward factories can no longer repair.
	- Recommended TOD times:
		-default (load the map without server TOD setting)
		-night: 01:00
		-day + weather effects: 17:00
		-night + weather effects: 23:00
	- note: weather effects synch within 25 secs
	
- TC_ValleyForge

	- Strengthened main base defenses.
	- Added support for TOD server settings.
	- Recommended TOD times:
		-default (load the map without server TOD setting)
		-night: 01:00
		-day + weather effects: 17:00
		-night + weather effects: 23:00
	- note: weather effects synch within 25 secs



-----------------------------------------
--------- KNOWN ISSUES - 0.13.1 ---------
-----------------------------------------

------ GAMEPLAY -------

- If you are lucky, your pulse lasers occasionally will fire an additional laser pulse. Despite being useful in some situations, this is not intended. Sorry! :)
- In the Coupled Unlocked mode, when the reticule is very close to the center of the screen, the torso will stop moving, but the reticule will keep trying to recenter.
- Air LBX does not collide with mechlegs
- BA SRMs always update in the HUD correctly whether they are selected or not, but only after they have been selected once after a respawn happened. After they have been selected, weapons can be switched, and they will always update correctly.
- When left empty, each BA SRM tube needs to be manually reloaded (can be initiated by using the fire button)
- BA hardmount MG cannot be fired during SRM reload while the SRM are selected
- BA arm remains in position when hardmount MG is expended - weapon switch clears it
- BA hardmount MG triggers "reloading" state on one of the SRM indicators when they are selected
- BA hardmount MG is not yet textured. 
- BA hardmount MG lacks a muzzleflash effect. (it was heavily bugged) Tracers still work properly, however. 
- Bpod hit detection remains buggy
- In rare cases directly after buying an asset, a mixed weapon group will only fire for one cycle and then stop. Works normally after that.

---- GAME SYSTEMS -----

- Crashes can happen. Workarounds are available in the Troubleshooting guide.
- You might get stuck in the connecting screen. This depends on your ISP, but if that happens, a workaround is available in our Troubleshooting guide.

------- AUDIO ---------

- Due to a hack required for new leg sets and animations to create footstep sounds and footstep effects, all mechs will play one footstep sound anytime they come to a complete stop even though they are not moving.

-------- MAPS ---------

- TC_Palisades: Both ASF factories will only build one ASF at a time.
- TC_Tukayyid trees may still cause some convergence issues when aiming directly at them. We are working on a permanent solution to this, but the most prominent issue with the trees has been resolved
- TC_Scorched on low settings may cause blinding issues in the water

-------- HUD ----------

- Certain HUD elements might overlap other UI elements.
- BA SRM ammo counter does not update until the weapon was selected and the reload on them was triggered once
- There is a hang up in frames when you switch targets when using the tank HUD.

------ CONTROLS -------

- DirectInput Joystick support has been removed due to instability. You can continue using your joystick by following this guide: https://wiki.mechlivinglegends.net/index.php/Joystick_Setup

-----------------------------------------
------------- VERSION 0.13.1 ------------
-----------------------------------------

------ BUG FIXES ------
- Fixed saving of weapon groups, a save will now happen 6 seconds after the last interaction with the weapon manager
- Fix for tank pilots getting instagibbed by high speed collisions. This fix is much like the sudden pilot death syndrome fix in that it will work "most" of the time but the tank itself dying can still occasionally happen.


------ GAME SYSTEMS -------

- Removed C3 coverage requirement for detecting enemy narcs. You will now always know if you are narced.
- All mech variants now respect max armor protection limits from CBT. 
	Armor had to be removed from the following variants as they were violating the rule:
	All Cauldronborns except the C
	Cougar Prime,D,F
	Locust IIC Prime, A, F
	Madcat D,E,F,G
	All Warhawks.
	Puma Prime, D
	Shadowcat A, B
	Solitaire D
	Thor Prime, A, C, D
	All Ullers
	Vulture E
	Avatar F
	Awesome Prime, B, C, G
	All Commandos
	All Marauders
	Osiris D, F
	Thanatos C, D

------- GAMEPLAY ----------


- Matched LBX2 flight speed to that of other LBX shells.
- C/LRM-5 rate of fire decreased to 14 from 15.
- C/LRM-10 ROF increased to 11 from 10. 
- C/LRM-15 ROF increased to 10 from 8.3. 
- C/LRM-20 ROF increased to 9 from 7.5. 
- Increased cost of C/UAC2 by 100.
- Decreased Air_UAC2 damage to 14 from 15.
- Increased AC10 flight speed to 1400 from 1200; halved gravity. 

-Rework for Calliope turrets:
 
	- Replaced twin Medium lasers with twin Large Lasers (700m).
	- Missiles will now track and do damage (450m range)
	- Replaced Mguns with UAC2s (500m range)
	- Reduced ASF/VTOL detection to 600m from 700m.
	- Increased turn rate to better keep up with moving targets.

- Updated Eagleeye and Hawkeye turrets with the latest versions of their weapons, improving their kill power.

- Cougar
	- Reduced size of the torso on the X-axis by 10%.
	- Reworked armor distribution based off the puma.
	- Tweaked armor costs on some variants.
	- Reduced ticket cost to 4 from 5; Reduced tier to 5 from 6. 

- Mars
	- Mars C now counts as artillery class for factories.

- Donar
	- Reduced base chassis cost by 3k.
	- Moved some armor from Tail and Engine to Body.

- Hawkmoth	
	- Moved some armor from Tail and Engine to Body.

- Avar
	- Moved some armor from Body, Tail, and Engine to Wings.

- Corsair
	- Moved some armor from Tail and Body to Wings.
----------- UI ------------

- Improved color coding: Positive information (weapon ready, active tag or narc...) is shown in blue and green, negative information (all alarms, problematic heat increase) is shown in yellow and red 

- Crosshair: - Moved all components closer to the center
			 - New Crosshair adjacent heat indicator that shows the heat zones of the main indicator as well as a new one: if you fire a single Clan ER-PPC at the border of the yellow zone heat rises to the border
			   of the red zone immediately, old yellow is shown in orange here
			 - New lock brackets with canon gold color on lock
			 - Crosshair turns canon gold color when over enemy target with active sensors
			 - Sniper artillery gets makeshift crosshair (also on the mobile long toms because of the nature of the current solution)
			 
- Mech HUD:  	- Added new NARCed alarm, old friendly tag and narc indicator on the main console removed

- Tank HUD:  	- Added breached engine alarm and new NARCed alarm, old friendly tag and narc indicator on the main console removed

- ASF/VTOL HUD: - Moved all HUD elements closer to the center, resized STALL and PULL UP alarm, moved sea level altitude indicator, added new NARCed alarm, old friendly tag and narc indicator on the main console removed
				
				- ASF speedometer text now shows true optimal control speed zone in blue:
					-blue	   : 90% to  94% control
					-light blue: 95% to  97% control
					-white blue: 98% to 100% control
				
- Out of bounds message is now more transparent
			   

--------- AUDIO -----------

- Moved most impacts below first person weapon sounds in priority, Betty sounds all on Betty priority, third person looped weapon sounds moved above others because it is weird when they cut out in mid playback
- Volume of general missile and TBolt explosions reduced, PPC firing sounds volume increased, Small X-Pulse firing sound volume reduced
- HUD sounds that remained in mwll_weapons moved to mwll_interface
- Behemoth engine sound pitched a bit lower, more appropriate for 100 ton tank
- Added new NARC alarm klaxon
- Switched AC5 with AC10 sound and wise versa since AC5 is a bigger caliber now
- Missiles spilling from a destroyed launcher now have missile explosion sfx on impact
- Removed map reverb processing from cockpit and asset internal sounds

-------- VISUAL -----------

- Switched AC5 and UAC5 impact effects and tracers with AC10 impact effects and tracers and wise versa since AC5 and UAC5 are a bigger caliber now
- Adjusted camo torso materials for the Cougar to better line up with the puma leg materials.
- Recovered Thanatos "tuki" camo

-------- MAPS -------------

- TC_Outskirts

	- Added support for TOD server settings.
	- Recommended TOD times:
		-default (load the map without server TOD setting)
		-night: 01:00
		-day + weather effects: 17:00
		-night + weather effects: 23:00
	- note: weather effects synch within 25 secs
		

- TC_Dune
	
	- Added support for TOD server settings.
	- Fix for repair bays wrongly repairing neutral parties. 
	- Recommended TOD times:
		-default (load the map without server TOD setting)
		-night: 01:00
		-day + weather effects: 17:00
		-night + weather effects: 23:00
	- note: weather effects synch within 25 secs

- TC_Oasis

	- Added support for TOD server settings.
	- Recommended TOD times:
		-default (load the map without server TOD setting)
		-night: 01:00
		-day + weather effects: 17:00
		-night + weather effects: 23:00
	- note: weather effects synch within 25 secs
	
- TC_Wildlands
 
	- Added support for TOD server settings.
	- Added eastern factory, adjusted base weights and game flow.
	- Added secondary hangars to the original forward factories.
	- Forward factories can no longer repair.
	- Recommended TOD times:
		-default (load the map without server TOD setting)
		-night: 01:00
		-day + weather effects: 17:00
		-night + weather effects: 23:00
	- note: weather effects synch within 25 secs
	
- TC_ValleyForge

	- Strengthened main base defenses.
	- Added support for TOD server settings.
	- Recommended TOD times:
		-default (load the map without server TOD setting)
		-night: 01:00
		-day + weather effects: 17:00
		-night + weather effects: 23:00
	- note: weather effects synch within 25 secs

-----------------------------------------
--------- KNOWN ISSUES - 0.13.0 ---------
-----------------------------------------

------ GAMEPLAY -------

- If you are lucky, your pulse lasers occasionally will fire an additional laser pulse. Despite being useful in some situations, this is not intended. Sorry! :)
- In the Coupled Unlocked mode, when the reticule is very close to the center of the screen, the torso will stop moving, but the reticule will keep trying to recenter.
- Air LBX does not collide with mechlegs
- BA SRMs always update in the HUD correctly whether they are selected or not, but only after they have been selected once after a respawn happened. After they have been selected, weapons can be switched, and they will always update correctly.
- When left empty, each BA SRM tube needs to be manually reloaded (can be initiated by using the fire button)
- BA hardmount MG cannot be fired during SRM reload while the SRM are selected
- BA arm remains in position when hardmount MG is expended - weapon switch clears it
- BA hardmount MG triggers "reloading" state on one of the SRM indicators when they are selected
- BA hardmount MG is not yet textured. 
- BA hardmount MG lacks a muzzleflash effect. (it was heavily bugged) Tracers still work properly, however. 
- Bpod hit detection remains buggy
- In rare cases directly after buying an asset, a mixed weapon group will only fire for one cycle and then stop. Works normally after that.

---- GAME SYSTEMS -----

- Crashes can happen. Workarounds are available in the Troubleshooting guide.
- You might get stuck in the connecting screen. This depends on your ISP, but if that happens, a workaround is available in our Troubleshooting guide.

------- AUDIO ---------

- Due to a hack required for new leg sets and animations to create footstep sounds and footstep effects, all mechs will play one footstep sound anytime they come to a complete stop even though they are not moving.

-------- MAPS ---------

- TC_Palisades: Both ASF factories will only build one ASF at a time.
- TC_Tukayyid trees may still cause some convergence issues when aiming directly at them. We are working on a permanent solution to this, but the most prominent issue with the trees has been resolved
- TC_Scorched on low settings may cause blinding issues in the water

-------- HUD ----------

- Certain HUD elements might overlap other UI elements.
- BA SRM ammo counter does not update until the weapon was selected and the reload on them was triggered once
- There is a hang up in frames when you switch targets when using the tank HUD.

------ CONTROLS -------

- DirectInput Joystick support has been removed due to instability. You can continue using your joystick by following this guide: https://wiki.mechlivinglegends.net/index.php/Joystick_Setup

-----------------------------------------
------------- VERSION 0.13.0 ------------
-----------------------------------------

------ BUG FIXES ------

- Fixed Air-StreakSRMs only reloading half tons after the initial ton was spent.
- Better aligned Air-RAC5 tracers to help prevent ghost tracers.
- Fixes for slight unintended damage variance on some ER lasers compared to their normal counterparts.
- Fix for Base LAMS not correctly destroying artillery shells. 
- Fix for reversing troubles on the Oro, Rommel, and Goblin
- Workaround fix for camo schemes not being applyed to the Pods and Barrels on tanks and hovercraft.
- Adjusted damage thresholds on auto turrets to prevent them constantly smoking after taking little damage.
- Fixed long standing issue with Oro cannon becoming severely misaligned. 
- Fixed issue with the arrows on the Regulator G not firing from the correct angles.
- Fixed issue with passive on Vtols not granting any additional radar cover, like ASF it was set to -1m, which was intended for ASF. Now properly sets detectability to 500m from 999m.

------ GAME SYSTEMS -------

- Added live Time of Day setting system: Server admins now can use new commands to instantly change the Time of Day in the current map:
  - sv_timeofdaygetinfo: Get current TOD status of the map.
  - sv_timeofdaysettime: Set time of day (0-24).
  - Note that not all of the maps properly support the whole day cycle.
  
- Update to Weapon Manager
	- Rapid fire ballistic weapons and flamers ignore chain fire mode and will keep operating in group mode
	- It is no longer possible to remove weapons from a group while firing them
	- Fire groups that only contain rapid fire ballistic weapons and flamers can not be set to chain fire.
	  An error sound will play
	- As soon as a weapon other than rapid ballistics and flamers is added to the group chain fire mode is available
	- When all other weapons get removed from the group and only rapid ballistics or flamers remain group fire will
	  be forced (Betty message)
	- Rapid ballistic weapons and flamers in a mixed group will be removed while firing. They will be re-added as
	  soon as firing has stopped.
 
-  Damage Modifier increases against ASF 
	- Mgun x2.8 -> x3.0
	- Energy-air modifier vs
		- Medium ASF  x1.6 -> x1.7
		- Heavy ASF   x1.6 -> x1.8
		- Assault ASF x1.6 -> x1.75

- Engine Damage Rework for Mechs
	- Previously, engines would go to 50% power when backtorso hit 80% damaged.
	  Now, STD engines will go to 85% speed at 80% damage and 75% speed at 100% damage.
	  XL engines will go to 66% at 80% damage and 50% speed at 100% damage.

- Adjusted Mass across all the Tanks to create a more logical weight curve for push fights.

- Reworked all front hit boxes on tanks and hovercraft so that more of the front profile is only covered in front hitbox rather than being split between front and sides.

- All fusion engine tanks now recieve 1 free HS per 20 tons of weight rounded down, and hovercraft half of this. This change is to better represent the importance of the ten free HS fusion vehicles recieve over ICE vehicles in CBT.

- Updating front hitbox transfer rates for tanks and hovercraft.
	Was incorrectly larger than turret transfer rate and is now lower.
	This will greatly slow down the rate at which some vehicles (particularly hovercraft) die to frontal fire.
	Turrets still always have more armor however.

- Increased Staretime(locktime) modifier for stealth GECM to 2.75 from 2.35.
------- GAMEPLAY ----------

- New Assets
	- New Clan Assault tank Mars (100t); Ticket cost 13; tier 14
	- New InnerSphere Assault tank Behemoth(100t); Ticket cost 12; tier 13
	- Sniper Artillery Cannon; Very short range (500m) high arcing mortar for close range base sieges. Full LT damage and splash, but poor ammo per ton and very slow reload.
	- Hyper Velocity AC/5; Very long range (1300m), poor dps overtime but splash and shake with many shells being thrown down range; high spread, good for ranged suppression. 
	- C3 Master System; Works like normal C3 for the purposes of sharing information, but recieves all friendly c3 globally across the map, ignoring the usual 1000m chain distance requirement. 
	- AutoFlamer turrets target enemy BA/Mechs/Vechiles to 150m.
	- Stablized Thumper variant for the Behemoth; thanks to the large and heavy frame of the Behemoth it is able to fire its thumper piece without the need to deploy, however the fire rate is reduced to snubnose thumper levels.
	- New unqiue art for MRM10/20/30 external launchers.
	- VtolGECM brings vtol detectability down to 700m from the 999m ASFGECM was granting.
- Weapons
		- Reworked AC/10 to fire many smaller caliber shells with decent shake and splash, high up time for maximum suppression.
		- Increased ER-ATM damage to 97 from 86.
		- Increased Air-UAC/2 damage to 15 from 12.
		- Increased HMG damage to 15 from 14; Increased dropoff distance begin to 350m from 250m; Increased bullet lifetime.
		- Decreased ROF on Mgun to 800 from 1000; Increased damage to 5 from 4.
		- Reduced Snubnose Thumper gravity to standard 9.81; Increased speed to 350 from 300; Increased price to 28k from 27k.
		- Increased Flamer distance to 150m from 100m; Doubled projectile speed and better matched it to tracers; better heat transfer but quicker self overheat to prevent lockdown spam.
		- Decreased RAC2 price to 6500 from 7000.
		- PointDefenseSystem now targets enemy Vtols at 300m and enemy ASF at 450m.
		- Decreased ELRM heat to 7.5 from 8.8; Decreased cost of ELRM-15 to 7000 from 7500; Decreased cost of ELRM-20 to 9000 from 10000.
		- Increased I-Hgauss cost increased to 27k from 23k.
		- Adjusted heat profile of Air-ClanLPL for better usability.
		- Adjusted MRM/10 spread to bring it in line with the other launcher sizes.
		- Decreased Air_Gauss chargeup time to 0.5 seconds from 1 second; decreased cost to 13.5k from 15k.
		- Increased Air_MRM30 cost to 8k from 6k and AirMRM40 to 10k from 8k.
- Avar
	- Decreased ticket cost to 3 from 4.
	- Moved more armor to the wings.
	
- Anubis
	- Decreased base chassis price by 2k.
	- Decreased Tier to 4 from 5.
	
- Sunder
	- Build rule change; All JJs are half their usual tonnage; (the same perk as the Thor)
	- Increased torso yaw limit to 110 degrees from 96 to match the Thor.
	- Decreased base chassis price by 1k.
	
- Marauder
	- Increased base chassis price by 3k.

- Goblin
	- Increased max speed by 3/kph

- Thor
	- Decreased base chassis price by 1k.

- Hellhound
	- Fix for floating back torso fire.
	- Decreased Tier to 6 from 7.
	
- Long Tom
	- Added defense smoke launchers to the front of the tank to help cover its retreats; as with all smoke particles in cryengine2, can be very finicky about when it wants to render, particularly when zoomed in, but better than nothing.
	- Decreased top speed slightly.
	- Decreased missile modifier to x0.6 from x0.85, giving it more survivability against bombstrikes, missile fire, and counter artillery. 
	- Increased internal hull health to properly reflect its 95 ton weight.
	- All three variants now have full sensor suites and C3master systems.
	- Increased ammo per ton on all variants to 8 from 5.
	- Changed damage ratio on inner and outer splash to 50/50 from 66/33. 
	- Decreased reload time to 10 from 14.
	- Adjusted splash radius across the three ammo types for a smoother curve. 
	- Added two more equipment slots for further LAMS and self defense support.

- Rommel
	- Reworked suspension and turn rates.

- Oro
	- Reworked suspension and turn rates.

- Awesome
	- Base price chassis tweak, tweaked some middling armor prices so that they more correctly line up with the price of increased armor on the top end.

- Fafnir
	- STD fusion engine price decreased bt 6k

- Donar & Hawkmoth
	- Decreased ticket costs to 3 from 4.

- Rusalka
	- Increased ticket cost to 10 from 9
	- Increased tier to 10 from 9.

--------- AUDIO -----------

- Overall sound effect volume reduced by including altered Crysis environmental and physics sounds
- Improved distance attenuation for all weapons
- Number of instances for impact sfx greatly reduced, should no longer remove the other sound effects in big fights
- Added sound support for new HVAC 5 and Sniper Artillery Cannon
- Changed Thumper impact to make it more recognizable 
- More variety for critical explosions
- Firing sounds rebalanced with LUFS meter to be below the volume of asset explosions
- Improvement on dud missile sfx

-------- VISUAL -----------

- Explosion chains on mechs are more varied and individual to the mech in question
- Flamer vfx particle count cut by more than half and other optimizations

-------- MAPS -------------

- Replaced forward bases on TC_Inferno to prevent them being functionally destroyed by critical explosions.
- Added a center cap zone to TC_ThunderRift. 
- Added some missing proxy meshes to some standard base structures used on many maps.

-----------------------------------------
------------- VERSION 0.12.2 ------------
-----------------------------------------

------ BUG FIXES ------

- Fix for AECM reward code causing servers to crash in some instances.

-----------------------------------------
------------- VERSION 0.12.1 ------------
-----------------------------------------

------ BUG FIXES ------

- Work around for vehicles getting stuck on the marker beacons for capzones in TC. (note that, this is a workaround and not a proper fix, so there might be some maps that still have the problem. Further, some maps might have minor graphical issues where light bulbs are replaced with small floating diamonds.)
- Fix for missing backtorso modifier on XL engine hellhounds.
- Fix for Huit still having engine boost heat.
- Fix for Thor gauss explosion being in the wrong arm.
- Fix for AC2s having too much ammo when first bought.
- Fix for cockpit PPC firing sound not playing properly.

------ GAMEPLAY -------

- Added reward for covering teammates with AECM and bonus reward for every enemy narc prevented onto teammates.
- Increased Jump jet fuel across all classes by 5.
- Changed heat generation of all (c)LRMs to 7.5. most launchers were 8.8, but the LRM5s were bugged at 5.7. 
- Increased Thunderbolt 10/15/20 heat generation to 100/150/200 from 80/110/140
- Lowered HVAC10 shot pressure (shake) to 500 from 650.
- All tanks now should have deploy function. 
- Increased MRM flight speed to 450 from 400. Lowered offset factor (spread) to 1.525 from 1.55). Lowered minimum range to 60m from 65m.
- Air MRMs now share ground MRM's minimum range. (60m from 20m)
- Lowered LBX2 spread from 0.2 to 0.15


- Mithras 
	- Changed massbox and rig YET AGAIN in the endless quest for better drivability.
	- Increased turret traversal speed.

- Kodiak
	- Increased base chasis price to 73k.
	- Removed debugging JJs present in 0.12.0 causing it to jump further than intended.

- Sunder
	- Removed 20 frames from Landing animation for better responsiveness when landing. 

- Argus
	- Increased max reverse speed to 11 from 9.
	- Increased maxturnrate to 0.9 from 0.8
	- Increased turn acceleration to 2 from 1.8
	- Small amount of armor from the side torsos to the arms.
	
----- AUDIO -----

- Warning sounds on HAGs removed to not discourage mag dumping
- More bass for explosion sounds
- Sharp impact for asset explosions (Thunderbird change)
- More bass for arty firing sounds
- Rebalance of vehicle engines aka audible hovers and Huey
- FSBs reorganized, unnecessary folder deleted

-------- HUD ----------

- Added minimum range data to missile launcher names in the weapon list. 

-----------------------------------------
------------- VERSION 0.12.0 ------------
-----------------------------------------

------ BUG FIXES ------

- Fixed floating LAMS on Thanatos Torso.
- Possible fix for missiles locked onto the Xerxes flying over it rather than into it. (needs testing)
- Fixed issues with highjacking mechs even though they had destroyed head armor. 
- Missile locking plays correct locking sound on assets with different missile systems and lock timings. 
- Recovered 3 missing Betty messages and the redzone alarm klaxon.

---- GAME SYSTEMS -----

- Narcs will no longer activate when hitting friendlies. 
- Reduced damage transfer rate from destroyed back torsos in mechs with STD engines from 3x to 1.5x.
- Removed boost heat generation from all tanks. 
- Improved max reverse speed for most tanks.
- Reduced light knietic modifier against hovercraft from 1.3x to 1.2x
- Tweaked Hawkmoth, Donar, and Avar base chassis prices to smooth out variant availability at first few ranks. 
- Cbill transfer timer will not start if the transfer failed.
- All tanks which can deploy now have a deploy time of 1 second from instant. 

------ GAMEPLAY -------

- New Assets
	- New Clan Assault mech Kodiak (100t); 16 ticket cost; tier 15.
	- New IS Assault mech Sunder (90t); 13 ticket cost; tier 14.


- Weapons
	- Reduced reload time for Air_RACs from 10 seconds to 3 (mostly relevant for hawkmoths).
	- Reduced lock on time for Clan LRM-5 to 1.85 seconds from 2.
	- Reduced Clan ERPPC cost from 11.5k to 11k.
	- Reduced AC5 Rate of Fire from 12.5 to 11. 
	- Increased AC5 cost to 4k from 3750
	- Increased UAC5 cost to 4.5k from 4250
	- Increased LBX5 cost to 4.5k from 4k
	- Increased Clan UAC2 cost to 3.2k from 2.7k
	- Increased Clan LBX5 cost to 4.5k from 4.2k
	- Reduced Snub nose thumper gravity to 14 from 19.

- Commando
	- Increased torso bobbing in animations.
	- Reduced tier from 3 to 1

- Hellhound
	- Increased torso bobbing in animations.

- Morrigu
	- Reduced base chassis price by 6k.
	- Reduced ticket cost from 12 to 10.
	- Reduced tier from 15 to 12.
	- Reworked mass box, increased engine power, and improved steering and acceleration. The morrigu is 80 tons, not 100.	
	- Improved turret turn speed.
	- Removed dreaded D variant for breaking build rules (Mars tank is next patch, but doing this early because I didn't want to work on both at the same time :P)
- Atlas
	- Reduced head and arm armor and increased right torso armor.
	- Increased torso turn speed to 80 from 76.
	- Improved turn speed and turn rate.
	- Moved gun mounts on arms from below the fists to above them for better usability. 

- Fafnir
	- Reduced turn rate acceleration slightly 

- Daishi
	- Reduced turn rate acceleration

- Rifleman
	- Reduced overall size of both legs and torso by 15% on all axis. Moved the radar closer to the body. Reworked all hitboxes.

- Loki
	- Moved chassis to FF armor to improve overall protection. 
	- Added one free LAMS to all variants, those which had one already now have two.

- Mithras
	- Reduced turret turn penalty when damaged.

- Awesome
	- Reduced Tier to 12 from 13.

- Mauler
	- Increased Tier to 13 from 11.

- Bushwacker 
	- Reduced ticket cost to 7 from 8

- Avatar
	- Increased ticket cost to 10 from 9.

- Hephaestus
	- Increased ticket cost to 3 from 2.

----- AUDIO ------

- Tanks and Hovercraft now have an appropriate deploy and undeploy sound.
- HE and Cluster Bomb have an improved drop sound and the Laser-guided Bomb has a unique launch sound.
- Bass boost for all AC10 and 20s (HVAC10 was fine).

----- VISUAL -----

-Laser-guided Bomb no longer uses arrow vfx

------- UI -------

- Missiles no longer lock when ammo is empty.
- Missile lock will not be maintained when reserve ammo tons are loading.

------ MISC ------

- Reworked entire file structure in pak files in order to clean out old unused files and prevent old files from overwriting newer versions. 
- New server Cvars for logging tickets and purchases.
- New credits added.
- Updated loading screen tips.

-----------------------------------------
------------- VERSION 0.11.4 ------------
-----------------------------------------

-------- HOTFIX -------

- Fixed large missile launchers not being destroyed on left arm of hellhound
- Fixed wrong resources load order
- Fixed 3d AC sound events being to low in the mix, also for gauss and lightgauss
- Mastered explosion source for max volume since they still have trouble pushing through

-------- HUD ----------

- Buymenu is now sorted by tonnage, then techbase consistently for all assets. 

------ GAMEPLAY -------

- New Assets
	- New IS heavy mech Marauder (75t); 12 ticket cost; tier 13.

- New Snub-Nose Thumper Cannon weapon; a slower ROF, half velocity, double bullet drop, version of the Thumper Artillery which does not need to stop and deploy to fire.

- Weapons
	- Hmgun and Mguns reworked.
	- Hmgun damage 13 -> 14, damage dropoff begins at 250 from 200, overheat time increased to 8 seconds.
	- Mgun damage type from lightkinetic to kinetic (making it marginally worse against ASF, worse against tanks, marginally better against BA), ROF decreased to 1000 from 1200, dropoff distance begins at 250m from 400m.
	- AC10 max range increased to ~700m from ~650m, optimal range increased from 600m to 650m, damage dropoff 1.5 damage per meter beginning at 650, resulting in a 75% strength shot at 700m.
	- AC10 increased outer splash radius from 2.6 to 2.8.
	- HVAC10 changed from light to heavy kinetic in weapon xml (ammo always had heavy so unclear if this will change anything).
	- HVAC10 shake decreased to 650 from 785.
	- HVAC2 now has shake and splash like the AC2 does, decreased heat per shot from 2.3 to 2.1
	- AC5 Increased heat per shot to 3 from 1, decreased ROF from 13 to 12.5
	- AC5 price increased to 3750, from 3000
	- Large Pulse Laser price decreased to 5500, from 6000
	- RAC2 price decreased to 7000 from 7500
 	- Laser Guided Bombs will now follow the reticule when no TAG or NARC is available, increased turn speed to 25, from 20.(this makes them viable at long ranges without spotters while removes their ability to dumb fire and pull up at close ranges)
	- Increased Arrow IV heat from 55 to 60.
	- Reverted Arrow IV turn speed from 35 back to 30 (this was meant to help minimum range but made them too good at tracking faster targets).
	- eATM heat per shot decreased from 14 to 11.

- Mithras
	- yet more drivechange and massbox changes (work in progress)

- Catapult 
	- XL engine base chassis cost decreased by 1.3k
	- Decreased head hitbox size by 0.1m on the x-axis

- Locust IIC
	- fix for typo on tier listing preventing it from counting in the correct tier (3)

- Uller
	- Ticket cost increased to 3 from 2.

---- VISUALS -----

- New Novacat cockpit art (been finished for ages but kept forgetting to include it.
- LBX 5 to 20 (air and ground) muzzleflashes replaced because the current ones heavily bleed into the inside of the cockpit
	
----- AUDIO ------

- Fix for a few explosion visuals having no sound
- Added a bit more variation to explosions
- Changed medium and small pulse laser sound to be more in line with large
- Small full auto acs and machine guns receive duplicate weapon xmls for sound balancing reasons (machine gun, heavy machine gun, clan and is uac2, air uac 2 and 5, rac2 and 5, air rac2)
- Removed 2 unnecessary fsbs, converted unneeded stereo sources to mono, various other opimizations
- Temporary fix for mech engine sound parameter until code work can be done
- Overall sound balance changes
	
------- UI -------

- Eject warning replaced with engine damage warning to discourage ejecting

-----------------------------------------
------------- VERSION 0.11.2 ------------
-----------------------------------------

------ BUG FIXES ------

- Volume of footstep sounds for Commando, Locust and Hellhound now in line with the other mechs of their respective weight class
- Naming error fixed for AC impacts, which probably prevented proper distance attenuation
- General rebalance and playback priority changes for Missile explosion sounds as they overshadowed nearly everything else.
- Plugged some holes in the Thanatos cockpit area created during resize
- Improved floaty animations on the Commando and Hellhound so that they bob like older mechs. 
- Decreased shine on UV camo to prevent glowing at long distances. 

---- GAME SYSTEMS -----

- Kill bonus reduced from 4000 to 1000 to try and slow down runaway assist money acclerating economy.
- Increased bonus per rank difference from 100 to 150.

-------- HUD ----------

- Added ticket costs to buy menu descriptions.

------ GAMEPLAY -------

- Decreased heat per pulse on Small Pulse lasers (IS and Clan) from 3.98 to 3
- Decreased BattleArmor Micro Heavy Laser range from 125m to 80m
- Increased BattleArmor Small Pulse Laser damage per pulse from 47 to 49.
- Increased BattleArmor Medium Machine Gun damage to 20 from 17, dropped damage dropoff range from 300m to 50m.

- Locust IIC
	- Scaled down Locist IIC torso by ~10%
	- Increased armor on close range variants.
	- Decreased ticket cost from 3 to 2.
	- Decreased tier from 4 to 3.
	- Added back 5 degrees to pitch down (WARNING YOU WILL SEE LEG CLIPPING AT SOME ANGLES)

- Hellhound
	- Decreased ticket cost from 8 to 7.
	- Decreased tier from 8 to 7.

------ MAPS ------

- TC_Tukayyid
	- Reduced the object count
	- Reduced small vegetation draw distance for lower viewspecs
	- Fixed missing IS banner textures
	- Replaced a problematic tree type

- TC_Scorched
	- Fixed problem where IS dropship would stop working
	- Fixed repair problem with IS dropship
	- Added some cover near center outpost
	 -Fixed dynamic heat effects
	- Fixed steam particles not rendering properly
	- Significantly reduced heat bloom effects
	- Fixed problematic Warship areas

-----------------------------------------
------------- VERSION 0.11.1 ------------
-----------------------------------------

------ BUG FIXES ------

- Fixed killing players ranked above Point Commander or Major not awarding extra Cbills.
- Normalized the amount of cbills you get on a kill or assist per rank above you the victim was.
This means that cbill progression should be more linear and not a weird bellcurve like it used to be relative to the rank of the other team. 
- Adjusted aiming ability and damage on new ERPPC turret. 

-----------------------------------------
------------- VERSION 0.11.0 ------------
-----------------------------------------

------ BUG FIXES ------

- Moved GECM on Shiva A to airGECM rather than ground based.
- Cleaned up some lua script errors reguarding buyzones and entering vehicles.
- Fixed some issues with ticket decrement ramp up.
- Adjusted vulture torso material slightly to match up with the legs a bit better.
- Included extra armor for some hawkmoth variants which had the tonnage set aside for it
- Floating barrels on Partisan D fixed.
- Removed phantom mascing sounds from Raven. 
- Rommel E should now has increased top speed its larger engine was supposed to provide.
- StripeGreenBlack camo now has actual black stripes instead of ugly brown ones.
- Fixed BA jumpjets jumping in the wrong direction if you used up all the fuel.
- Fixed issue with Air UAC 5 playing at max volume across the entire map.
- IS ER Small Laser doesn't sound like the Large Laser to a third person anymore.
- Wrong particle effect for BA PPC and Light PPC fixed.
 
---- GAME SYSTEMS -----

- Increased base cbill reward for killing a BA to 4000 from 1000.
- Added sv_ticket_decrement_rampup_rate as a sever cvar for tweaking.

- Ground based MRMs now function similar to their Air based cousins.
	As a last resort to try and find out why the hit detection is so much worse on MRMs than any other missiles, we've removed the fly by wire tracking to see if this helps the issue.
	In return MRMs have decreased spread and double their flight speed. However, to prevent overwhelming performance at pointblank range (where SRMs should be taking over) their minumum arming range has been increased to 65m.
	If this does not help either, wire guidance may make a return.

- Removed raise animation from BA Recoilless Rifle 

- Point Defense System
	- Doubled HP of PDS to prevent annoying early fire death.
	- increased damage to 2.
	- increased detection from 160m to 180m
	- enabled prediction for better hitrate against fast moving BA (not sure how much it will help)

- Laser Anti Missile System
	- LAMS now requires active radar to function. 

- Medium BattleArmor (Longinius and Elemental) health and armor regen delay normalized to 10 seconds,health and armor regen persecond while moving normalized to 6 seconds, and 12 seconds while stationary. 

------ GAMEPLAY -------
	
- New Assets
	- New Clan light mech Locust IIC (25t)
	- New Clan medium mech Hellhound[Conjurer] (50t)
	- New IS light mech Commando (25t)

- New Heavy Machine Gun weapon for both Clan and IS assets. 
	High damage at very low tonnage and heat, but with extremely limited range. Damage drop off beginning at 200m until dying completely at 400m. 

- New Maps  
	- SA_Gladiator
	- TC_Tukayyid
	- TC_Scorched 

- Weapons

	- Increased Air_Thunderbolt damage by ~33% against ground targets. Damage against air targets unchanged.
	- AC10 explosion radius now matches the AC20.
	- AC5 explosion radius now matches the old AC10.
	- Increased the cost on Air_LBXes (the 5 and 10 signifigantly).
	- Decreased core splash radius on Air LBX2 and 5 by 33%.
	- Decreased heat from each Arrow IV missile from 75 to 55.
	- Decreased manual lock time on Arrow IV missile from 16 to 10 seconds (4 to 2.5 seconds when crouched or deployed)
	- Increased hitpoints on Arrow IV missiles from 210 to 240 against LAMS.
	- Increased turn speed on Arrow IV missiles from 30 to 35. 
	- Increased core splash radius of LPPC and slightly increased screenshake amount. Also increased size of hit particle for better visual feedback.
	- Decreased hitpoints on Thunderbolts from 140 to 130.
	- Increased maximum effective range of the UAC2 from 1200m to 1250m
	- Increased time to overheat on UAC2 from 8 to 10 seconds.
	- Decreased AC2 damage from 28 to 23 primary and from 20 to 5 secondary damage. (overall damges were not well taken into account when splash was introduced resulting in overperformance)
	- Increased AC5 damage from 65 to 75 primary and from 45 to 50 secondary damage.
	- Normalized mechbased CLRM lock time to 2 seconds (CRLM10 lock time) on all launcher sizes. (this is to help the larger salvos while nerfing LRM5 cheese spam.)
	- Increased Light Gauss damage from 650 to 700.
	- Decreased Mgun spread from .05 to .04
	- Increased Bpod damage from 250 to 280.
	- Increased HVAC/10 cost from 9k to 11k.
	- Decreased UAC/20 heat per shot from 34 to 28 to bring itnto better alignment with the UAC10.

- Battle Armor weapons

	- Removed recoil and spread from BA SRMs.
	- Increased damage from Recoillless Rifle from 400 to 450.
	- Increased Grenade Launcher flight speed and outer splash damage. Moved damage type from heavykinetic to energy. Added impulse when firing.
	- Greatly decreased Inner splash on MPPC and decreased shake amount, slightly decreased overall damage.
	- Decreased speed and lifetime of BA based SRMs.
	- Decreased MircoHeavyLaser range from 175m to 125m.

- Longtom
	- Increased maximum turret yaw from 45 degrees to 50.
	- Added 0.85 missile modifier (similar to VTOLs) to give the Longtom some extra protection against aircraft and missile fire.
	- Sped up animation for deploy and undeploy (unclear if this will actually trigger however)
	- Increased inner splash radius to make up ~75% of the total area from ~66%
	- Increased outer splash radius on standard and short range ammos for better overall hit consisitency with the long range.
	- Decreased heat by 100 per ammo class. 
	- Decreased ticket cost from 9 to 8
	- Increased fire rate on the long and standard ammos to match short range. 
- Huit
	- Small improvements to drivability.
	- Decreased ticket cost from 9 to 8

- Epona
	- Decreased Epona base chassis cost by 3.4k

- Mithras
	- Decreased base chassis cost by 3k
	- Tweaked mass box and wheel structure to help combat stopping randomly on map seams. 

- Oro
	- Decreased Oro base chassis cost by 8.9k (stock has split 3to1!) 
	- Decreased ticket cost from 7 to 5

- Partisan
	- Increased base chassis cost for all ICE based partisans by 7.5k.
	- Increased ticket cost from 4 to 5
- Goblin 
	- Decreased ticket cost from 4 to 3.

- Chimera
	- Engine rating reduced to 86kph from 97kph. 
	- Base armor increased to 8 tons.
	- A few extra tons freed up from engine decreased spent on additional armor and weapons.
	- Base chassis cost decreased by 2k.
	- Moved more armor to missile torso.

- Mauler 
	- Increased reverse speed on Mauler again.
	- Base chassis cost decreased by 2k.

- SparrowHawk
	- Increased ticket cost from 2 to 3.

- Loki
	- Decreased base chassis cost by 2k.
	- Build rule change: All electronics (including LAMS) are half cost. 
	- All Lokis now come with free Eoptics. 

- Catapult
	- Decreased base chassis cost by 2k.

- Uziel
	- Decreased the physical size of the Uziel torso on the X axis by ~20%, resulting in a smaller profile and appearance closer to that of a 50 ton mech rather than a 55 ton. Hit boxes have been reduced to match.
	- Increased base chassis cost by 5k.

- Morrigu
	- Repainted standard paint scheme from black to metal grey to allow for camos to actually show up.

------ GAME FLOW ------

- Locust IIC ticket cost set at 3 tickets.
- Commando ticket cost set at 2 tickets.
- Hellhound ticket cost set at 8 tickets.

- Tier List Changes
	Chevy 4->2
	Mithras 2->1
	Commando 3
	Harasser 1->2
	LocustIIC 4
	Hellhound 8
	Partisan 5->6
	Oro 9->6

----- AUDIO ------
- All missiles get engine sounds with increased audible range, differying by missile type
- No more audio stealth for VTOLS
- New weapons sound for Heavy Machine Gun

---- VISUALS -----
- New effect for BPOD explosion

------ MAPS ------

- Reverted TC_IvoryTower to 8-bay forward hangars
- Dune: fixed terrain clipping in Clan main hangar 
- Harvest: Added extra AA turrets to main airbases 
- Outskirts: Attempt to fix the issue when rep/rearm stops working after nukes near center/north/south bases

-----------------------------------------
------------- HOTFIX  0.10.3 ------------
-----------------------------------------

------ BUG FIXES ------

- Prevented special characters from being used in player nicknames
	- This is needed to fix a known crash

-----------------------------------------
------------- VERSION 0.10.2 ------------
-----------------------------------------

------ BUG FIXES ------

- Fixed a crash caused by the chat system
- Madcat Prime now recieves its two free tons from previous CLRM build rule changes.
- Fix for missing textures on Vulture torso. 
- Fix for BA SRMs rarely registering hits, they should now always hit reliably. 
- Fix for RearFiringLaser visual beam not reaching to its full 500m.

---- GAME SYSTEMS -----

- Hatch escape timer globally reduced from 3.5 seconds to 2 seconds.
- Hatch escape timer has been removed from the APC.
- Select Mech variants now have B-Pod Anti Battle-Armor equipment. These are mounted on the mech's hips and release an explosive when fired (default key 6) which will cripple or heavily damage any BA in a radius around the mech. Note that the damage is not great enough to kill a BA from full health.
- Battle Armor now have a hardmounted Machine Gun which can be fired by pressing Mouse 2 (old grenade throwing button).
- Activated BA spawning onto infantry bays for the Hephaestus and Goblin.

------ GAMEPLAY -------

- AC2 moved to AP ammo to match the other standard ACs.
- ATM [HE] lock time reduced to 0.6 from 1 second.
- Decreased the spread cone of ATM-3 [HE] launcher to improve accuracy.
- BA Recoilless Rifle animation sped up to more closely match mPPC raise time. 

- The BA Recoilless Rifle now has Armor piercing capabilities against tanks, hovercraft, and aircraft. Damage modifiers are as follows:

	- Tanks: 2.25x against side armor
		- 3x against back armor
		- 1.5x against turret armor

	- Hovercraft: 1.3x against side armor
		- 1.6x against back armor
		- 1.15x against turret armor

	- The LT, Huit, and Mithras are considered hovercraft for these modifiers. The APC is not affected.

	- Vtols: 1.6x

	- ASF: 
		- Light 1.75x
		- Medium 2x
		- Heavy 2.25x
		- Assault 2.5x

- Increased damage of PointDefenseSystem and doubled its HP to prevent it from being destroyed so quickly.
- Restored full explosive area of Air_MRMs to match ground MRMs.
- Improved BA Grenade Launcher fire rate and explosive radius. Increased the speed and drop of the grenade.
- Slightly improved the agility of MRM tracking.
- Reworked BA Small Pulse laser to continuously fire, also reworked damage.
- Reduced light kinetic modifier against VTOLs from 1.9x to 1.6x
- Reduced Mgunammo mass so they don't push hovers as much
- Increased TAG range from 1300m to 1350m.
- Decreased HAG range from 1250m to 1200m.
- Increased Light Gauss range from 1200m to 1250m.
- Increased MRM damage from 78 to 82.
- BA armor regen delay increased to 5 seconds from 3.
- Moved some armor from Cauldron-Born Externals to its Side torsos.
- Moved some armor from Argus side torsos onto its Arms.
- Improved the turning ability of the Bushwacker.
- Reduced cost of BASRM ammo from 2k to 1k.
- Reduced BA health and Armor regeneration rate by 25%

- Thanatos Build rules tweaks: 
	- Thanatos now received free hard mounted GECM. 
	- Standard and Improved Jump Jets prices and tonnages halved for the Thanatos.

- Enabled equipment for the LongTom. The standard now comes with one PDS and one LAMS, the short with two PDS, the long with two LAMS.

- Ryoken Build rules tweaks:
	- Fix for missing internal tonnage in build rules which resulted in an extra ton of podspace. (was counting as 45 tons rather than 55 tons)
	- Ryoken now no longer recieves a free heatsink.
	- Ryoken now counts as 10 tickets from 11.

- Ryoken 
	- adjusted torso hitboxes on upper torso to match the shape of the lower torso (cockpit canopy).

- Hawkmoth Build rules tweak:	
	- Moved Hawkmoth engine to STD from ICE to match Donar as its base chassis price was already set up for STD engine.
	- Hawkmoth gained 1.5 tons of podspace, all of which went into better weapons to help it keep up with the Donar.
	
- Huit:
	- Moved to Clan FF armor from standard armor to improve its durability.
	- Increased base chassis price by 6k. 
	- Redistrubuted armor to areas more likely to be hit.

- Mauler:
	- Base chassis price decreased by 3k.
	- Improved the max yaw from 90 degrees to 135 
	- Increased armor on CT slightly.

---- AUDIO CHANGES ----

- Vehicle based weapons are audible for close to 1km from the source. Locate your enemy by the sound of the carnage.

- ASF engine sounds changed so that when a player throttles down the plane doesn't get near total audio stealth

- Heavy Small and Heavy Medium Laser play charge sounds again 

-------- MAPS ---------

- TC_IvoryTower: Removed erroneous Assault class builds from forward bases (this was never intended)

--------- VFX ---------

- Adjusted BASRM missile particles to look more like SRMs and less like Tbolts. 

-----------------------------------------
------------- VERSION 0.10.1 ------------
-----------------------------------------

------ BUG FIXES ------

- Possible fix for slowed economy
- Removed melee attack from BA Recoilles Rifle and from BA MP-PPC (caused a crash when used)
- Fixed Hollander unable to buy Thunderbolt 5 ammo
- Fixed Rusalka F not able to buy bomb reloads
- Fixed Rusalka B being able to buy bomb reloads (was not intended)
- Fixed all aircraft exiting / ejecting issues
- Fixed incorrectly reported BHP / BAP equipment on the HUD
- Fixed overheat/ low charge alarm for weapons not playing
- Fixed not being able to buy ammo from forward bases
- Fixed Goblin spawning underground when bought in a forward base
- Fixed BAP/BHP showing up wrong in the HUD
- Really fixed flame daisy chain from damaged turrets

- TC_Palisades: 
	- Fixed an issue where BA could not capture a base
	- Fixed runway repair bugs 
	- Fixed IS VTOL spawn-in-hangar bug

---- GAME SYSTEMS -----

- New server cvar: sv_stats_logfile (default value: 1)
	- This cvar, when set to 1, will make the server produce an XML logfile containing game stats in Documents/My Games/Crysis Wars/MWLL/Stats/ after a game ends
	- Setting it to 0 will make the server stop writing stat logfiles

------ GAMEPLAY -------

- Increased safe explosion distance for BA SRMs
	- This reduces likeliness of BA killing themselves when firing their own SRMs
	
- BA Recoilless rifle balance tweak
	- Increased rate of fire by 50%
	- Decreased damage by 50%
	- Decreased bullet speed by 33% (900 to 600 m/s)

- BA MP-PPC balance tweak
	- Increased rate of fire by 38%
	- Decreased damage by 38%

- Override is now a switch and can be enabled / disabled any time
- Overheat movement penalties are now applied to the actual max speed of the asset, not to the throttle
	- This will prevent overheat penalties to mess with the current throttle value

- Overheat penalties timer reduced from 4 to 2 seconds

---- AUDIO CHANGES ----

- Added new overheat alarm sound
- Added new overheat warning message when reaching the yellow zone on the heat indicator
- Changed Pulse Laser and XPulse Laser impacts sounds to be more in line with the general atmosphere of MWLL
- Heavy laser fire sound pitch brought in line more with their individual type

-------- MAPS ---------

TC_Palisades: 
	- Moved western BA spawn closer to mechbays.
	- Added forbidden areas inside main factories for opposing teams. 

TC_IvoryTower: Fixed 4-bays factories

TC_StoneRose: Removed duplicate spawnpoint icons

--------- VFX ---------

- Added trail VFX for Recoilless Rifle bullet

-----------------------------------------
------------- VERSION 0.10.0 ------------
-----------------------------------------

------ BUG FIXES ------

- Battle Armor damage modifiers are correctly working now, this means machine guns do the correct amount of damage to Battle Armor
- Fixed SA and LMS game mode kills being always logged as teamkills when sv_logKills is set to 1
- Fixed an issue where the vehicle turrets (AMS were unaffected) would fire when the left mouse button is pressed
- Fixed 3rd person view being available in the APC passenger seat
- Fixed Rusalka showing outdated paperdoll
- Fixed Anubis cockpit hitbox not following the torso as it moves
- Fixed Thor and Loki not exploding and going critical on destruction
- Fixed Osiris explosion
- Fixed Chevalier turret speed

---- GAME SYSTEMS -----

- e_clouds setting has been locked to 1 for gameplay reasons
- Rangefinder max distance doubled to 3000m 
- Both server and client will print the MWLL version and revision at startup in the log now
- The C-Bill donation system now prevents you from being able to donate money to a dead player, and will also show a warning on the screen.
- A log message will warn you when you try to change your name in a server where player renaming is disabled

------ GAMEPLAY -------

- ASF and VTOL ejector seats now actually push you out like actual ejector seats

- We continued our work on the BA. This iteration allows us to balance the health, armor, regeneration and damage modifiers for each single BA now.
	- BA now have inertia, instant strafing is no longer possible
	- BA jumpjets use a new performance curve, jump setting side to side and forward more responsive, 
	- BA jumpjets refuel delay reduced from 1.5 to 1 second
	- BA jumpjets max fuel slightly increased
	- Decreased air resistance and floatiness
	- BA SRM ammo is now limited to 8 in the players inventory + 1 loaded in each tubes (10 total)
	- BA grenades have been removed
	- Stocked BA SRM ammo will be removed when entering in a vehicle driver seat (APC is excluded from this)

	- Weapon changes
		- Flamer: heat damage slightly reduced

	- New weapons:
		- Light Machine Gun (replaces Bear AC)
		- Medium Machine Gun (replaces BA AC2)
		- Medium Grenade Launcher
		- Medium Recoilless Rifle
		- BA pulse laser
	
- Rework of the vehicle interaction system
	- Exiting from any vehicle driver's seat is not possible anymore while the vehicle's engine is running and when the related league mode option is disabled
	- There are 2 ways to leave a vehicle now: hatch escape and ejection sequence. Ejection sequence is available only on vehicles that come with an ejection seat. The ejection seat can only be used once.
		- Vehicles that come with an ejection systes are: Mechs, ASFs and VTOLs
		- Vehicles that DO NOT come with an ejection system are: Tracked and wheeled tanks, Hovercraft, APCs and Long Toms
	- By pressing the interaction ("F" by default) key while the engine is running, the ejection system will be activated, if present and not already used.
	- If the ejection system has already been used or it is not available, a new sequence is triggered in order to exit the vehicle: the hatch escape.
	- Hatch escape can be done anytime (unless league mode prevents it - in that case the vehicle would have to be shut down before), but unlike the ejection is not instant and needs 3.5 seconds in order to be completed. In this sequence, the vehicle will start the shutdown sequence and all the controls will be locked.
	- Shutting down will force the asset to stop, and lock all the controls for the whole duration of the sequence, which is 3 seconds
	- Shutting down during a jump is not possible anymore

- We reworked the heat punishment system, in order to make the whole system easier to deal with. Note that these set of changes are not meant to make the gameplay easier, but to give the auto-shutdown meaning which just used to be a net negative by taking control from the player and still taking all the damage from the heat incurred.	
	- We distinguish 4 different heat levels: safe, danger and overheat and off scale
	- In the safe zone (below the yellow line), the mech will never shutdown nor will take any heat damage
	- Reaching the danger zone (between the yellow and the orange line) only heatsinks will take heat damage. If shutdown override is not engaged, heatsinks will gain a heat damage resistance bonus. It will also make the vehicle visible to enemy radars at any range (heat spike radar penalty)
	- Reaching the overheat zone (over the red line) will cause overheat damage, and applies a different set of penalties. They will be removed 4 seconds after leaving the red line
		- Max speed cut to 45%
		- Weapons, jump jets and MASC / boost are disabled
		- Override will NOT prevent the movement penalties from being applied (weapon lock will be removed if you engage override)
	- If the vehicle takes more than 17.5% of heat damage to its main compoment (center torso / hull), it will start the auto-shutdown sequence.
		- As soon as the shutdown sequence kicks in, the vehicle will gain a 65% protection against heat damage.
		- After an auto-shutdown the vehicle won't be able to power up for 8 seconds.
	- As flying assets don't have an auto shutdown system, they won't be protected by this security system.
	- The shutdown override can be enabled at any time (default: H key), but once enabled it stays active for 60 seconds and cannot be disengaged manually, meaning that it has to be engaged manually every 60 seconds.
	- Vehicle and the heatsinks will always take full damage from overheating when override is active, which can be fatal in the red zone.
	- Single heatsinks will sustain much more heat damage than double heatsinks
	- When reaching the off scale point (900 degrees) the vehicle will immediately shut down.
	
- Selling vehicles is not possible anymore in LastManStanding and SolarisArena game modes
- Mounted turrets now will focus the currently selected target, if it's shootable, rather than engaging the closest one

------ NEW ASSETS ------

- New Goblin 45 ton tracked tank with a single infantry bay. The bay has no spawn ability
- New slimmer torso and new arms for the Vulture as well as a new cockpit interior

-------- ASSETS --------

- Tier changes:
  Mithras: 2, Osiris: 2, Solitaire: 4, Avar: 5

- Ticket changes:
  Chimera: 4, Regulator: 5, Goblin 5: (new)

- Hephaestus got an infantry bay without spawning ability
- Sparrowhawk armor rules changed to avoid overly vulnerable bomber variants
- Fafnir armor redistributed to center, left and right torso
- Mithras reworked to half track, engine power increased and lateral friction decreased to improve acceleration
- APC passengers are shielded from damage
- Cauldron Born armor redistributed to side torsos (small amount)
- Shadowcat base chassis cost reduced by 2k
- Novacat Armor redistributed to arms (small amount)
- Partisan tank sized up to actually being 80 tons, long barrel support added
- Raven size significantly reduced especially the beak, hitboxes reworked, head hitbox size decreased
- Laser-AMS repositioned on the Awesome and on the Thanatos
- Huitzilopochtli mass box tweaked to alleviate sliding
- Ryoken hitboxes reworked, long barrels removed so that the torso is more vulnerable from the sides
- Rifleman build rules tweak, LAMS count at half weight for Rifleman, extra tonnage gained converted to armor
- Thumper Rommel moved from tank build class to artillery build class
- Global increase for energy and kinetic modifiers against ASF.
- Different numbers per size/strength of planes still. 
- Generally, smaller and harder to hit planes got larger increases than larger, slower planes. 
- Increased kinetic-air and kinetic on Vtols
- Chimera - JJs and iJJs cost one ton less on the chimera since it sits at the bottom end of the medium class.
- VTOL radar detection ranged changed to active 1200m and passive 700m
- Morrigu breaking power reduced to prevent violent breaking
- Daishi, Warhawk external holder hitboxes bloat decreased
- Reduced light-kinetic modifier against hovercraft from 1.5 to 1.3
- Cougar base chassis cost reduced by 4.3k
- Puma base chassis cost reduced by 350
- Vulture Armor redistributed from arms to torso (small amount) 
- VTOLs damage modifiers reduced from 1.1 -> 1 (energy); 2.05 -> 1.9 (lightkinetic); 1.4 -> 1.2 (kinetic); 1.75 -> 1.2 (heavykinetic)
- Solitaire armor reduced by half a ton to remove the extra rmor it recieved from its unhittable(bugged) cockpit.
- Solitaire Backtorso armor reduced to bring it in line with the max allowed percentage present on all other mechs (0.7->0.6) 

Variant tweaks by asset

- Ares Prime
- Argus C
- Avatar D, F
- Atlas B
- Awesome A, B
- Blood Asp A, D, F
- Blacklanner E, G
- Bushwacker G
- Cauldron Born B
- Chevalier D
- Chimera B, G, E
- Cougar A
- Daishi A, B, C, G
- Demolisher Prime, C
- Donar C
- Epona A, C
- Fafnir A, C, D, E, F
- Harasser G
- Hawkmoth C
- Hephaestus A
- Hollander C
- Huitzilopochtli Prime
- Loki A
- Madcat Prime, D, F
- Madcat MKII A, F, G
- Masakari E
- Mithras C, D
- Morrigu Prime
- Novacat B
- Osiris B, E
- Partisan E
- Puma G
- Raven E
- Regulator Prime, A, B, C, D
- Rifleman Prime
- Rommel C
- Ryoken A
- Shadowcat B
- Solitaire G
- Sulla G
- Thor Prime
- Uller Prime, G
- Visigoth F
- Vulture Prime, C
- Xerxes A, G

------ WEAPON CHANGES ------

- ATM-Standard lockon time to 0.9/1.2/1.5/1.8 from 1/1.3/1.6/2.0 seconds
- UAC/10 overheat time decreased to match UAC/20 DPS
- UAC/10 price increased by 2k
- Removed impulse recoil from UAC5 to help hovercraft handling

- Machine gun:
	- Damage increased from 2 to 3.5
	- Overheat time reduced to 8 from 12
	- Spread halved
	- Damage dropoff increased from 300m to 1.9 damage at 1600m

- MRMs
	- Increased recycle time of MRM20/30/40 to match LRM10/15/20 timings. 
	- Firerate slowed down to 1200 rpm to hopefully alliviate some hit detection issues
	- Normalized firing pattern among the sizes

- ERPPC: price decreased to 8k from 9k cbills

- Thumper:
	- Reduced ROF to 9 from 10
	- Ammo per ton reduced to 8 from 15
	- Price increased by 7k

- HAG: Spread lowered (havled on the HAG/20)
	- Sped up recharge time on the HAG/30 by one second
	- Sped up recharge time on the HAG/20 by two seconds.

- RAC/5: 
	- Spread tightened to RAC2 levels. 
	- Damage fall off now begins at 650 instead of 500.
	
- AC/5: moved to high explosive ammo
- Clan LRM 15: decreased to 5.5 tons from 6. 
- Clan LRM 20: decreased to 7 tons from 8.
- Heavy Gauss (Air): charge time increased from 1 to 1.5 seconds
- Clan UAC2 price increased by 200

---- NEW EQUIPMENT ----

- New Point-Defense-System turret that shoots Battle Armors exclusively (mounted on Goblin and other tanks)

---- AUDIO CHANGES ----

- Betty sound "Shutting Down" is played on all the vehicles now
- New additions to the sound system to curb volume bloat with the exception of automatic weapons for technical reasons
- EQ filter removed from Clan assault mech run sound to get rid of distorted hum when many of them are close together
- Added pressure wave crackle to ASF engine sound
- Added new victory and defeat transmission for Innersphere. Clan transmissions get more variations
- Group fired weapons of the same type have a very subtle chorus effect applied to distinguish them from chain fired or single weapons in a group
- Bass boost for HVAC10, HAG30, 40 and Large, ER Large, Heavy Large and Large Pulse Lasers
- All Laser impacts can be now distinguished by weapon type and weapon class, works best when Laser fire sound is not audible
- Rear Firing Laser has a firing sound
- The manpack PPC has a charge sound indicating readiness

---- VFX CHANGES ----

Damaged turrets no longer create a trail of flames hanging in midair when moving.

-------- HUD ----------

- Small update to the map view in the ASF / VTOL HUDs
- Added SRM ammo counter to the BA HUD

------ NEW MAPS -------

- New map: TC_Palisades
- New map: TC_Outskirts
- New map: added TC_StoneRose as official map

----- MAP CHANGES -----

- TC_ValleyForge:
	- Changed the location of the forward factories, 
	- New base weight: 0.25

- TC_Dune: 
	- Layout changed
	- adjusted structures near repair bays
	- new minimap added
	
- TC_ThunderRift: Mechtraps removed
- TC_Bogs: Changed position of some objects
- TC_Dustbowl: Tweaked day/night cycle to be more visible at night
- TC_Inferno: Factories in side bases are now hardened against criticals

------- Extras -------

- New Shatter camo available in Special category
- New Ghostbear Alpha camo available in Special category

-----------------------------------------
------------- Version 0.9.4 -------------
-----------------------------------------

------ BUG FIXES ------

- Pilot splat bug (when large ASF would land perfectly level but the pilot would be squashed leaving the plane intact) has been fixed on the Rusalka, Shiva, and Xerxes.
- Air MRMs should no longer attempt to follow tags.
- Added hard damage drop off at 800m on iHgauss to prevent hits past max range.
- Fix for Air LBX healing or instantly killing targets.
- The friendly fire red cross indicator won't show up anymore in spectator mode

---- GAME SYSTEMS -----

- Synchronized Voice and Chat mute
	- You can now mute text chat from another player by accessing the Scoreboard and using the Mute Voice Chat function or by typing "/mute playername" in the chat
- Refactored logging system
	- Tweaked the chat log (both client and server) for better readability
	- Added server log messages for player kills
	- Added server log messages for player renames (it includes also the GamespyID)
- New cvars: 
	- sv_allowPlayerRenaming : Default is 1. If set to 0, players won't be able to rename themselves while playing
	 	- Note that players can still rename themselves by quitting the game and changing the profile name through the launcher
	- sv_logKills : Default is 0, if set to 1, the server will log all the player kills and deaths
- Reverted server tick rate to 30hz
	60hz stresses too much highly populated servers, forcing more updates than the engine was designed to handle. This has likely caused an increase in warping and jittering.

------ GAMEPLAY -------

- Normalized engine damage from back section damage on ground vehicles to 75% from 70% to match mech engine damage threshold.
- Speed penalties for fusion tank engines reduced to 20%/40% speed reduction from 30%/60% reduction. ICE engines reduced to 20%/30%.
- Clan LRM launchers on Clan combat vehicles (tanks/hovers) no longer fire forward but fire at an arc like IS lrms. Forward firing behavior makes sense for clan Mechs which use the close on taraget doctrine. It does not work for clan vehicles which were designed as fire support meant to stay at range. This allows them to fulfill that role much more efficiently.   
- Decreased RAC2 heat from 1.32 to 1.1
- Increased RFL damage to CERSL level from SL level. Increased range to 500m.
- Increased IS LPL shots per burst from 2 to 3 and decreased ROF by 50%. Since IS LPLs lack the range to truly snipe, they now have more frontloaded damage to trade at midrange better. 
- Slightly increased max fuel of ATMs to allow more maneuvering
- Increased LPPC impact effect so it can be seen behind the tracer for better feedback on hit.
- Increased splash and screenshake on LPPC
- Increased inner splash of Longtom shots from 60% of total splash to 80% on all variants.
- Increased radar's target detailed information gathering range from 0.8 times the radar range to the same as the radar range

-------- ASSETS --------

- Chevalier -
Increased responsiveness of turret
Tightened base turn radius to allow for tighter turning at medium to low speeds.

- Oro - 
Increased turret yaw speed
Decreased turret turning pentalty for damage
Moved some armor from front to turret

- Chimera - 
Refactored armor and moved some armor from legs to toughen the chassis

- Uller -
Adjusted base armor build rules to clarify how much base armor the Uller was working off of
Refactored armor and moved some armor from legs to toughen the chassis
Set logical amounts of armor to the different arm configurations

- Mithras -
Adjusted suspension for slightly smoother ride
Decreased size of back armor hit box to prevent being damaged from the sides. 

- Osiris - 
Toned down cockpit screen brightness

- Rommel - 
Halved turret yaw speed for Rommel A (Thumper) 

- Atlas -
New Atlas F uses STD fusion engine from XL.

- Huit - 
Improved huit traction to attempt to lessen sliding during turns.

- Anubis - 
Moved some armor from side torsos to arms

- Thanatos - 
Resized torso and arm geometry and hitboxes so that the thanatos is not as assault mech sized. 

---- GAMEFLOW CHANGES -----

- Sell price increased to 65% max of asset from 50%. The hoped for economic effect of reduction to 50% was not observed.
- Increased vehicle refund amount (when a players vehicle is not claimed after purchase) to 100% from 75%
- Decreased maxmium negative score from various sources to help prevent insane negative score bugs
- Mithras base chassis price decreased by 1.5k
- Demolisher base chassis price decreased by 1.2k
- Anubis base chassis price decreased by 1k


---- AUDIO CHANGES ----

- AC2 and 5, HVAC 2, Clan and IS UAC 5, 10 and 20 switched to burst_fire playback, only playing one sound file instead of one file multiple times for increased fidelity and resource savings 
- Increased volume of laser impacts. Volume of HAG impacts lowered to have them more in line with other impacts 
- Slight Chevy engine sound volume increase and made boosting on the Chevy actually audible 
- Sound settings of Clan light, medium, assault reactors tweaked to make the speed governed elements more audible 

-------- MAPS ---------

- TC Oasis: lowered the hill at the IS airbase, removed repair from forward factories

-----------------------------------------
------------- Version 0.9.3 -------------
-----------------------------------------

---- GAME SYSTEMS -----

- Reverted the network related changes made from 0.9.1 to 0.9.2

-----------------------------------------
------------- Version 0.9.2 -------------
-----------------------------------------

------ BUG FIXES ------

- At the first launch, the game should not give you a warning for modified files anymore. If that still happens, workaround is just to restart the game.
- TC_Oasis can be loaded at any graphic settings now.	
- Laser impact particle fixed so impact sound does now play
- TAG no longer plays fire sound on target of the tagging
- Turbine sounds on ASF no longer randomly change in pitch in cockpit but are instead bound to the throttle setting
- Fixed an error in an effects call in CL_Cougar_Mech.xml
- Atlas side torsos on XL engine models now have the correct transfer rate
- Fixed missing left particle bone for standard medium jumpjets

---- GAME SYSTEMS -----

- Gameserver admins now will be able to add maps without having to restart the gameserver by using this console command: map_dir_rescan
- Improved network performance of Thumper ammo
- Attempt to improve general network performance and reduce rubberbanding issues
- Fixed 32 bit client not starting up in some cases
- "Show all objectives" command logic reworked
	- It now acts as a switch, not as a button anymore. Pressing "o" key will show / hide map objectives in the HUD
	- It's disabled by default, but it's possible to load a custom setting by setting "hud_showAllOnScreenObjectives" cvar in the User.cfg file.
- Added server log message when a team runs out of tickets

--- GAMEPLAY CHANGES ---

- ASF based kinetic weapons (UAC10/ UAC5 and RAC5) moved from energy modifier to kinetic-air modifier.
	These weapons now have a 1.2x modifier against tanks, 1.15x against hovercraft, 1.2x against ASF and VTOL, and 1.15x against Shiva and Xerxes

- 1.4x EMP damage modifier added to ASF to increase damage from PPCs

- Fusion engine based tanks now receive additional damage to internals from destroyed side or rear armor from 1.0x and 1.5x respectively to 1.2x and 1.6x. The Huit since it has a very small engine will only go to 1.1x and 1.5x.

- Hovercraft internal health increased to a factor of 645x10% tonnage from 500x10% tonnage

- Removed transfer rate modifier from the Front armor of Hovercraft into internals, it is now 1.0x from 1.6x

- ASF and Vtol hitpoints per ton of armor reduced by 5%, armor was relocated from outer parts to the body to compensate for the loss, resulting in more fragile parts.

- ASF damage effect changes: 
				-Engines now no longer fail completely when destroyed but go at a fraction of the speed like ground vehicles. 
				-All weapons and bombs attached to wings now fall off if the wing is destroyed. 
				-Wings and Tail loss result in degrading flight performance. If the engine is lost or both wings are lost, the aircraft does not have the lift required to take off again once it lands.
				-Lost parts cannot be repaired.

- All Mech Pelvises now count as Left and Right leg hitboxes split down the middle rather than as CT. AS it makes more sense that hip actuators are being damaged rather than the core which is much further up the mech. This may increase legging as a viable tactic due to legs receiving more average splash damage than before.

------ NEW ASSETS ------

- Mithras Clan Light Tank (25t)
- Anubis Inner Sphere Light Mech (30t)
- Rusalka Inner Sphere Heavy Aerospace (65t)

----- NEW WEAPONS ------

- Air_LBXes: increased pellet spread and added explosive pellets for better performance against ground targets and other ASF. Increased damage against ASF and Vtols.
- Light PPC: fires faster than normal PPCs for half the raw damage allowing for higher single point DPS and suppression, but has less splash and only 450m range. 3 tons. 
- Rear Firing Laser: auto defense laser mounted on the back of the xerxes and shiva giving them some self defense against fighters. 

-------- ASSETS --------

- All Tanks -
Brakes finally invented!
All tanks should now have properly functioning brakes.
Deploy speed threshold increased from 0.36 kph to 3.6 kph

- Anubis -
Includes Stealth armor as a unique attribute.
Detectability radius decreased to 350m when active, giving superior sneaking abilities.
However, as a draw back, the Anubis does not support coolant. (the system needs to be sealed, or some such thing)

- Mauler -
Increased turn rate
Increased acceleration
Increased backpedal speed

- Masakari -
Increased turn rate
Increased acceleration
Increased backpedal speed
Included missing free heatsink it should've been receiving based off engine size

- Bushwhacker - 
Increased acceleration 

- Uziel -
Increased max yaw from 120 degrees to 130

- Thor - 
Standard armor increased to 10.5 tons CFF
Increased turn rate to match the Loki.

- Argus -
Increased CT hitbox to cover entire central canopy
Halved acceleration rate
Decreased turn rate to match the bushwacker
Max Yaw decreased to 100 degrees from 140 degrees

- Madcat -
Fix for external hitboxes unintentionally covering large portions of the upper torso canopy, spreading damage between torsos and externals even though the external was never hit.

- Rommel - 
Increased lower pitch limit from -4 degrees to -6 degrees
Tweaked collusion mesh to help permit side armor skirts getting stuck on terrain

- Long tom Tank -
Decreased Turret Yaw limits by 10 degrees.

- Epona -
Removed side armor hitboxes from the sides of the epona cockpit canopy at the front.

- Chevalier - 
Applied inertia to turret so that it cannot helicopter at extreme speeds anymore
Reworked driving model: Now has better turning at slower speeds and better gear transferring from forward to reverse but turns much slower at high speeds

- Ryoken - 
Fixed missing hitboxes for the tips of lasers mounted in the side torsos, before these would eat shots. 
Max Yaw decreed to 100 degrees from 110 degrees
Added cockpit Art.

- Catapult -
Decreased cockpit hitbox size

- Osiris - 
Added cockpit Art.

 - Xerxes -
Updated material to improve art quality.
Added cockpit Art.
Possible help for pilot splat bug on landing?

- Avar - 
Updated material to improve art quality.

-------  WEAPONS -------

- Bisect of previous air_MRM nerf to bring it to 15% reduction in blast radius rather than 30%
- Increased speed of LBX pellets from 1800 to 2600
- Removed Light kinetic modifier from UAC5
- Increased tracking speed of CLRM but increased cloud spread
- Increased Tbolt-20 ammo per clip from 4 to 5
- Decreased spread on HAGs slightly, smaller HAGs have tighter spread
- HVAC10 splash increased to be greater than AC10 but still less than AC20
- Slight increase to AC/10 and HVAC/10 splash damage.
- Increased HVAC10 ROF from 20 to 22.5 (from 3 seconds to 2.66 seconds)
- Long tom shells moved to the same splash model as other weapons. They now to 2/3 of their damage near the impact point and 1/3 additional damage in the nearmiss area. Also decreased damage by 5%.
- Decreased and normalized all NARC lifetimes to 25 seconds from 30/38 seconds for (c)narc/inarc respectively
- Increased ROF on AC/5 from 11.45 to 13 (from 5.2 seconds to 4.6 seconds)
- Restored prenerf AIR_SSRM ROF back to 350.
- Heavy laser damage and heat decreased by 6%. They were "overjuiced" causing both too much damage and too much heat when compared to their CBT equivalents. Also decreased Heavy Large Laser heat by a further 6% due the current model's heat being greater than the CBT equivalent.
- Thumper Artillery Speed increased from 550 to 700

--- BUILD RULES CHANGES ---

- Tbolt-20s are not considered 12 tons from 13 tons
- The Thor now has fixed iJJs at the weight and cost of JJs.
- Ground based UAC2s now count as one ton less. Clan UAC2 to 4 tons from 5 / UAC2 from 6 tons to 5

---- GAMEFLOW CHANGES -----

- The Novacat, Warhammer, Oro, and Rommel are now available to buy at forward bases.
- Since the Warhammer can now build forward, increased the Fusion engine on the Prime by 6k in order to prevent early spam
- Increased Argus base chassis cost by 3k
- Reduced Shiva base chassis cost by 1k
- Increased Oro base chassis price by 5k

- Ticket Values for some assets tweaked : 
					  { Stormcrow 10->11 }    { Loki 10->9 }
					  { Epona 7->6 }	{ Regulator 7->6 }
					  { Anubis 3 }		{ Rusalka 8 }
					  { Mithras 2 }

- Inflated C-bill modifiers tier system again from 8 to 16 at 5% +/- modifier to cbills earned from 10% to allow for even more nuance 
	  The tiers are now as  follows:
					{ IS_Harasser=1, CL_Hephaestus=4, IS_Chevalier=4, CL_Mithras=4, CL_Donar=4, IS_Hawkmoth=4, IS_SparrowHawk=3, ALL_Apc=1, 
					IS_Osiris_Mech=1, CL_Puma_Mech=6, CL_Cougar_Mech=6, IS_Raven_Mech=4, IS_Owens_Mech=6, IS_Anubis_Mech=5, CL_Uller_Mech=4, CL_Solitaire_Mech=5, CL_Avar=3,

					CL_Stormcrow_Mech=10, CL_Blacklanner_Mech=9, IS_Bushwacker_Mech=7, IS_Chimera_Mech=5, IS_HollanderII_Mech=5, 
					CL_Shadowcat_Mech=7, IS_Uziel_Mech=6, CL_Epona=6, IS_Regulator=6, IS_Partisan=5, IS_Corsair=7, CL_Sulla=7, CL_Ares=5,

					CL_Madcat_Mech=14, CL_Cauldronborn_Mech=12, CL_Novacat_Mech=11, CL_Thor_Mech=11, CL_Loki_Mech=10, CL_Vulture_Mech=11, IS_Warhammer_Mech=10, 
					IS_Rifleman_Mech=8, IS_Rommel=9, IS_Catapult_Mech=9, IS_Thanatos_Mech=12, IS_Argus_Mech=11, IS_Avatar_Mech=11, IS_Demolisher=11, 
					IS_LongTomTank=16, CL_Oro=9, CL_Huitzilopochtli=12, CL_Visigoth=9,
					
					IS_Fafnir_Mech=16, CL_Daishi_Mech=16, IS_Awesome_Mech=13, IS_Atlas_Mech=15, IS_Mauler_Mech=11, 
					CL_MKII_Mech=15, CL_Bloodasp_Mech=16, CL_Masakari_Mech=14, CL_Morrigu=15, IS_Shiva=13, CL_Xerxes=15
					}

- Ticket bleed from base caps in TC now reduced for the first ~10 minutes of the game, starting at 10% bleed strength in the first minute increasing gradually up to 100% at 10 minutes.(this is to help prevent large ticket leads from accumulating from relatively small skirmishes early on)

-------- HUD ----------

- Rework of the Mech and Tank radar scopes. Hexagon-styled noise removed and increased size a bit
- Increased opacity for Mech and ASF radar scopes
- The Landing gear indicator of the Aero HUD now will distinguish between 3 states of the landing gear: deploying, deployed, retracting

---- AUDIO CHANGES ----

- Added engine and reactor sound for new Clan tank Mithras
- Added engine and reactor sound for new IS mech Anubis
- Added engine and reactor sound for new IS ASF Rusalka
- Added fire sound for new weapon LPPC
- Complete rework of ASF engine sounds in first and third person
- Added special cockpit sounds for ASF engines which are filtered to sound like they are coming from behind the cockpit. Works best with headphones.
- Spin down sound from Air Gauss removed
- Change to close explosion sounds dropping high frequency sounds sooner
- Added new start up sounds and shutdown sounds and run sounds for Clan Mechs, small alteration to now IS shutdown sound
- Added unique turbine sound for Hawkmoth and Donar VTOL

----- VFX CHANGES -----

- Added new effect for LPPC weapon
- Added new effect for destroyed wings on ASFs
- Added new effect for damaged ASF engines
- Added new effect for destroyed ASF engines
- Changed mech arm destroyed effect: Fire now burns for a limited time and gets bent by travel speed, electric arcs shrunk down since they were larger than they had any right to be, spark shower adjusted unfortunately has only a very small draw distance

-------- MAPS ---------

UPDATES
- TC Oasis: fixed the failed reconfigureobject_1 bug, which caused disconnects when loading the map, so it should be playable on every graphic setting; put back the original loading screen; rearm removed from the 1x bases; adjusted the position of the repbays in the 1x bases; repair ability removed from forward factories; fixed rock collision issues and mechtraps
- TC Inferno: fixed mechtrap; forbidden area timer increased
- TC Mirage: center base icon fixed, does not show mechfactory anymore; adjusted the position of the repair bays to prevent stuck
- TC ThunderRift: attempt to prevent fall through the floor in the main bases in case of desync; attempt to fix the VTOL pad #2 on Clan side, it should not cause damage to VTOLS anymore; mechtrap fixes; attempt to increase performance near the center area
- TC IvoryTower: forbidden area timer increased
- TC Altay: fixed the icon of the VTOL base
- TC Enkeladus: improved base layout; added ams to main bases; adjusted terrain near G4 base to prevent stuck in case of desynch; fixed C8 bug on the crashed dropship
- TC Bogs: LT available; changed the layout and increased the sizes of the capzones significantly
- TC Forsaken: LT available
- TC Marshes: changed base layout, northern bases are closer to center; adjusted base weights; removed repair from NW and NE cappoints; center now has 1 rep bay only instead of 2
- TC Frostbite: changed base layout, the 3 western bases are now closer to center; adjusted base weights

-------- MISC ---------

- Fixed a shader bug that would occur when a specific console command is used before buying certain assets
- Updated green and blue solid paints

-----------------------------------------
------------- Version 0.9.1 -------------
-----------------------------------------

------ BUG FIXES ------

- Brake fixed on Rommel and Oro tank
- Solitaire cockpit hitbox increased
- Fixed Thumper impact sound not playing because of a damaged playback control file
- Fixed Laser firing sound playing all along the beam to the point of impact on Small Laser, ER Small Laser, Clan ER Small Laser and all Heavy Lasers on air and ground assets
- Fixed Machine gun drop-off sound intermittently playing too loud
- Medium lasers are now using the correct recharge sound

--- GAMEPLAY CHANGES ---

- Avatar Prime variant updated
- Hollander E variant updated
- Raven C variant updated
- Sparrowhawk C,D and E variants updated
- Air UAC5 and UAC10 damage and explosive area increase to bring them to correct ratios with the air UAC20

--- GAMEFLOW CHANGES ---

- Solitaire Base Chassis cost increased by 2k

--- MAP UPDATES ---

- Warning message added to loadscreen of TC_Oasis that informs the player of the minimum settings required to be able to connect successfully

--- AUDIO CHANGES ---

- Gradual sound playback changes for laser fire sounds over distance added
- Replaced machine gun drop-off sound 
- Overheat/low charge alarm sound is now more audible

--- MISC ---

- Camo selection now persists until the game is restarted or a diffent camo is selected	

-----------------------------------------
------------- Version 0.9.0 -------------
-----------------------------------------

------ BUG FIXES ------

- Fix for disappearing Vtols and ASF on radar when they run passive.
- Corrected some variant prices on the Thor, Bloodasp, and MKII not taking into account armor.
- LAMS now correctly fire upon Tbolts
- Atlas now loses torso weapons normally at 100% damage instead of 90%
- Fixed multiplier errors in the armor.xml that resulted in side torsos having more armor than center torsos on the Hollander and Solitaire, which was illigal.
- Fixed multiplier error in armor.xml which resulted in the solitaire having more back torso armor than allowed.
- Fixed camo materials issues on the Ryoken's arms and on the Awesome's Legs
- Corrected all the buymenu descriptions

--- LAUNCHER ---

With 087 we introduced a brand new launcher (version 3.0), which includes a delta patcher and a build verification and repair functionality!
The launcher will automatically detect any game update, and will automatically download all the new files, and delete the outdated ones.
It can also repair the Cysis Wars build

--- CONTROLS ---

- New key binding to drop a reserve ammo ton
- New key binding to force a reload of a partially spent ammo ton
- Existing throttle decay/ramping throttle binding now also works for Mechs

--- ASSETS ---

NEW
- Clan Cauldron-Born (Ebon Jaguar) Heavy Mech (65t)
- InnerSphere Rommel Tank (65t)
- InnerSphere Argus Heavy Mech (60t)
- InnerSphere Regulator Medium Hovercraft (45t)

UPDATES
- Rifleman LAMS support
- Catapult and Rifleman turn rate increased
- Huit and Partisan tanks now deploy and undeploy instantly (from 1 second)
- Reduced Maxmimum upward pitch on the Bloodasp to 60 degrees from 70 degrees
- Increased engine power on Attackers and Bombers for the Sparrowhawk and Avar
- Avatar returned to 75 KPH
- The usual tweaks to various underperforming variants

--- NEW WEAPONS ---

- Clan Hyper Assault Gauss (HAG) 20/30/40 weapons
- IS Heavy PPC weapon
- Air version for LPLs (increased burst shots to 5 from 2, increased burst cooldown time by 250%)
- Air version of HLL (5% less damage, 10% less heat, +50m Range)
- ATM launchers now have unique Art
- Thumper Artillery Cannon on the Rommel A variant

--- BUILD RULES CHANGES ---

- LBX-2, SSRM2 and SRM2 both Clan and IS versions are now loaded with half-tons of ammo, these can be reloaded but extra tons for them cannot be purchased.
- IS and Clan LBX2s now 2.5 tons from 3
- IS SSRM2 now 2 tons from 3
- IS SRM2 now 1.5 tons from 2
- Atlas F and G use XL engines
- The Shadowcat now has fixed ImprovedJumpjets at the weight and cost of StandardJumpJets
- The Raven now has C3 built in for free.
- The two fixed lasers on the Avatar now count at 50% tonnage 
- Avar and Sparrowhawk now allowed heavier weapons
- Swapped out Air_SSRMs on Vtols to ground version SSRMs

--- GAMEPLAY CHANGES ---

- Air_LRMs HP increased against LAMS, matched explosion pressure with their ground counterparts
- Reduced cluster bombs from 25 to 15 and condensed their damage.
- Slight explosion radius increase for HE and LG bombs.
- Air_SRMs now fire in a quick burst like their ground counterparts
- Air_SSRMs fire rate decreased by ~66%
- HVAC2 burst size doubled, slightly increased their clipsize.
- Increased Long range LT fire rate to match standard range.
- Increased Light kinetic modifier against VTOL and Light/medium ASFs to 2.0x from 1.75x
- Increased Light Kinetic modifier against Tanks to 1.15x
- Increased Light Kinetic modifier against Tank Interal Structure to 1.3x
- UAC5/ AC2 / AC5 convered to Light kinetic modifier for AA purposes.
- Air versions of Gauss, Hgauss and iHgauss have all had their charge times reduced and normalized to 1 second.
- Air Lightgauss no longer requies a charge and fires a bit faster than the ground version.
- UAC2 and Clan UAC2 damage increased from 9 to 13
- IS LPL heat ~12% heat reduction
- Increased Lock on time for ATM [STD] to 1/1.3/1.6/2 seconds respectively for the ATM3/6/9/12 from 1/1/1/1 seconds
- Increased Lock on time for ATM [ER] to 1/1.2/1.4/1.6 seconds respectively for the ATM3/6/9/12 from 1/1/1/1 seconds
- Doubled Burst ROF on the UAC5, Halved bursts until overheat from 6 to 3.
- Increased turn rate on Tbolts
- All Aircraft based guided missiles lock time normalized to 1 second regardless of type or launcher size.
- Slight reduction to heat generation from using afterburners on ASF
- Bomb prices reduced and normalized to 2000 per ton for all three types
- Reduced MXPL heat by 13%
- Reduced Air_MRM explosion radius by ~30%
- Small and Medium Lasers both standard, ER, and Clan ER, damage per shot increased by 9% (to bring them closer to correct damage ratios when compared to the Large Lasers per CBT)
- HVAC10 max range to 950m from 900m.
- UAC10 Max range to 650m from 600m.
- Increased projectile speed, increased ROF, and decreased time to overheat on the UAC10.
- Tightened the spread on the LBX2/LBX10/LBX20 to match LBX5 spread at their stated max ranges.

--- GAMEFLOW CHANGES ---

- Maximum return for selling an asset reduced from 70% to 50%.
- Increased the cost of Medium ASF Fighters.
- Partisan heavy tank moved to forward spawn bases to provide in field AA
- XP requirements for top ranks increased 
						  { Rank 9 (98k Cbills)   : 38.4k-> 46k XP}
						  { Rank 10 (105k Cbills) : 46.4k-> 60k XP}
						  { Rank 11 (113k Cbills) : 54.4k-> 72k XP}
						  { Rank 12 (128k Cbills) : 67.2k-> 91k XP}
	
- Warhammer Base Chassis cost decreased by 3k
- Rifleman Base Chassis cost decreased by 4k
- Madcat Base Chassis cost increased by 5k
- Novacat Base Chassis cost decreased by 3k
- Modified Chevalier chassis cost and tweaked variants to increase average cost per variant

- Tier system for Cbill modifier updates: 
					  { Solitaire tier 1->2 }
					  { Regulator tier 4 }
					  { Madcat tier 6->7 }
					  { Novacat tier 6->5 }
					  { Rommel tier 4}    
					  { Thanatos tier 5->6 }
                      { Argus tier 5 }
					  { Cauldron-Born tier 5 }
  
- Ticket Values for some assets tweaked : 
					  { Solitaire 1->2 }    { Sparrowhawk 4->2 }
					  { Owens 2->3 }	{ Avar 5->4 }
					  { Madcat 12->13 }	{ Hephaestus 1->2 }
					  { Novacat 11->10 }	{ Epona 8->7 }
					  { Catapult 8->7 }	{ Regulator 7 }
					  { Rifleman 8->7 }	{ Rommel 7 }
					  { Warhammer 9->8 }    { Cauldron-Born 10 }
					  { Argus 8 }
					  { MKII 13->14 }
					  { BloodAsp 15->16 }
					  { Atlas 13->14 }
					  { Fafnir 15->16 }

--- MAP UPDATES ---

- New map: TC Oasis
- TC Wildlands: redesigned the F5 base, it should not be possible to suppress the mechbay from safe enemy positions anymore; increased the draw distance on the background vegetation a bit
- TC ValleyForge update: Improved architecture; airfields added; added more sounds
- TC ThunderRift: VTOLs! fixed a mechtrap
- TC Altay: attempt to increase performance by adjusting light sources, fixed the pit under D3 base
- TC Bogs: attempt to increase performance by toning down particle effects
- TC Dustbowl: fixed mechtraps
- TC Deathvalley: added base weights to minimap, new meteor impact sound
- TC IvoryTower: removed curbs from airfields to help takeoffs
- TC Inferno: changed the structures near the airfields to help takeoffs

--- AUDIO CHANGES ---

- Explosion sounds improved
- HVAC 2 new sound
- new AC and HAG impact sounds
- Large Pulse Laser firing sound improved
- LRM impact sounds improved
- Weapon and run sound volumes overall slightly reduced
- New weapon sounds for HAG, Thumper and Heavy PPC
- PPC and ER PPC have improved sounds
- New sound for critical explosion
- Ground UAC2, all air UACs, all RACs switched to performance saving loops with drop-off tails
- Correct spin up and spin down now playing for all RACs
- Mobile Long Tom improved with new deploy, impact and shell whine sounds.
- Overheat/low charge alarm when a rapid fire weapon is about to stop firing
- Signal beeps for when rapid fire weapons are ready again.
- New ICE engine sounds for Demolisher, Partisan and Mobile Long Tom.
- New fusion engine sound for Chevalier
- New hovercraft engine sound for Regulator
- New meteor impact sound for TC Deathvalley
- Ducan Fisher voice clips updated with stadium PA effect.

--- VISUAL EFFECTS CHANGES ---

- All vehicle projectiles now play surface appropriate impact effects
- All impact effects heavily optimized for performance
- Minor optimizations to critical explosion effect to reduce performance impact

-----------------------------------------
------------- Version 0.8.6 -------------
-----------------------------------------

----- GAME SYSTEMS -----

- Switched to our own custom master server list / GameSpy Login service provider

- We moved to a better folder structure for the handling of the game data

	- In order to do this change, the installer will replace your current "autoexec.cfg" with our custom version, and will delete "server.cfg" and "levelrotation.xml" from the MWLL installation folder. Be aware that modifying this new autoexec file might cause issues.
	- You can use your custom autoexec by renaming it as "user.cfg" and moving to the new client data folder.
	- You can use your custom server configuration by backing it up and moving it to the new server data folder.

	- Client data folder is now My Documents/Crysis Wars/MWLL/Client  
		- This implies that, if you want to use a custom cfg configuration file, you must rename it as "User.cfg", and store it in that folder.
		- This will also be the location of the client logs (not the crash logs)

	- Server data folder is now My Documents/Crysis Wars/MWLL/Server
		- The configuration files (server.cfg, levelrotation.xml) will be loaded from that folder now (unless you start the server using a custom bat script)

	- Due to this new system, changing the user.cfg will no longer affect the actionmapper axis inversion setting.
		- The Actionmapper settings will be saved in Actionmapper.cfg

----- LAUNCHER -----

- The Launcher will log you in automatically now. There is no need to register / log in to Qtracker / Gamespy anymore.
- Fixed Launcher unable to recognize Debug / Release DLLs
- 64 bit mode is the default one
- The Launcher is now able to detect broken profiles and warn you before launching the game


-----------------------------------------
------------- Version 0.8.5 -------------
-----------------------------------------

------ KNOWN ISSUES ------

GAME SYSTEMS
	- At the first launch, the game might give you a warning for modified files, and therefore crash.
		Workaround is just to restart the game.

LAUNCHER
	- All the manual changes made to Server.cfg will be lost if you use the Sever Configuration prompt of the Launcher.
	
GAMEPLAY
	- Pulse lasers occasionally fire an additional laser pulse
	- "Pilot Splat Syndrome": Sometimes, when you're landing, the pilot will die, leaving the asset intact. This, unlike the (now fixed) Runway Fireball Syndrome, though, happens very rarely.
	- Arrow IV Artillery launcher won't lock on some ASFs and VTOLs
	- In the Coupled Unlocked mode, when the reticle is very close to the center of the screen, the torso will stop moving, but the reticle will keep trying to recenter

HUD
	- Certain HUD elements might overlap other UI elements

SOUND
	- Ballistic and missile weapons readiness sounds play also when the weapon is empty
	- Ballistic and missile readiness sounds will also play on the reload of an ammo ton and may overlap the ammo reload sound
	- Laser readiness sounds will even play when you leave your asset
	- Playback of reload sounds may fail on auto-reload and are outright broken on MRMs for the MRM to function correctly as a weapon
	
CONTROLS
	- DirectInput Joystick support has been removed due to instability. You can continue using your joystick by following this guide: https://wiki.mechlivinglegends.net/index.php/Joystick_Setup

------ BUG FIXES ------

VFX
	- Fixed a certain number of crashes to desktop caused by particle effects
	
GAMEPLAY
	- Fixed wrong Sulla damage modifiers

--- GAMEPLAY CHANGES ---	
	
- Base AMS now will shoot down bombs
- Corsair C variant updated
- Hawkmoth G variant updated
- Long Tom Short Range ammo area of blast decreased by 33%
- Long Tom Long Range ammo area of blast increased by 33%
- Air medium and small lasers now have a 1.3x damage modifier against other aircraft
- Air RAC5 spread decrease
	
--- AUDIO ---

- Replaced reload beep with a less aggressive one-shot
- Fixed PPC / ERPPPC readiness sounds

--- NETWORK ---
	
- Corrected network scheduling for various assets to improve performance

--- CAMO ---

- Enhancement to Green, Red, Yellow and Exotic camos		

-----------------------------------------
------------- Version 0.8.4 -------------
-----------------------------------------

------ KNOWN ISSUES ------

GAME SYSTEMS
	- At the first launch, the game might give you a warning for modified files, and therefore crash.
		Workaround is just to restart the game.

LAUNCHER
	- All the manual changes made to Server.cfg will be lost if you use the Sever Configuration prompt of the Launcher.
	
GAMEPLAY
	- Pulse lasers occasionally fire an additional laser pulse
	- "Pilot Splat Syndrome": Sometimes, when you're landing, the pilot will die, leaving the asset intact. This, unlike the (now fixed) Runway Fireball Syndrome, though, happens very rarely.
	- Arrow IV Artillery launcher won't lock on some ASFs and VTOLs
	- In the Coupled Unlocked mode, when the reticle is very close to the center of the screen, the torso will stop moving, but the reticle will keep trying to recenter

HUD
	- Certain HUD elements might overlap other UI elements

SOUND
	- Ballistic and missile weapons readiness sounds play also when the weapon is empty
	- Ballistic and missile readiness sounds will also play on the reload of an ammo ton and may overlap the ammo reload sound
	- Laser readiness sounds will even play when you leave your asset
	- Playback of reload sounds may fail on auto-reload and are outright broken on MRMs for the MRM to function correctly as a weapon
	
CONTROLS
	- DirectInput Joystick support has been removed due to instability. You can continue using your joystick by following this guide: https://wiki.mechlivinglegends.net/index.php/Joystick_Setup

------ BUG FIXES ------

GAMEPLAY
	- Fixed a crash caused by getting a missile lock on an asset protected by AECM
	- Tweaked Harasser hover height
	
------ VFX ------

- Performance optimization pass on the new laser impact VFXs and Bomb explosions

--------- GAMEPLAY CHANGES ----------

- LAMS no longer targets Laser-Guided Bombs
- Laser-Guided Bombs arming distance reduced to 100m from 200m
- Improved turn speed of Air_SSRMs
- Decreased ASF base chassis price across the board
- Reduced tracking laziness on T-bolts
- Reduced spread and slightly increased splash on Air_UAC5
- Air_RAC2 moved to lightkinetic type
- Bomber Engine power increased on the Sulla, Corsair, Avar, and Sparrowhawk. 
- Ramming damage decreased on ASF and Vtols.

------ GAME SYSTEMS ------

AUTOEXEC
	- Autoexec moved from Crysis installation dir to MWLL mod dir. 	
		This change was needed because the Crysis autoexec gets ignored if an Autoexec.cfg file is found in the MWLL mod directory
		
------ LAUNCHER ------

NEW LAUNCHER FEATURES
	- MWLL update notification
	- Installation integrity verification

------ SOUND ------

- Increased pitch on readiness and reload sounds to mitigate volume spike on multiple simultaneous reloads
- Removed mistimed air Thunderbolt readiness sound	

------ CONTROLS ------	
	
ACTIONMAPPER
	- Fixed an issue where changes made to the aircraft inversion control settings would have no effect if the "autoexec.cfg" file was placed in /Mods/MWLL/ directory
	
------ CAMOS ------

- Improvement to the Smoke Jaguar camo


Version 0.8.3
-----------------------------

------ KNOWN ISSUES ------

LAUNCHER
	- In the Server Configuration prompt, you might get warned about a setting that is not being recognized in the server configuration file. The warning can be skipped.
	- The Repair and Check-for-updates buttons in the launcher are broken

GAMEPLAY
	- Pulse lasers occasionally fire an additional laser pulse
	- "Pilot Splat Syndrome": Sometimes, when you're landing, the pilot will die, leaving the asset intact. This, unlike the (now fixed) Runway Fireball Syndrome, though, happens very rarely.
	- Arrow IV Artillery launcher won't lock on some ASFs and VTOLs
	- In the Coupled Unlocked mode, when the reticle is very close to the center of the screen, the torso will stop moving, but the reticle will keep trying to recenter

HUD
	- Certain HUD elements might overlap other UI elements

SOUND
	- Ballistic and missile weapons readiness sounds play also when the weapon is empty
	- Ballistic and missile readiness sounds will also play on the reload of an ammo ton and may overlap the ammo reload sound
	- Laser readiness sounds will even play when you leave your asset
	- Playback of reload sounds may fail on auto-reload and are outright broken on MRMs for the MRM to function correctly as a weapon

ACTIONMAPPER
	- Any change made to the aircraft control inversion settings will have no effect if you have an "autoexec.cfg" file placed in /Mods/MWLL/ directory
		Workaround is to move the "autoexec.cfg" file outside from the /Mods/MWLL/ dir and place it into the Crysis Wars installation directory

------ BUG FIXES ------

ASSETS
	- Runway fireball syndrome has been fixed. You can land safely with your ASFs, now.
	- Camo is always applying to all the assets now
	- Harasser made more stable, particularly when entering and exiting water.
	- Partisan suspension loosened, should now get stuck less often.
	- Black Lanner fixes to collusion proxy and component proxies.
	- Armor distribution on Solitaire corrected, large side torso now correctly protected as is the back torso.
	- Corsair now correctly sells.

HUD
	- Fixed a bug where the server list would not use all the available space for listing the servers
	- Fixed scoreboard showing a square instead of a minus sign when a team's score is below 0
	- Fixed missing Improved Heavy Gauss ammo icon not showing up in the buy menu
	- Fixed a bug where the ASF bomb sight would not be recalculated according to the zoom level
	- Fixed a bug where the ASF bomb sight would behave weirdly when upside down
	- Fixed precision issues in all the map / radar scopes
	- Fixed a bug where the contact icons in the BA radar would squeeze while rotating
	- Fixed target's health bars not rescaling after the target repaired
	- Fixed Heatsink damage indicators not updating after repairs
	- Fixed other players' names tag not showing up on Corsair and on the Huitzilopochtli

WEAPONS
	- Fixed NARC being out of sync across clients
	- LAMS performance remedied. Any LAMS should perform equally well when moving and twisting as when standing still. Rebalanced missile health and added more missile types for the LAMS to fire at.
	- MRMs now ignore narc beacons

AUDIO
	- Fixed Improved Heavy Gauss impact sound not playing

MAPS
	- TC Taiga
		Fixed some more flying trees
		Fixed misleading mech icon at airfields

	- TC Wildlands
		Fixed an issue when hovers stuck in forward hangars
		Fixed minor glitches
		Fixed known invisible walls

CONTROLS

    - Fixed DirectInput support not working
		This means joystick support has been fixed

    - Fixed various inversion inconsistencies with VTOL / ASF axis
		This implies you might have to recheck your inversion settings via the Actionmapper


--- ASSETS ---

NEW
	- Clan Avar Light Aerospace (35t)
	- Clan Xerxes Heavy Aerospace (85t)

UPDATES
	- New cockpit for the Puma
	- Updated model for the Uller

--- NEW WEAPONS ---

- High Explosive Bomb: A single, high explosive unguided bomb.
- Laser Guided Bomb: A single guided bomb. Does not lock on targets. Requires a TAG for guidance.
- Cluster bombs: A cluster of 25 bombs. Meant for carpet bombing.

--- GAMEPLAY CHANGES ---

FOV
	- Increased FOV from 60 to 70

WEAPONS
	- Changed unguided splash damage weapons (AC10/20, Hvac10, PPCs) from rocket code to new "explosive bullet" code. This should improve hit detection and may improve detection at high server loads.
	- AC Flak removed.
	- Tightened spread on STD and ER ATMs to prevent random misses against even stationary targets.
	- increased UAC2 and HVAC2 projectile speed to 3500 from 2500
	- HE ATM behavior reworked. 3/6/9/12 fire 1/2/3/4 missiles at a time respectively. Readjusted cone spread and decreased lock on time to 1 second.
	- Tightened burst speed for UAC10
	- Compacted AC5 and UAC5 burst length from 4 bullets to 3.
	- Small Pulse Lasers reworked. Burst increased to 6 shots from 2 and damage increased. Increased range of CSPL.
	- HVAC10 ROF increased to 20 from 17
	- Removed manual tracking on SSRMs to prevent odd star pattern at close ranges.
	- Increased ROF on Tbolts to match LRMs.
	- Long tom Ammos normalized to LongtomFar speed, uses gravity instead for ranges.
	- 8% Damage increase to all X-Pulse classes
	- Removed second laser on Medium laser base defense turrets.
	- ROF of RAC2 on EagleEye reduced to actual RAC2 ROF.

VEHICLES
	- Huit hitboxes reshaped to be more in line with other tanks (harder to hit sides from front)
	- Increased Huit max speed by ~9kph, max reverse speed increased to 33kph from 8kph. Decreased engine penalty for rear armor damage.
	- Slowed transfer rate from front armor to internals on all tanks.
	- Relocated armor from Oro front to Oro turret.
	- Increased reverse max speed of Partisan.
	- Avatar original canon 64KPH engine returned so that its full armor could be restored. No more squishy Avatars.
	- Small armor redistribution on Uziel from side torsos towards Arms and CT.
	- Uller model tweaked, hitboxes reformed, and armor redistributed.
	- Puma Cockpit art added. Hitboxes reworked on Puma to add survivability.

RETICLE
	- Free reticle re-enabled by default (Coupled Unlocked mode)
	- Coupled Unlocked mode has been reworked for increased smoothness
	- Increased responsiveness and torso speed while in Coupled Interactive mode

AEROSPACE
	- Flight model overhaul
		Now the maneuverability of each asset is dynamically calculated. The maneuverability decreases at low and at very high speeds. This means each asset has its own optimal turning speed
		Landing dynamic is more realistic. You'll end up landing with your nose pointed up, like real planes.

	- ASF Taxiing update: If you keep Decrease Throttle pressed, you'll be able to reverse the thrust and move backwards
		Pitching up is not possible anymore when taxiing at low speeds
		Notice that Decrease Throttle works also as an actual brake while landing on a runway.

	- ASF Classes
		The variants of each ASF come in 3 different classes, now:
			- Fighter (unavailable for Shiva and Xerxes): high maneuverability, high armor, high electronics, low price, small weapons. Unable to carry bombs.
			- Attacker: medium maneuverability, medium armor, medium price, medium weapons. Can carry bombs WITHOUT reloads
				This means that buying additional bomb ammos on attackers is not possible, even if you still have free tons available
			- Bomber: low maneuverability, low / medium armor, high price, heavy weapons. Can carry bombs with reloads

	- AirGECM now increases missile lockontime by 2.75x to give VTOLs and low flying ASF some counter against missiles spam.
	- UACs entirely redesigned for superior strafing performance.
	- Gauss charge time for Aircraft (ground are still fire on demand)
	- Missile weapons redesigned for aircraft performance and balance.
	- Small and medium laser classes maxrange increased for aircraft.

VTOLS
	- VTOLs will lose maneuverability while boosting
	- Removed extra damage modifier for missiles and energy weapons against VTOLs.
	- Increased extra damage modifier for Gauss and LBX against VTOLs.

LEAGUE MODE
	- Implemented a new command for league play: C-Bill Button
		This command works only if "sv_leaguemode_givecbills" AND "sv_leaguemode_enabled" are BOTH set to 1
		The way it works is that any player who presses the "Home" key in the default key bindings (or types "givemecbills" in the game console and presses enter) will receive 100000 cbills IF the conditions mentioned above are satisfied
		The command will produce a message in the center of the screen, that will be visible only to the player who requested the command if the cvar "sv_cbillmessage_broadcast" will be set to 0 (default value). If "sv_cbillmessage_broadcast", the message will be visible to every player connected on the server.
		Whether "sv_cbillmessage_broadcast" is set to 0 or 1, the usage of the command by any player will always be logged in the server console (if the league setting is enabled)

--- GAMEFLOW CHANGES ---

- Scat base chassis price decreased.
- Single HS prices decreased
- Huit Base chassis price decreased.

--- HUD CHANGES ---

BUY MENU
	- ASF silhouettes are now shown from above
	- The menu will now show the selected paint
	- The menu will now show the available c-bill amount
	- Scrolling via mouse wheel made a bit faster

GENERAL
	- Chat window has been squeezed in order to make it less obstructive
	- Paperdolls will still be visible even if the targeted contact won't be in line-of-sight
		In this case, an "OUTDATED" writing will show up, meaning that the displayed information is outdated.

	- Target brackets redesigned
		Now it will show the name of the player (if identified) and the distance

	- Battle Armor paperdoll for target displays added
	- Tuned down brightness of IR vision

BATTLE ARMOR
	- Now shows the target grid location
	- Added proper compass with target markers
	- Reworked crosshair
		Removed stock Crysis crosshair that was obstructing the view
		The crosshair won't show the power status of the vehicle you're looking at anymore

VEHICLE
	- Aiming reticle revamped
		Now works consistently between different asset types
		TAG and NARC indicator have been added near the crosshair reticle
		Lockon indicator has been reworked for better visibility
		Weapon group markers redesigned and resorted
			- Group 1,3,5 at the left, group 2,4,6 at the right. Lower numbers at the top, higher at the bottom.

	- FOF (Friend or Foe) indicator now will detect an enemy only in ACTIVE radar mode. The behavior while facing an ally has not been changed.
		This means the reticle won't turn red while facing an enemy if the radar is in PASSIVE mode

	- Long Tom HUD has been revamped
		Standard reticle is no longer shown in the Long Tom HUD interface
		Weapon groups indicators have been removed in favor of a single weapon status indicator
		Radar and map scope will now show the Long Tom impact PIP (predicted impact point)
		Tank status added (in position, not deployed, ready to deploy)
		Trajectory indicator redesigned

	- Pitch indicator has been added to all ground vehicles
		It shows absolute pitch, not relative
		On the Long Tom, it shows the pitch of the cannon, not of the camera

	- Torso / turret twist indicator has been added to all ground vehicles
		Upper arrow indicates the twist of the turret relative to the main body of the vehicle

	- Updated mech external / back torso damage readouts
		Will show the proper external position now (left / right), as well as properly sized health bars

	- The behavior of the Mech throttle is now consistent with the one of other HUDs: the thin horizontal bar represents the requested throttle (W / S change it on default key bindings), the vertical bar represents the actual engine throttle of the mech

	- Make heat warning bars on the heat gauge for Mech and Tank HUDs more visible
	- Changed heatsink damage indicators to make them better visible

ASF HUD
	- Reworked the logic of the bomb calculation PIP
		This should increase a lot the overall accuracy of the PIP
		It won't be shown anymore when facing upside down

	- Added proper compass with target markers
	- Added proper horizon indicator
	- Added proper altimeter / speedometer
	- Added PULL UP warning (triggers at 40m)
	- Added STALL warning (triggers when the ASF is reaching the point of no control)
	- STALL and PULL UP warning will not work when the landing gears are deployed
	- Added Landing gear deploy indicator
	- Added Heatsink damage indicator

MISC
	- New tips added to the loading screen
	- Removed non-relevant info in the server list screen

--- SOUND ---

WEAPONS
	- Machinegun, AC 2, AC 5, AC 10, AC 20,HVAC 2, HVAC 10, LBX 2, LBX 5, LBX 10, LBX 20, RAC 5, UAC2, UAC5, UAC20 sounds have been replaced
	- PPC edited, ERPPC sound replaced
	- Gauss Rifle, Light Gauss Rifle, Heavy Gauss Rifle, Improved Heavy Gauss Rifle sounds have been expanded on.
	- Arrow IV launcher sound has been replaced
	- Long Tom cannon sound has been replaced
	- Introduction of readiness sounds for all weapons to indicate when the weapon is ready to fire again.
	- Impact sounds for PPC, ERPPC and Gauss Rifles sounds have been replaced
	- Added Ammo depleted reload sound

VEHICLES
	- New missile warning sound
	- Oro and Ares tanks have new engine sound
	- Demolisher and Partisan tank tread sounds volume increased.
	- LongTom, Partisan and Huit tread squeaks no longer play in standstill
	- New heavy mech footfall sound

AIR WEAPONS
	- Charge up sounds for Air Gauss Rifles
	- Added Air UAC 2, UAC 5, UAC 20 sounds

AIRCRAFTS
	- New startup sound for Xerxes Aerospace fighter
	- New engine sounds for Xerxes and Avar Aerospace fighters.
	- New afterburner sound for all Aerospace fighters
	- All Aerospace fighters now have fusion engine sounds

--- MAPS ---

UPDATES

	- SA Jungle
		attempt to fix the clipping through the hangar bay issue.

	- TC Altay
		Added two repair bays to the side bases.

	- TC Enkeladus
		Tweaked base icons
		Added on more factories to the corner bases
		Hovers should be able to leave the forward factories without getting stuck
		Decreased base defenses

	- TC Harvest
		Decreased the view distance of the tank traps in the bocages so they will be displayed only when the surrounding vegetation is already rendered

	- TC IvoryTower
		Replaced the bugged 4 bay factories with the 8 bay versions

	- TC Marshes
		Base weight tweaks based on 8.2 gameplay experience
		NW and NE base weight increased from 1 to 1.5
		Added 8 bay factory to North base.

	- TC Taiga
		Decreased base weights
		Removed one MLaser turret from the center base
		The lowest parts of the map are not out of bounds anymore
		Main bases are not displayed as capable anymore

	- TC Wildlands
		Improved textures and lighting
		Tweaked vegetation
		Added destructible pine trees
		Removed small rocks which caused vehicles to stuck
		Added environmental sounds
		Added some hills in front of southern forward mech base so shooting at it from far will be more difficult
		Sorted out the icons on the minimap

	- TSA Clearcut
		Repositioned some objects

NEW MAPS

	- TC Bogs (stormy version of TSA marshes)

	- TC Dune - Changes vs. the community version:
		Forward bases can only build assets up to 65t
		Decreased center base weight from 1.5 to 0.5
		Added beacons to help identify possible flanking routes

	- TC Forsaken - Changes vs. the community version
		Added some more details
		Center base weight decreased from 3 to 2

	- TC ValleyForge - Changes vs. the community version
		Minor changes

--- VFX ---

- Replaced PPC and Laser impact VFXs

--- NETWORK ---

- Increased the server internal update rate from 30hz to 60hz

--- ACTIONMAPPER -----

- Improved profile handling
	No need to save / activate profiles anymore. The new configs are saved as soon as the changes are made
	Profiles can be changed with the "File" -> "Switch Profile" option.
	Any change will produce a snapshot of the previous configuration file in the /backup/ subfolder of the selected profile's dir

- Added support for new key bindings:
	Spectator Minimum Mode
	C-Bill Button
	Free Reticle Switch on/off

--- DEFAULT KEY BINDINGS CHANGES -----

- Spacebar: Pitch UP in Aircrafts
- Left CTRL: Pitch DOWN in Aircrafts
- Left Alt: Level out in Aircraft
- F1: Free Reticle switch (on/off)
- F2: Arm Coupling On/Off
	Triggering any of the reticle switches will force the reticle to recenter, to avoid reticle being offset when switching to fixed mode
- Right Alt: change spectator mode
- Right shift: Toggle Spectator Minimum Mode (Will show only player names while spectating)
- Left control: Move camera down (spectator mode)
- Now it's possible to use the mouse thumb buttons (if available) to quickly switch weapons in the Battle Armor (mouse4 and mouse5)
	mouse4 switches between the 2 direct-fire weapons that any BA can carry
	mouse5 switches to the BA-SRM2 Pack
- "Home" key: Get 100,000 C-Bills (if the related league mode setting has been enabled on the server)

--- CAMOS ---

- Increased camo saturation. Standard camos should be less transparent now
- New color combinations available for vanity camos
- Dazzle pattern added
- Removed gold camos



ï»¿Version 0.8.2
-----------------------------

Removed unintended PPC heat damage.



Version 0.8.1
-----------------------------

------ KNOWN PROBLEMS ------

- The Repair and Check-for-updates buttons in the launcher are broken
- Pulse lasers occasionally fire a third pulse
- Camo system won't work for the Corsair
- The reticle modes sometimes get messy when you die, and switch back to the 0.7.1 default modes. If that happens, just press F4 and it will go back to normal
- The buy menu is a bit inconsistent and might not show free tons
- Certian HUD elements might overlap other UI elements

------ BUG FIXES ------

Assets
	- Fixed radar not working properly on Hephaestus G
	- Fixed iNARC ammo not buyable on Thanatos
	- Phantom MPL on the vulture F removed
	- Fixed WH Prime incorrectly having DHS.
	- Various buy menu corrections.
Misc
	- Fixed an issue that was making the Crysis Sandbox Editor crash while opening any .cry file	
	- Fixed the PPC/ERPPC not flying to their stated range.
	- Fixed the AC2flak losing all of its damage past 900m.
	- Fix for weird jumpjet bug on Osiris for 32bit Dlls.

Major bugs
	- Fixed cheat protection triggering on custom maps. 
	

------ MAP UPDATES ------

Added TC_Wildlands
Added TC_Harvest	
	
--- GAMEPLAY CHANGES ---
	
Variants
	- SparrowHawk D now has 2 ERLL
   	- Corsair E now has 2 ERPPCs and 2 MLs instead of Gauss + ERLL
    	- Sulla I now has ERPPC + Gauss instead of LBX5 + Gauss
	- Hawkmoth has been moved to Tier 2
	- Donar A has 2 less heatsinks and 2 more tons of armor
	- Vulture A SSRM2->SRM2 + 2 free tons.
	- Osiris C changed to  1 PPC | 2 SXPL | 1 SRM6; I-JJ | 3 DHS
	- Solitaire C changed to  1 ATM3 [HE] | 1 LBX2 | 4 Flamer; MASC | 2 DHS
	- Bushwacker F changed to  1 ERLL | 2 ERML | 2 ERSL | 2 LRM10; 1 LAMS | 6 DHS 
	- Reenabled camera pitch on Longtom to a limited degree (max 15 degrees).
	- Raven G - 1 RAC2, -1 Mgun, -1 Freeton -> +1 PPC, +BAP, + .5 T armor
	- Raven A - 2MPXL, 2MBL, BAP, 1 T armor->+2 LPL(experiment)
	- Raven B - -1 AC10, -ACEM, -TAG-> +1 UAC10 +GECM
	- Owens G 2 LL-> 1 ERLL+ 1 LL
	- Chevalier B UAC2, Free ton-> ERLL + 2 HS
	- Warhammer C 2 SSRM6 -> 2 SSRM4 + 2 Free tons
	- Harasser A BAP -> GECM

Assets
	- Added some armor onto Rifleman arms.
	- Awesome now has 90 degree rotation limit from 80.
	- Uller gained some armor onto CT.
	- Reverted RAC5 placement on bushwacker A after internal discussion.
	- Warhammer Prime had 8 DHS in the code, fixed to the correct 8 HS
	- Added 1 DHS to all Black Lanners in exhange for 1 ton of armor

HUD
    Turned night vision into IR-like
    - Pros:
      - Can be used in super dark maps
      - Can be used in slight dark maps as well (Enkeladus, Thunder Rift)
    - Cons:
      - Graining and fog will make long range engagements a bit difficult
      - No colors, only black and white

Weapons
		- RAC2 nerfs rolled back a bit. Overheat time back to 6 seconds, spinup time to 550 from 700 (was 400 in 0.7), max spread reduced to the midpoint between 0.7.0 and 0.8.0.
		- iNARC beacon time reduced to 38 seconds from 45.
		- UAC20 reverted to 2 shots per burst from 3, was too difficult even for good players to use.
		- Slight decrease to SSRM spread.
		- Decreased HEATM lockon time from 1.75 to 1.25 seconds
		- Decreased SRM cone of fire spread so that only one should sometimes miss the target at closer ranges rather than two or three.
		- Arrow IVs now have 16 second manual lock time, resulting in 4 second crouched/deploy lockon time making them virtually impossible to use on the move without spotter support.
Gameflow
		- Score requirement for ranks 3 through 12 reduced by 20%
		- Score requirement for rank 2 reduced by 40%
		- Reduced ticket cost of all starter assets:
			Osiris 3->1
			Solitaire 4->1
			Uller 4->2
			Owens 4->2
			APC 3->2
			Harasser 2->1
			Hephaestus 4->1
			Chevalier 3->2
			Partisan 5->4
			Ares 5->3
		
		- Cbill bonus for Kills reduced by 25%
		- Cbill reward for C3 reduced by 50%
		- Cbill and score reward for capturing bases in TC increased by 30%
		- Decreased Shadowcat base chassis cost by 4000.
		- Increased Blacklanner base chassis cost by 2000.
		- Decreased Raven base chassis cost by 2000.
		- Decreased Hephaestus base chassis cost by 2000.



Version 0.8 Community Edition
-----------------------------

------ BUG FIXES ------

Assets
	- Ares now shows up as a tank on radar rather than a light mech
	- Solitaire with ammo based weapons should no longer instantly lose its side torso when hit by splash

HUD
	- The weapon list does not contain a phantom entry below the last weapon anymore
	- Fixed an issue where the distance to target in the longtom HUD was always 0
	- Random color component bug at 75%, 50% and 25% status is gone
	- Zooming in won't leave parts of the HUD cut off screen anymore
	
	
--- GAMEPLAY CHANGES ---

We have 2 reticle modes now accessible by default
- The default one will be the "Coupled Fixed" mode, where arm and torso will always be locked in the center of the screen
- Pressing Left Alt will switch to "Coupled Interactive" mode, an enhanced version of the old "Torso Follow mode"
  In this mode, the torso will start following the reticle as soon as you move it away from the center of the screen
	
	
--- DEFAULT KEYBINDINGS CHANGES -----

- VTOL and AeroSpace Fighters now have the same controls:
  Pitch up / down : mouse down / up
  Yaw left / right : mouse left /right
  Roll left / right :  A / D keys
- CBill donation confirm has been moved to "enter"
- Cbill donation menu has been moved to "right shift"
- Chain fire switch has been moved to "backspace"
- Weapon group assign has been moved to "right control" 
- Left Alt now switches your reticle modes
- Crysis VOIP button has been removed, we don't use it anymore.
- "Show Objectives" keybinding is an actual switch, you don't have to keep it pressed anymore
- Auto Shutdown has been moved to H
- Left mouse button won't fire the selected weapon group anymore, it fires Weapon Group 1 now

------ MISC ------

- The height a mech needs to jump from before it stops after touching down has been increased dramatically. Note that this does not affect jumpjets.
- More than 40 camos available for all the ground assets!
- The meaning of cl_free_reticle_independent has been inverted. 0 (default) locks the reticule to the torso, 1 allows independent arm movement
- g_revivetime may now be freely set by the server. It is still advisable that admins keep it above 15 seconds. especially in TC.
- The cheat protection has been improved and the game loading time should be much better now
- Even better loading times thanks to the recompression of PAK files
  This will also save a lot of drive space
- Clients may now set g_commentator to 0 to disable Duncan Fisher commentary during SA & LMS game modes. sv_leaguemode_commentator has subsequently been removed
- Dead players can now chat to the living and vice-versa. This will be disabled if league mode is enabled

------ MAP UPDATES ------

TC_ThunderRift:
- lowered the ceiling near the forward factories to prevent LT-ing from base
- modified the forward factories: now they support assets only until 65 tons

TC_Marshes:
- various small modification/fixes (fixed some clipping object, aligned round fuel tanks near airfield, smoothed terrain on north spawnpoint, modified the position of some smaller buildings etc)
- Center base fix: removed the ground factories and most of the turrets. Two turrets, the two repair bays, and VTOL pad remain. Base weight: 0.5
- Northern central cap point: Added two ground factories with the following assets: light/med/heavy mechs, hovers and tanks (no assaults and LT). No repairs here. Base weight: 0.5
- North east and north west cap points: fixed the behaviour of the turrets, new base weight: 1
- South east and west cap points: new base weight: 1.5
- The base values are shown on the minimap

TC_Taiga:
- Map out of bounds timer increased to 30sec
- Main bases are not capturable anymore
- Center cap area fixed (it was much smaller than the others)
- Small adjustments in cap areas overall
- "Glassy" textures improved - you can still see this odd effect on the textures, but it is not so noticeable now.
- Cappable factories can only build assets up to 65tons
- Removed spawn points, factory and repair bays from center cap point - new base weight: 1.5
- Added a second rep bay to the Western base, it has now two, just like the Eastern base. New base weights for both: 0.75
- Fixed floating bridges
- Base weights displayed on minimap
- Fences removed

TC_Altay:
- Repair bay in the infamous center base is gone. Center mechbay can build only hovers and lights hovers.
- Updated minimap with base weights
- Changed the cooling factor on the map: now it is 100% (default), previously it was 200%.
- Changed the weight of the center base from 1.5 to 0.5 - backcap should be more viable now
- Smoothed the terrain near the first southern cap point, so it is easier to use the mountains there as an alternate route.
- fixed the holes in terrain/rocks near SouthWest base
- further cleared the SW base area, so there is more space to move and climb the hills
- turrets added: AA mgun turrets to SW and NE bases, LLaser to center
- fixed the behaviour of the turrets in cap points
- fixed mechtraps

TC_Kagoshima:
- Removed LT and Tanks from the forward bases.
- Decreased the base weight of the forward factories - they had twice the weight than the other bases, now every base has the same weight.
- modified the capzone at the forward factories

TC_Mirage
- Map out of bounds timer increased from 10sec to 25sec
- LLaser turrets replaced with Camera turrets
- There were 2-2 Mlaser turrets at NW and SE direction form the center area - one of the Mlaser turrets are replaced with Camera turrets at each location.
- Extended the playable area near airbases

------ WEAPON CHANGES ------

Pulse Lasers
	- All Standard Pulse lasers shots per burst reduced from 3 to 2 with heat and damage compacted into those 2 shots. (Note: the stray extra pulse is still present and is a complicated issue)
	- Large Pulse laser, Large X Pulse Laser, Clan Large Pulse Laser, range increased to 650, 750, and 850 respectively.
	- Heat on entire large pulse laser class has been decreased, more for LPL and XLPL, less so on CLPL.

PPCs
	- All PPC class functionally reworked. Instead of a single damage source spread evenly across a 3 meter radius, there are now two separate damage sources.
	  First damage source is primary hit location damage (0.5 meter radius) and is 66% of the damage of the shot.
	  Secondary damage source is the final 33% of the damage spread over 3 meters including the hit location.
	  Full damage of 0.7.1 CERPPC was roughly 2600 damage all told, corrected damage is now about 1550 all told, slightly more than a Gauss shot with a little bonus splash mixed in.
	  PPC particle effect now has a refraction trail.

SRM
	- SRMs now have a cone of fire effect rather than all firing perfectly straight forward, the cone will adjust to your approximate distance to target (tighter when far away, more spread out when closer up)
	- SRMs are now vulnerable to LAMS.
	- Damage slightly increased.

SSRM
	- SSRM tracking improved.
	- CSSRM now locks and flies to 450m from 350m.
	- SSRMs are now vulnerable to LAMS.
	- Damage normalized with SRMs.

MRM
	- MRM damage increased to match LRM damage per missile on a 1 to 1 ratio.
	- MRM launcher fire rate now tied to launcher size like LRMs are, smaller launchers will fire quicker.
	- MRMs are now vulnerable to LAMS.

LRM
	- Clan LRM now fires directly at a shallow angle (0.5m cruise altitude). Minimum arming range is ~25m (matching MRMs). CLRMs are now excellent all around closing weapons but inferior at providing support at range, particularly over cover, as per clan doctrine.
	- Decreased tracking ability on CLRM slightly.
	- Lock on time is now tied to launcher size, smaller launchers will lock quicker.
	- Increased lifetime on ELRMs so that they don't explode prematurely when making course corrections near their max range anymore.

Arrow IV
	- Arrows reworked entirely.
	  They are no longer single large damage missiles superior at tracking single targets.
	  Each salvo now fires 4 individual smaller missiles that will spread and blanket a small area around their target.
	  Arrows now come in at a steeper angle and fly higher to circumvent cover better, this has functionally increased their minimum range from ~300m to ~500m.
	  Arrow damage per ton doubled.
	  Exposed Arrow launchers (on mechs) will now explode for heavy damage if destroyed.
	  Single smaller faster targets will now be able to dodge arrows much easier, tightly packed groups will now take much more damage from arrows as they function more like artillery support now.

ATMs
	Standard
	- Fire rate decreased to give lighter assets better chance to dodge them.
	- Slightly increased health vs LAMS.
    - Now identified as ATM (STD)
    Extended
	- Slightly increased health vs LAMS.
	- Higher fire rate compared to Standard. Now on ground assets.
	- Fastest lock time.
    - Now identified as ATM (ER)
	High Explosive (New)
	- Very slow fire rate but very high damage and large explosion.
	- Very vulnerable to LAMS.
	- 300m lifetime and lockon range.
	- Slowest lock time.
    - Now identified as ATM (HE)
	HE ammo is superior at single target suppression but massed SSRMs will do more damage quicker.

Gauss
	- Gauss now explode in mechs with more consistency, only the Fafnir torsos are completely immune to explosions.
	- Increased shots per ton from 10 to 12
    Heavy Gauss
	- Decreased reload time to normalize with Gauss.
	- Now Requires bulky siege pod if ever in a mech arm (Thanatos)
    Improved Heavy Gauss
	- Decreased reload time to normalize with Gauss
	- Increased shots per ton to 6 from 5.
    Light Gauss
	- Now explodes when destroyed (smaller explosion and less damage than Gauss explosion).

UAC20
	- Now fires 3 shots instead of 2, damage per burst remains the same, adjusted shots per ton accordingly.

UAC10
	- Now fire 2 shots instead of 3, damage per burst remains the same, increased shots per ton slightly.

AC10
	- Reworked, again!
	  Now fires a shell with same splash radius and 75% of damage of an AC20 shot but fires 1.5x slower than an AC20. This should finally give it the umph required.

AC5/UAC5
	- Reworked, again!
	  Tightened up burst from 6 shots to 4 shots.
	  Increased damage significantly and slowed down fire rate significantly.
	  Removed all inherent spread.
	  AC5 now deals high damage but has long refire rate (5 second cooldown) this allows it to function as a long range skirmishing weapon akin to a Large laser.
	  UAC5 functions identically but has half the refire rate (2.5 second cooldown).

AC2
	- Reworked to match the AC5.
	  Damage sits more at an AC2.5 than true AC2.
	  Tightened up burst from 8 shots to 6.
	  Now excels as long range sniper weapon but makes inferior AA.
	  Counts as 3 tons from 3.5 tons in build rules.

UAC2
	- Reworked to function uniquely from the rest of the UACs.
	  Now fires a constant stream of bullets making it superior AA and good at wearing down targets caught in the open.
	  Damage close to a UAC3 than true UAC2.
	  Good support weapon but requires time to do damage so poor at skirmishing or brawling.
	  Damage per ton increased.

HVAC2
	- Unique weapon to the Mauler.
	- Functions identically to AC2 but travels to 1500m+ with less shots per ton.

HVAC10
	- Similar damage profile to AC10, slightly less splash damage.
	- Flies faster than an AC10 shot.
	- Max range ~900m.
	- Fewer shots per ton.

Mgun
	- Now has unlimited ammo. (INFINITE POWER!)
	- Will now overheat after 12 seconds of continuous fire and need to cooldown.

LBX
	- LBX2, 5, 10 spread slightly increased to match LBX20 spread at their max ranges.

Thunderbolts
	- Reworked, added some splash damage to fix the weird hit detection issues.
	- Can now lock on manually from 750m, flight lifetime at 1000m.
	- Now on select ground assets.
	- The missiles will track, however they are quite lazy following narc and locks so do not expect to hit a fast target with them unless you are very close or very far.

TAG
	- Increased Vehicle based TAG range to 1300m.

NARC
	- Improved tracking ability and flight pattern of narc missiles.
    - iNARC now last longer

Longtom Artillery overhaul
	- Camera won't pitch up/down anymore, so the predicted impact point will be always visible, no matter how high is the pitch of the cannon
	- There are now three longtom variants, the Prime uses standard ammo, which behaves unchanged from 0.7.1.
	- The A variant now uses short range ammo, which can only fly to ~1200m max and moves slower but creates less heat and chambers faster.
	- The B variant now uses long range ammo, which can now fly to ~2500m max range and moves quicker but creates more heat, chambers slower, and is harder to aim at closer targets.
	- Slightly increased Min/Max pitch angle of cannon by 1 degree.

RAC2
	- Increased max spread.
	- Normalized spinup time with RAC5.
	- Normalized reload time with RAC5.

RAC5
	- Slightly decreased spinup time.

Flak AC2
	- New weapon, high good damage vs aircraft but low damage vs ground forces.
	- 1200m range, functions similarly to fast firing LBX for maximum efficiency against aircraft.

Flak AC5
	- New weapon, functionally similar to AC2 but better damage. 900m range.

Flamer
	- Increased time needed to reach overheat allowing for MOAR BURNINATION.
	- Increased splash damage and area significantly, should allow for increased performance against BA on or near the ground or hiding in cover.
	- Added impact particle.

------ ASSET VARIANT CHANGES ------

	- All of em!
	- Infamous Shiva A and Donar A have been replaced

------ ASSET CHANGES ------

MECHS
	- Armor redistributed from legs towards the rest of the mech on all assault, heavy, medium, and stumpy legged lights (Uller, Puma, Cougar).
	- Armor and internal weights refactored and inconsistencies fixed. This was causing some mechs like the Thanatos, Black lanner, and Blood Asp to be squishier than needed.
	- Fibro Fiborous armor bonus protection honoured where applicable. Many of the lighter mechs were built off the technology and were squisher than needed.
	- Standard Jump jets now have better forward thrust.

ASF
	- Overhaul of ASF flight model.
	  Top speed of all ASFs has been increased.
	  Maneuverability has been tweaked to make flight model less twitchy and smoother.
	  Afterburner is way more powerful now, but it also heat up your asset faster
	  Maneuverability has been rebalanced. Sparrowhawk isn't the supreme air king anymore, and Shiva feels more like an 85T bomber rather than a 1kg RC plane.
	- Sulla A and D have 350XL instead of the default 315XL engine mounted in the other variants. This makes them more suitable for dogfights against Corsairs and SparrowHawks
	- ASF and VTOLs now have a default active radar range of 1500m and passive radar of 1000m, this applies both to their own radar and what range they can be detected at from the ground.
	- ASF/VTOL can no longer detect BA on their radar without the help of a ground based C3 relaying it to them.
	- GECM on aircraft makes them detectable at 999m from the ground rather than 1500m when active, however they are still detectable by other aircraft out to 1500m. (this is an issue with how GECM behaves in the code)

Shiva
	- Materials have been updated; Shiva doesn't look like a mirror anymore.

VTOL
    - Slight tweak of the flight model.
	  Changed mass values and moved the center of the mass to make the flight model smoother and less twitchy
	  Yaw/pitch/roll speeds are unchanged from 0.7.1

Ryoken (Stormcrow)
	- Fix for physicalized weapons (like Gauss) passing through the "cheeks" of the torso.
	- Hit boxes tweaked so that most of the cockpit canopy is CT instead of being thinly sliced between RT, CT, and LT.
	- Some variants now have LAMS.

Chevalier
	- Adjusted splash damage modifiers and transfer rates to counteract sudden death syndrome.

Harasser
	- Adjusted splash damage modifiers and transfer rates to counteract sudden death syndrome.

Hephaestus
	- Adjusted splash damage modifiers and transfer rates to counteract sudden death syndrome.

Warhammer
	- Prime variant now uses a Fusion engine and is the original variant, substantially decreasing its price, it also has lower side torso transfer rates.

Catapult
	- Prime variant now uses a Fusion engine and is the original variant, substantially decreasing its price, it also has lower side torso transfer rates.

Solitaire
	- Improved turn rate.

Avatar
	- Armor redistributed from arms towards side torsos and CT.
	- Now has 360 torso twist.

Uziel
	- Armor further distributed from arms towards side torsos and CT.

Mauler
	- Armor redistributed from arms towards side torsos and CT.

Owens
	- BAP, C3, and TAG are now fixed to the chassis and will always be present on all variants.

Shadowcat
	- MASC and JJs are now fixed to the chassis and will always be present on all variants.

Rifleman
	- Armor redistributed from arms towards side torsos and CT.

Puma
	- Armor redistributed from arms towards side torsos and CT.

Vulture
	- Armor redistributed from arms towards side torsos and CT.

Huit
	- LAMS added to the chassis.
	- Huit now has correctly sized Fusion engine based off podspace and speed. This resulted in the loss of 5.5 tons of podspace and nearly half the speed. (The Huit was WAY too fast before, sorry)

Longtom
	- Now has correct armor and internals.
	- Drastically reduced boost heat buildup.

Partisan
	- Added LAMS to turret
	- Partisan "F" has Fusion engine to achieve superior speed, its base chassis price is substantially higher.

Oro
	- Increased max pitch value to 65 degrees. The Oro was originally an AA tank for the clans in CBT, this should help it with that.

Awesome
	- Increased turn rate.

------ GAME FLOW CHANGES ------

	- Counted armor into base chassis price rather than as independent value to avoid weird prices.
	- There are now 8 C-bill modifiers instead of 4, instead of a 20% +/- modifier to cbills earned it is now 10%.
	  The tiers are as follows:
	Harasser=1, Hephaestus=1, Hawkmoth=1, SparrowHawk=1, Apc=1, Osiris=1, Solitaire=1,
	Chevalier=2, Donar=2, Raven=2, Owens=2, Uller=2, Chimera=2, Ares=2
	Puma=3, Cougar=3, Partisan=3, Corsair=3, Sulla=3, HollanderII=3, Uziel=3,
    Blacklanner=4, Bushwacker=4, Shadowcat=4, Epona=4, Rifleman=4, Catapult=4, Oro=4, BA=4
	Ryoken=5, Thor=5, Loki=5, Vulture=5, Warhammer=5, Thanatos=5, Visigoth=5 ,Avatar=5,
	Madcat=6, Novacat=6, Demolisher=6, Awesome=6, Shiva=6, Mauler=6, Huitzilopochtli=6,
	Masakari=7, Morrigu=7, Atlas=7, MadcatMKII=7,
	LongTom=8, Fafnir=8, Daishi=8, Bloodasp=8

	- Increased BA death ticket cost from 1 to 2.
	- Revamped equipment and chassis costs, whereas before it was around 20% chassis and 80% equipment it is now closer to 50/50.
	- Restructured rank money to provide new assets in a smoother and more logical manner.
	- Increased rank requirements across the board to prevent ranks being skipped entirely.
	- Moved the Rifleman, Catapult, Loki, and Vulture to medium mech build bays, anywhere you can build mediums you can now build these.
	- Moved the Chevalier, Ares, and APC to hovercraft build bays, anywhere you can build hovercraft you can now build these.

------ HUD CHANGES ------

HUD
	- Night vision is an actual night vision now. It's green, and amplifies light way better than before.
    - Paperdolls V2: the internal and the armor paperdolls have been merged in a single big paperdoll
	  The big external one shows the armor status of each component
	  The internal one is a bit smaller, and it shows internal status of each component (internal system is currently implemented only for mech legs)
	- Health bars have been merged as well, in the same way as the paperdolls.
	- Consistent L / R component inversion of damage readuts: always inverted for targets, always uninverted for self damage readout
    - Crosshairs are actual crosses now, no more weird symbols around
    - Remove some other useless weird symbols and useless lines around the HUDs
    - Moved heading and pitch indicator on the top of the aiming reticles
	- Weapons naming in asset HUDs have been changed in order to achieve better readability (Dual Streak SRM-6 instead of DSSRM6, LB 10-X AC instead of LBX10 etc..)
	- "HEAT LEVEL CRITICAL" message has been moved above the aiming reticle for better readability
	- "HEAT LEVEL CRITICAL" message now will appear as soon as the heat gauge goes over the yellow line, not the red one
	- Damage readouts of the components in tank HUDs have appropriate colors (green at 100% and yellow at about 70%, as in the mech HUD)

BA HUD
	- Battle Armor pilots, now you finally can enjoy having a compass!
	- Improved visibility for BA SRM2 reloading status

Misc HUD
	- There is no "Clan" writing for Clan weapons anymore because it's obvious. We do not allow mixtech, so if you are in a Clan asset, you are using Clan weapons.
	- Buy Menu HUD is showing tonnage, weight class and tech for each asset now
	- Loadout menu shows available camos by categories now



Version 0.7.1
-------------

Added TC_Enkeladus
Big texture optimization for most of the assets
Fixed Solaris Arena rankings not appearing
Fixed Thanatos spawning off-map
Added orange line to Aerospace heat indicator
Fixed Long Tom HUD bug
Adjusted free reticule & torso pitch values on all Mechs
Reduced crouch pitch bonus to +10 deg (was +20 deg)
Radar bug fixed on several variants
Adjusted Mech/Tank HUDs to be more legible
Fixed missing camos for several Mechs & weapon pods
Corrected buy menu mouse scrolling speed
Fixed several incorrect/inconsistent buy menu descriptions
Fixed collision proxy in Avatar torso
Fixed Chimera exploding from splash damage when mounting LRM-type weapons
Fixed Bushwacker, Shadowcat, Black Lanner torsos disappearing upon destruction
Fixed (c)UAC10/20 display names for consistency
Increased firebomb reload time
Fixed AC10 & AC20 impact sounds not playing
Corrected cNarc lockon range
Fixed PPC shots spawning double particles & sounds
Modified PPC impact properties (Slightly better performance)
Fixed HVAC ammo in buy menu
Fixed BA Bear MG not automatically being replaced upon buying new BA weapons
Fixed APC only available to Clans in puretech
Fixed top-mounted weapon convergence issues on Bushwacker, Catapult, Daishi, Loki, Masakari, Ryoken, Warhammer
Fixed sounds for Solitaire not working
Adjusted Uller hitbox proxies
Fixed Atlas movement bug when moving forward while pitching down
Fixed Atlas shooting self (e.g. Hitting self with NARC when pitched/twisted at certain angles)
Removed Ares 3rd person
Added new engine sounds for Ares
Added Uller, Warhammer, Loki, Thor, Madcat MkII, Blood Asp F & G variants
Clan Large Pulse Laser -10% heat per shot
Firebomb fire rate interval increased to 5 seconds from 3
Global cbill accumulation slowdown changed to -10% (from -20% in 0.7.0)
Removed audio from radio messages
Heatsinks properly repair when asset is repaired (damage warning does not disappear from HUD)
Adjusted heat properties of several maps to be more inline with more punishing heat system (hot maps less hot, cold maps less cold)
Small optimization pass on TC_IvoryTower, TC_Frostbite
Removed several laser turrets from TC_IvoryTower

TC_Altay:
-Fixed missing objects
-Added repair pad to D3 base, removed Mech hangars repair ability
-Moved spawngroup entity of easternmost base to VTOL tower to make spawn location more obvious to players
-Light optimization pass

TC_Marshes:
-Fixed dips in ground around northern base; fixed light post in middle of repair pad
-Fixed floating lights in middle base
-Fixed untextured trees

TC_Taiga:
-Fixed invisible terrain inside easternmost base
-Moved OOB area lower to fix OOB warning when inside deep lakes
-Fixed missing dam objects
-Fixed CL aero runways broken buyzone
-Fixed IS VTOL hanger floating when hit with C8

Version 0.7.0
-------------

New Features:
- Free Reticle
- New Tank Hud
- New Mech Hud
- The ejection key has to be tapped twice now to trigger the ejection
- 4 new mech camos
- Camo for tanks and hovercrafts is now partly supported


New Content:
- Added Chimera Mech
- Added Ares Tank
- Added Masakari Mech
- Added Solitare Mech
- New Map: TC_Altay
- New Map: TC_Taiga

Bug Fixes:
- Fixed crash when shooting at destructable trees with pulse lasers
- Fixed crash in arm animation code
- Fixed reticle showing red on friendly mech legs
- Fixed not getting rewards for narced tareget getting damage
- Fixed granades not working before opening map

Balance Changes:
- Complete Rebalance
- Tons of new variants

Version 0.6.1
-------------

Bug Fixes:
- Fixed crash due to dying as BA while recently thrown c8 is in mid air
- Fixed distance display not correctly showing max range when looking at the sky in non mech assets
- Fixed c-bill transfer

Version 0.6.0
-------------

Bug Fixes:
 - Fixed wrong scoreboard ordering in TSA and TC
 - Fixed "mass crash" and another crash due to multiple issues in synced storage
 - Fixes two crashes in laser code
 - Rewrote laser net code to make lasers more precise for observing clients
 - Added relative shooting to increase precision for client spawn projectiles
 - Fixed memory leak in radar code
 - Fixed radar still working while dead
 - Optimized net code for TC, results in less bandwidth usage in TC games
 - Fixed vehicles still repairing while powering up
 - Improved the stickiness of C4
 - Fixed LOD issues with turret towers on TSA_Sandblasted

New Features:
 - Clan Black Lanner Mech
 - Clan Ryoken Mech
 - Innersphere Avatar Mech
 - Clan Daishi Mech
 - Clan Donar VTOL
 - Innersphere Corsair Aerospace
 - Clan Visigoth Aerospace
 - Innersphere Chevalier Scout Tank
 - New Map : TC_Dustbowl
 - New Map : TC_Frostbite
 - New Map : TC_Inferno
 - New Map : TC_IvoryTower
 - Procedular animations for mech arms
 - Weapon convergence on target (visually through rotating arms and other parts)
 - Changed behaviour of the TAG-Laser. The target will stay tagged if you deviate of it for a short mount of time. TAG also creates a beacon in the same manner as NARC.
 - Mech Paints. You can select them before buying a mech in the Loadout tab
 - Added barrel geometry to Warhammer "B", "C", and "D" variants
 - Added damage penalties to hovercrafts/tanks for turret/rear sections
 - Resized Harasser model
 - Removed Mauler's obstructive cockpit bar

Balance Changes:
 - Uziel - revised "Prime", "B", "C", "D", and "E" variants
 - Buchwacker "B" - removed GECM, added spare ton for ammo
 - Vulture "Prime" - removed 2 CLRM20, added 2 CLRM15, 4 DHS
 - Blood Asp "D" - removed ATM6, LAMS, added CDSRM6, 1 DHS
 - Blood Asp "E" - removed 2 DHS
 - AC10/UAC10/CUAC10 ammunition increased to 50 per ton
 - Lowered light kinetic/kinetic modifiers against VTOLs/aerospace
 - Increased light kinetic modifier against hovercraft
 - Initial capture of a point in TC is twice as slow as normal
 - Initial capture of a point in TC no longer results in getting all attached assets at the beginning of the capture process
 - Added leg internals to further balance the legging mechanic

Texture and Model Optimizations:
 - Bloodasp textures
 - Awesome textures
 - Raven cockpit textures
 - All tank tread textures
 - Longtom textures
 - Harasser textures
 - Various environmental assets


Version 0.5.6
-------------

Bug Fixes:
 - Fixed AC10, UAC10, CUAC10 round falloff rate to match stated range.
 - Fixed pricing on Mgun and _rot weapons
 - Possible fix for missing turret rotation sounds in release beta

New Features:
 - Complete revised TC_Mirage map
 - Clan Epona 50 ton Hovercraft

Balance Changes:
 - Increased Hephaestus base chassis pricing
 - Added auto_fire attribute to CLBX2 and CLBX5
 - Sulla "Prime" - changed BHP to BAP
 - Sulla "A" - changed BHP to BAP
 - Sulla "B" - removed BAP
 - Sulla "C" - removed 2x MG, removed extra 0.5 ton armour
 - Sulla "D" - removed 1 ton armour
 - Sulla "E" - changed variant to ATM6, ATM9, 2x CLBX2
 - Shiva "Prime" - 2x UAC5, 2x Gauss, BAP
 - Shiva "A" 2x HeavyGauss, 2x ERLBL, BAP, 2 DHS
 - Shiva "B" 2x LRM20, 2x ELRM15, NARC, BAP, 8 DHS
 - Shiva "C" 4x Firebomb, GECM, BHP
 - Shiva "D" 4x RAC5, 2x RAC2, GECM
 - Shiva "E" 2x LBX20, 2x LBX10, reduced armour



Version 0.5.5
-------------

Bug Fixes:
 - Harasser hitbox values adjusted for legacy asset size
 - Fixed Mk2 "C" being able to fire left arm Arrow IV missile after being destroyed
 - fixed "block" font for targeted enemies and build messages

New Features:
 - Passive assets no longer receive incoming missile warnings (visual or audible)

Balance Changes:
 - Fafnir, Blood Asp base chassis prices increased
 - Atlas base chassis price decreased
 - Atlas LT/RT damage transfer multiplier decreased to 1.2
 - Awesome LT/RT damage transfer multiplier decreased to 1.2
 - Decreased Fafnir maximum torso pitch by 10 degrees
 - Increased maximum c-bill transfer ceiling/minute to 10,000
 - Rescaled ticket values for all assets for ticket-based game modes
 - DHS cost now independent of standard HS cost, 1350 per unit
 - AC10/UAC10/CUAC10 projectile speed increased from 900m/s to 1100m/s
 - AC10/UAC10/CUAC10 primary/secondary damage increased 12%
 - CUAC10/CUAC20 heat-per-shot increased by 5%
 - NARC rounds-per-ton increased from 4 to 6
 - Mgun multiplier increased from 0.3 to 0.7 for all tanks, hovercraft and 'Mechs
 - Blood Asp "Prime" - changed 2x CERMBL to 2x CMPL, removed GECM, decreased armour
 - Blood Asp "B" - removed GECM, decreased armour
 - Blood Asp "C" - removed 2x CERSBL, decreased armour
 - Blood Asp "D" - removed AMS, decreased armour
 - Blood Asp "E" - new configuration: 2x CHLL, 2x CHML, 6x CHSL, 22DHS
 - Madcat Mk2 "Prime" - decreased armour
 - Madcat Mk2 "D" - removed 2x CERSBL, decreased armour, removed 1 DHS and 2 free tons
 - Puma "Prime" - removed Crusader pods, replaced with Assault Basic pods on arms for size rule compliance, Flamers moved to chin mounts
 - Shadowcat "A" - changed 1x CERMBL to 2x CERSBL to preserve free tonnage, decreased armour
 - Shadowcat "C" - removed Barrage pod, replaced with Assault Basic pod for ClanGauss mount for size rule compliance
 - Shadowcat "E" - new configuration: 3x CMPL, 1x CHLL 6 DHS, MASC, additional armour
 - Thor "C" - changed BAP to BHP and added 1 DHS
 - Atlas "C" - removed 2x SRM6, reduced free tons to 3
 - Bushwacker "Prime" -  removed BAP, reduced free tons to 1
 - Bushwacker "A" - changed pods for RAC5 to Assault Basic Pod for size rule compliance
 - Catapult "A" - added 1x HS, increased armour
 - Catapult "B" - added 1x HS
 - Catapult "C" - upgraded BAP to BHP, increased armour
 - Fafnir "A" - reduced free tons to 4
 - Fafnir "E" - removed all free tons
 - Hollander "A" - removed 2 free tons
 - Owens "A" - removed Flamer
 - Owens "B" - BHP downgraded to BAP
 - Owens "C" - removed single HS
 - Raven "Prime" - downgraded BHP to BAP
 - Raven "C" - removed 1 HS
 - Thanatos "D" - decreased armour
 - Uziel "Prime" - changed 2x MG to 2x ERSBL
 - Uziel "B" - added GECM, reduced armour
 - Uziel "C" - changed SSRM6 to SRM6
 - Uziel "D" - removed BAP, added GECM
 - Uziel "E" - removed free tons
 - Warhammer "Prime" - added 1 HS, increased armour
 - Warhammer "B" and "C" - decreased armour
 - Harasser "Prime" - removed BAP
 - Harasser "A" - removed GECM
 - Harasser "B" - removed BAP
 - Harasser "C" - removed BAP
 - Harasser "D" - removed armour, removed BHP, increased HS count to 5
 - Harasser "E" - removed 1 free ton
 - Hephaestus "Prime" - added 2 DHS
 - Hephaestus "A" - increased armour
 - Hephaestus "B" - increased armour
 - Hephaestus "C" - decreased armour, downgraded BHP > BAP
 - Oro "B" - added armour
 - Oro "E" - reduced armour
 - Demolisher "C" - removed 2 free tons
 - Sparrowhawk "Prime" - increased armour
 - Sparrowhawk "C" - removed 1 free ton
 - Shiva "A" - variant refactored to 2x ERPPC, 2x HeavyGauss, 4 DHS, BHP, 4 tons free

Known Issues:
 - AC10/UAC10/CUAC10 exceeds stated range slightly (present in 0.5.4)


Version 0.5.4
-------------

Bug Fixes:

- Fixed Thor shooting from the hip
- Improved Loki textures

New Features:

- Crash reporting is now enabled in the release dlls (without a performance penalty)

Balance Changes:

- Changed tank armor distribution

New Content:

- New mech: Inner Sphere Fafnir
- New mech: Clan BloodAsp
- New weapon: Improved Heavy Gauss

Other Changes:

- Resized Uziel to be in line with the other medium mechs
- Various small changes and fixes to TC_Thunderrift, TC_Marshes, TC_Kagoshima, TSA_Inferno, TSA_Marshes

Version 0.5.3
-------------

Bug Fixes

- Fixed VTOL spawning in aero hangar
- Switched to static linking for the vc runtime (this will stop the need to install redistributables on player machines)
- Improved morrigu driving behaviour
- Fixed shiva variant with clan weapons
- Fixed wrong naming for Clan arrow IVs
- Fixed stuck spots and other problems for the following maps: TSA_Extremity, TSA_Sandblasted, TSA_Inferno, SA_BrokenVista, TC_Sandblasted

Other Changes:
- Thor now meets art quality and baseline performance standards.- Loki legs have been tweaked.

Version 0.5.2
-------------

New Features

-added sv_leaguemode_commentator to disable the commentator in SA/LMS leaguemode 
-Crash reporter now sends sv_servername as the player name if it is a server no profile name is set or the profile name is "default" 
-Added a server messages system
-Added server-side ban system
-Added high-ping-kick system
-added server side command to list connected players and their gamespyid
-toggleIntCvar command to ease keybindings
-added Server option to log chat (sv_logChat).


Bug Fixes

-Spectators and dead players are now displayed correctly in SA
-Active ejection disabled in SA
-Repairs stop when under fire
-Fire group chain fire states are saved
-Fixed player getting a score reward for suiciding in LMS
-Scoreboard in LMS and SA is now sorted by score and then by kills
-Fixed various flash console spam
-Fixed a crash in the chat log display
-Fixed physics drain from tank wheels.
-Fixed some actionmaps still lead to weapon group input on cbill menu actions
-Aerospace Colision multipliers on wings dropped in an effort to make them land at least slightly easier without exploding
-Fixed crash caused by jump jet sound playback
-Fix possible crash on map change.
-Fixed confusing sv_leaguemode_ams handling - now 1 is AMS on, 0 is off
-Possible fix for server-side crash
-Fix Duncan talking thousands of lines at once after being tabbed out of the game for a while.
-Possible fix for autodownloader issue on Windows XP
-Fix auto-join by moving the team picking to the server-side.
-Fixed Scrolling on the map as BA throws C8.
-improved spritesheet on laser impact
-Fixed major performance sink in stats tracking code
-Attempts to improve overall tracked vehicle movement params, particularly for hill climbing performance, neutral turning and low-speed turning.
-Fixed various stuck spots and glitches in SA_Glory, TC_DeathValley, TC_Kagoshima, TC_Marshes, TC_Sandblasted
-Performance optimizations for various particle effects


Balancing

-Address "Repair Tanking" exploit for repair frames and hangars adds a 10s delay after enemy hits until repairs start.
-Uziel A has now two tons of ammo, BAP and no LRM5
-Gauss rifles fixed. They no longer do any damage past 901m, even though they're somehow travelling past that.
-Shadowcat max reverse speed reduced to something normal.
-Tightened up LBX10 spread by 26% Also decreased damage-drop-per-meter
-Increased LBX10 and LBX20 weapon C-Bill costs to reflect relative effectiveness of the weapon.
-modified Raven D: removed SXPL and one heatsink and changed medium lasers to ER medium lasers.
-Fixed ammo count for AC20 (12 -> 16) 
-Shifting armour values for larger torsos on Cougar and Uziel.
-Naming consistency for Clan Small Pulse Laser, was "Clan ER Small Pulse Laser"
-Limited C-Bill transfers to 5k per minute


New Content

-New Solaris Arena Map SA_Vista
-Completely redone huit. greatly improves performance and fixes huit crash
-new laser impact fireball sprite
-new AC2/5 particle effect


Actionmapper

-fixed conflict detection within actions in the same scope (e.g. spectator, cbill menu)
-removed coolant and radar key conflicts with aero/vtol specific controls
-added conflict detection across tabs for actions that can overlap (e.g. Vehicle over Mech/Tank?/etc)+


Version 0.5.1
-------------

Bug Fixes

-Fixed crash in dedicated server
-Fixed Thor materials
-Fixed SA_Inferno: Long Tom will now work properly
-Fixed TC_Sandblasted: UV fixed in underground base, capture point adjustements, added ammo at central capture point
-Fixed SA_Vista: Terrain smoothed out across the map
-Fixed TSA_Sandblasted: Texture fixes
-Fixed TSA_Extremity: Collision fixes so you won't fall off at the edges at the forbidden area
-Fixed Clan_ArrowIV name
-Adjusted Huit driving abilities
-Removed Clan weapons from Shiva

Version 0.5.2
-------------

New Features

-added sv_leaguemode_commentator to disable the commentator in SA/LMS leaguemode 
-Crash reporter now sends sv_servername as the player name if it is a server no profile name is set or the profile name is "default" 
-Added a server messages system
-Added server-side ban system
-Added high-ping-kick system
-added server side command to list connected players and their gamespyid
-toggleIntCvar command to ease keybindings
-added Server option to log chat (sv_logChat).


Bug Fixes

-Spectators and dead players are now displayed correctly in SA
-Active ejection disabled in SA
-Repairs stop when under fire
-Fire group chain fire states are saved
-Fixed player getting a score reward for suiciding in LMS
-Scoreboard in LMS and SA is now sorted by score and then by kills
-Fixed various flash console spam
-Fixed a crash in the chat log display
-Fixed physics drain from tank wheels.
-Fixed some actionmaps still lead to weapon group input on cbill menu actions
-Aerospace Colision multipliers on wings dropped in an effort to make them land at least slightly easier without exploding
-Fixed crash caused by jump jet sound playback
-Fix possible crash on map change.
-Fixed confusing sv_leaguemode_ams handling - now 1 is AMS on, 0 is off
-Possible fix for server-side crash
-Fix Duncan talking thousands of lines at once after being tabbed out of the game for a while.
-Possible fix for autodownloader issue on Windows XP
-Fix auto-join by moving the team picking to the server-side.
-Fixed Scrolling on the map as BA throws C8.
-improved spritesheet on laser impact
-Fixed major performance sink in stats tracking code
-Attempts to improve overall tracked vehicle movement params, particularly for hill climbing performance, neutral turning and low-speed turning.
-Fixed various stuck spots and glitches in SA_Glory, TC_DeathValley, TC_Kagoshima, TC_Marshes, TC_Sandblasted
-Performance optimizations for various particle effects


Balancing

-Address "Repair Tanking" exploit for repair frames and hangars adds a 10s delay after enemy hits until repairs start.
-Uziel A has now two tons of ammo, BAP and no LRM5
-Gauss rifles fixed. They no longer do any damage past 901m, even though they're somehow travelling past that.
-Shadowcat max reverse speed reduced to something normal.
-Tightened up LBX10 spread by 26% Also decreased damage-drop-per-meter
-Increased LBX10 and LBX20 weapon C-Bill costs to reflect relative effectiveness of the weapon.
-modified Raven D: removed SXPL and one heatsink and changed medium lasers to ER medium lasers.
-Fixed ammo count for AC20 (12 -> 16) 
-Shifting armour values for larger torsos on Cougar and Uziel.
-Naming consistency for Clan Small Pulse Laser, was "Clan ER Small Pulse Laser"
-Limited C-Bill transfers to 5k per minute


New Content

-New Solaris Arena Map SA_Vista
-Completely redone huit. greatly improves performance and fixes huit crash
-new laser impact fireball sprite
-new AC2/5 particle effect


Actionmapper

-fixed conflict detection within actions in the same scope (e.g. spectator, cbill menu)
-removed coolant and radar key conflicts with aero/vtol specific controls
-added conflict detection across tabs for actions that can overlap (e.g. Vehicle over Mech/Tank?/etc)+


Version 0.5.1
-------------

New Features

- Limit SA to 16 players
- Disabled ejection in SA

Bug Fixes

- SA maps can not be used in TSA anymore which was not intended
- Enabled BAP in Uziel "D"
- Fix in Actionmapper to detect joystick buttons > 38
- Fix for AC20 shells jumping
- Fix freezes when Duncan starts to talk
- Fixed ammo buyzones for APC on SA Maps

Optimizations

- Improved performance on AC10/20 muzzle flash
- Removed physics on RAC shells


Version 0.5.0
-------------

New Features

- new game mode : Solaris Arena
- new game mode : Last Man Standing
- SA/LMS custom scoring & awards system
- Crysis Wars HUD system implemented
- map auto-downloader system enabled with custom z-lib extractor library
- new award indicators on HUD for award types
- chainfire now supported for all weapon groups individually
- Cbill rewards will now be shown below the cbill display with a icon indicating the reason for the reward
- New League Mode cvar sv_leaguemode_ams to disable AMS turrets
- Console command to dump the MWLL asset and weapon prices ( dumpMwllPrices )
- TC maps can be used for TSA and TOS for scrims
- add cvar hud_spec_minimumMode, hiding the "Spectating" message and
  camera lense flash effect in spectator modes for a cleaner image when set to 1
- add 3 new actionsmaps for spectator z-axis movement, specmoveup (bound to 'r'), specmovedown (bound to 'f'), 
- specmovez (bound to joystick_z) without current Actionmapper support

New Content

- new variants for Mechs and vehicles
- new Map : TC_Sandblasted
- new Map : SA_Glory
- new Map : SA_HelsGate
- new Map : SA_Jungle
- Duncan Fisher Solaris Arena Announcer audio
- single bay 'Mech hangar prefab
- SA stadium model & crowd texture
- SA camtower model
- SA promotional posters
- SA clan recruitment posters
- replaced multiple particle effects (better visual and performance)

Balancing

- lowered per-missile damage for ATMs
- Pulse Lasers now have different ranges based on Clan/IS version
- increased Clan Pulse Laser C-Bill costs, reduced cost of IS version
- AC10/UAC10 now have faster projectile speed
- AC10/UAC10 primary and secondary damage improved
- lowered tonnage for Clan Medium and Large Heavy Lasers
- LBX2/5 (for both Clan and IS) now refire faster and have DPS more inline with series set forth by LBX10/20
- new Uziel "D" and "E" variants
- corrected Sparrowhawk variants
- laser weapons now make audible impact sounds
- screen shake from SRM/SSRM/ATM reduced
- aerospace must land to rearm by default (can be overriden by League Mode cvar)
- aerospace rearm at APCs is disabled (can be overriden by League Mode cvar)
- hitboxes improved for all ground vehicles
- hitboxes improved for Mk2, Madcat
- BA TAG range increased to 550m
- Removed UAC "double jeopardy" cooldown penalty
- Sparrowhawk flight parameters adjusted so it's not as "clunky", but still more manouverable then the Sulla

Optimisation

- heavily optimised TC_DeathValley map to reduce drawcalls and texture memory usage
- bulletimpacts system corrected
- class based sound channel calling system for vehicles
- various Oneshot and MaxChannels issues resolved with sound palette
- tracked vehicle handling improved globally, less slip on inclined surfaces

Bug Fixes

- Fixed streak srms getting stuck in mid air
- turret pitch locking for tracked vehicles when going over rapidly varying terrain resolved
- coolant refill bug resolved
- Aecm fixed
- fixed ammo quick buy behaving incorrectly sometimes
- fixed a crash caused by the respawn timer getting loaded and unloaded on every spawn
- Disabled firegroup input while cbill sharing menu is open if there are key conflicts
- Removed UAC "double jeopardy" cooldown penalty
- Fixed partial ammo reload costing price of full ton
- Fixed stuck buy zones from APC 
- Fixed not being able to buy additional ammo for Harasser E if ammo was depleted 
- Fixed corrupted display of coordinates specifier in the map display for
  non-english versions of Crysis Wars
- Fixed MRMs 10 and 20 so that they don't have missiles flying off at a stupid angle
- Fixed SSRMs and RACs to not have recoil on non-mechs
- Tweaked PPCs and RACs so that their visual effects should be more accurate to their damaging effects

Other changes

- support for standard Crysis has been removed
- more robust cheat protection system implemented for both client and server
- extraneous start menu options have been removed for greater clarity
- menu CONFIG option now invokes included Actionmapper utility

Actionmapper

- new look and feel, icons for key panel, short descriptions for each action when selected
- moved aero/vtol invert actions close to the actions they belong to
- fix provided for bug where you had to click twice on an action to get it to properly update the key selection UI panels
- added code to preserve autoexec.cfg comments and formatting when writing out
- corrected XI fire action to be onPress instead of onRelease in the default actionmaps
- fixed issue where infinite loop of popups would occur when there's only one profile with no actionmaps.xml file present

Installer

- more verbose pre-installation instructions provided
- installer support for standard Crysis has been removed

Auto Updater

- Fixed download size terminology (thanks to WhiteZero for reporting)
- Updates for the Auto Updater, Beta Launcher or Crash Reporter now called  'MWLL Tools'
- Fixed a bug that caused updates for the Auto Updater not to be installed before any other MWLL updates
- Detect if Beta Launcher is running fixing various crashes related to this
- When the Auto Updater fails to install a file, it will prompt the user with a Retry-Cancel dialog instead of terminating the update
- A new 'Settings' button was added to the update window, clicking on it will pause the update and show the settings dialog.
- Added options to limit the upload and download speed (thanks to ~SJ~ Darthbob for the idea)
- Settings are now global and persistent across updates
- Fixed a crash when multiple instances of the application was attempted to be started
- A 'Retry' option was added to the error dialog when the Auto Updater has failed to check for updates
- Improved the update selection logics to prefer smaller-scale updates
- Fixed a serious bug in the update download and post-installation logics
- All log files and data files are now stored in My Games\Crysis Wars\MWLL\Launcher

Beta Launcher  

- Now will automatically exit in most cases when the Auto Updater is beginning to download an update.
- Fixed a bug in the server level rotation generator that caused Test of Strength game mode not to be working properly
- Fixed a crash when multiple instances of the application was attempted to be started

Known Issues

- Thor footsteps do not play
- if a lock-on missile system in a LT/RT is destroyed while the system is acquiring a lock the lock-on tone will play continuously
- repairs are not halted when damage is taken, will be addressed in 0.5.1
- MWLL logo in main menu does not support custom menu skin colour (known issue, will not fix)



Version 0.4.9
-------------

Debugging
- Debug DLLs now properly catch fatal engine crashes

Balancing
- LRMs : reduced clip size to 180 from 240
- LRMs : reduced reload time between volleys depending on LRM size
	* LRM5  : + 100%
	* LRM10 : +  33%
	* LRM15 : +  11%
	* LRM20 : unchanged
- MGUNs now carry 1000 bullets instead of 800
- Clan UAC10/20 and UAC10/20 have their secondaryDamage (vs. BA) added
- AC10, Clan_UAC10, UAC10 have their shots per ton increased to 40 from 32
- Repairing at home base is now cheaper
- Eagle Eye Turret not longer shooting at BA at long range

Variants
- Modified Hawkmoth E

Particle Effects
- new RAC tracer effect
- changed RAC impact effect
- optimized mPPC trail

Bug fixes
- Fixed : broken rank names in Test of Strength gamemode
- fix for a server crash
- Fixed : Scoreboard always showing TC mode scoring

Other Changes
- Vehicles now can only be sold if they stand still
- Updates to actionmapper


Version 0.4.8
-------------

Bug fixes
- Fixed a server crash caused by the ticket end timer


Version 0.4.7
-------------

Bug fixes
- Reverted Loki legs to non-crashing version
- Fixed PPC particle effect which caused clients to crash
- Fixed some buy menu entries


Version 0.4.6
-------------

Bug fixes
- Added missing Partisan D & E for conditional testing (was missed in 0.4.5)
- Added missing files to enable client side cvars
- Fixed Thor A buy menu entry
- possible fixes for huit and morrigu crashing
- fixed debugging dlls causing crashes


Version 0.4.5
-------------

Balance
- Lowered Light Kinetic, Kinetic and Energy multipliers for Hawkmoth chassis
- Lowered aerospace and VTOL detection radius for Hellgiver turret from 800m to 700m

Bug fixes
- cvars v_invertAeroPitch/Roll/YawControl and v_invertoVTOLPitch/Roll/YawControl now modifiable
- Vehicle aiming: fixed turret rotation getting stuck until backed off
- Corrected Buy Menu descriptions for several variants to match actual implemented equipment
- Fixed Hawkmoth C3 implementation
- Morrigu handling improved, reduced slip

Other changes
- Vehicle aiming: stripped away most of the inertia and 'mouse queue'
- Vehicle aiming: now affected by cl_sensitivity (the mouse slider in options)
- Vehicle aiming: additional cvar cl_turretsensitivity
- Added Partisan "D" and "E" variants for conditional testing
- Better debugging facilities


Version 0.4.4
-------------

Balance
- changed allocation of armour for Hollander to improve Right Torso durability
- reallocated the armour distribution for tanks to remove a small amount from the turret
- decreased armour factor for tanks by 6.7%
- heavy laser balance set: increased cost by 5%, decreased damage by 5%, increased heat-per-shot by 7%
- TSA_Palisades AMS turrets added in IS and Clan bases
- TC_DeathValley AA turrets added into capture bases
- TC_ThunderRift extra turrets added into capturable bases, starting base turrets overhauled and tuned
- Changed variants of: Loki, Madcat, Thor, Shadowcat, MKII, Cougar, Shiva
- All mountable weapon damage Reduced by 6.7%, Damage dropoffs changed significantly.

Bug fixes
- Mech braking while holding (w) or (S) affected heat and acceleration
- TSA_Frostbite calliope turrets fixed and working
- TSA_ThunderRift map fixed and working
- TC_ThunderRift numerous stuck spots fixed
- TSA_Palisades numerous stuck spots fixed
- TC_DeathValley base capture areas no longer extend beyond base walls, plus numerous other fixes
- TC_Marshes fixed numerous user reported bugs
- TC_Kagoshima fixed numerous user reported bugs
- All Maps have had repair bay entites tweaked to help with getting stuck
- fixed various models that were missing from some maps
- Fixed Harsser and Hephaestus so they can't push heavy tanks around so much


Other changes
- Points from kills are now awarded based on damage dealt
- made Mech turning less lumbering; some other adjustments
- Mechs: using brake and then throttling in opposite direction will brake to zero before accelerating

Known Issues
- some ladders on some maps will not function correctly
- some Tanks may get stuck on repair bays under certain circumstances
- single bay mech hangers will allow build when occupied
- single bay mech hangers will allow repair under certain circumstances

Version 0.4.3
-------------

Bug Fixes:

- fixed: crash in synchronized storage
- fixed: race condition in debug dll

New Features:

- smoother turning of Mech legs with keyboard

Version 0.4.2
-------------

Balance

- increased RAC5/RAC2 price

Bug Fixes

- fixed: crash due to overheat damage
- fixed: crash on connect
- fixed: joystick handler looking for the joystick.cfg in the wrong place when using Wars
- fixed: buy menu icon for thor not displaying correctly


Version 0.4.1
-------------

Bug Fixes

- Fixed broken Sounds.pak

Version 0.4.0
-------------

Balance

- AC10/20s no longer overheat while shooting
- (U)AC10/20, LBX10/20, RAC5: now have increased damage at shorter range
- reduced the explosive force of SRMs and SSRMs. (less explosive knockaround)
- decreased heat produced by (U)AC10/20
- new pricing schema for 'Mechs, vehicles and weapons
- mPPC is now a dedicated Battle Armour weapon and cannot be take into/purchased in vehicles
- repairing 'Mechs now takes longer and is more expensive
- repairing Aerospace now takes much longer and is more expensive
- repairing tracked and hover vehicles is less expensive
- aerospace now have a specific engine component vulnerability
- killing BA now rewards the player depending on the rank of the enemy and equipment carried
- minimum possible revive time is now 30 seconds. As this is a group spawn timer the average respawn time will be 15 seconds
- double heatsinks now cost double the amount and have been given to selected Inner Sphere Mech variants
- added support for seeing enemy NARC beacons with C3. Team can now remove NARC beacons with EMP damage (PPC or critical explosion)

Bug Fixes

- fixed : Bug which could be exploited to load unlimited amounts of ammo into a Mech or vehicle
- fixed : Stuck MASC on shutdown
- fixed : Grenade switching locking keys and firing primary weapon
- fixed : ASF boost not turning off when shutting down
- fixed : Team colors not being displayed when spectating
- fixed : Bug in Test of Strength which caused C-Bills to be reset on server restart
- fixed : Base turrets not working on Mirage
- fixed : Revive timer not disappearing sometimes
- fixed : Bug which caused a crash when buying BA weapons
- complete replacement of Novacat leg rig and animations, fixes common Novacat crashes (bounding box crash)
- attempted to fix aiming being tied to framerate
- refactored explosion handling to improve server performance
- improved 'Mech control, for example throttle is not reset to 0 after a fall
- improved Flamer heat-imparted serialisation to moving targets
- refactored repair mechanism for better server performance
- added solids to 8-bay hanger to address the fall through hangar bugs
- removed unintended Flash traces to console
- added missing buy menu icons for Mechs and Tanks (Osiris, Novacat, Long Tom, etc.)
- various console error spam issues resolved
- fixed lasers shooting through objects and terrain if target is visible for the recutile

New Features

- initial release of dual-platform support for Crysis and Crysis Wars
- cheat protection enabled serverside
- new game mode : Terrain Control
- enabled Beta DLL logging and provided facility to upload crashlogs 
- added server command : sv_say_center
- new Weapons : X-Pulse Lasers (Inner Sphere)
- new Weapons : Heavy Beam Lasers (Clan)
- new Weapon : ATM (Advanced Tactical Missile) (Clan)
- added gameplay hints display during map loading process
- league mode cvars to alter certain gameplay aspects (see League Mode documentation)
- league API for additional League Server Setup support
- league mode HUD notification message
- turret AI now has different detection distances for BA/Mech/Aero/Tank etc.
- modified screen overlay indicators for targets and bases
- Battle Armour now loses HUD upon EMP damage
- IS has now its own rank names in TSA
- enhanced sv_is_vs_clan CVar: 0 = all assets, 1 = IS vs. Clan, 2 = IS vs. IS, 3 = Clan vs. Clan
- new firebomb particle and sound, increased visual/audible range
- Hit indicator sound now plays for gauss weapons too

New Content

- new variants for Mechs and vehicles
- new Battle Armour HUD
- new Map : TSA_Palisades
- new Map : TC_DeathValley
- new Map : TC_Kagoshima
- TC version of Thunder Rift
- TC version of Marshes
- TC version of Mirage
- new sounds for RAC2 and RAC5
- new turrets: Sentinel and Hellgiver
- single repair bay for field use
- single bay 'Mech hanger for field use
- new destructible tree models
- new Clan light hovercraft : Hephaestus
- new Clan assault tank : Morrigu
- new Clan heavy 'Mech : Thor
- new MRM sound
- new icons for weapons and ammunition
- 'Mech reactor sounds are now dynamic with speed
- Betty audio notification system for TC game mode

Optimizations

- particle effects support variable performance settings (from Crysis presets)
- cleanup and optimization of all sounds, numerous sound channels saved in heavy fights
- optimization of buy menu

Other Changes

- Solaris Arena has been renamed to Team Solaris Arena
- doubled spectator zoom distance (when rotating around a mech)

External Tools

- numerous reliability, performance improvements, and bug fixes. All known issues with the Beta Launcher or the Auto Updater have been addressed

Auto Updater

- added new functionality to allow release of updates for the external tools (Launcher, Auto Updater, etc.) only. Allows fo rapid hot-fix deployment
- with the above change, versioning of these applications are now detached from that of the MWLL codebase; with MWLL 0.4.0 comes the 0.8 series
- Auto Updater can now download and install full MWLL builds in addition to updates. All future deployments are intended to be distributed via the Auto Updater
- The application now can be minimized to the system tray, where it will keep providing information about the update status

Beta Launcher

- Added option to enable/disable automatic check for updates.
- Now capable of verifying and repairing potentially corrupted game builds (missing/altered/corrupted files). This feature still has a few limitations, but should be able to fix most of the game file corruption issues

Known issues

- Grenades get stuck on Inferno upon buying NARC after spawn from APC and trying to switch them. Selected Inferno cannot be thrown nor changed
- Terrain Control: Cbills are not returned when construction is canceled due to base being captured by enemy
- Firing SSRMs from Aerospace may cause it to jump unintentionally
- New hovercrafts are missing 'blast' effect (blow from below it)
- Aerospace may not crash under water
- Shiva might get stuck in hangar while parking it for repairs
- Spectators can destroy fences


Version 0.3.2
-------------
Balance 

- increased minimal falling height to 3.0m 
- +8% damage for kinetic weapons against aeros 
- increased flight speed of ppcs and AC2/AC5 
- decreased fire bomb damage by 8%

Bug Fixes 

- fixed bug which caused server crash 
- fixed Team Tickets display 
- fixed weapon reload HUD indicator 
- fixed invisible grid locations on maps with bright minimap 
- fixed Elemental health Flash error 
- fixed spectator overlay 
- fixed unnecessary trace commands 
- fixed lockon tone for vehicles despite no SRM/LRM present 
- increased time after a mech is sold to prevent teleport bug 
- fixed bug which caused billing of the original owner when repairing a stolen mech 
- fixed Test of Strength not changing map after round end 
- fixed phantom MASC 
- fixed rank not being restored after reconnect to a server 
- optimized particle effects for better performance during heavy firefights 

New Features 
- added artificial horizon for VTOLs / Aerospace 
- new color in reload indicator when a weapon is empty


Version 0.3.1
-------------

Balance
- BA Micro Beam Laser, decreased damage and increased refire interval (5.5 seconds)
- buy menu now prevents purchase of BA Micro Beam Laser in vehicles
- BA AC2 weapon damage adjusted, no longer one-shot kill, damage to vehicles is appropriate
- AC10/AC20 damage increased
- variant change for MadCat B, removed LAMS, added 2x DHS, no longer causes global warming

Bug Fixes
- resolved scoring and ranking issues due to order-of-magnitude changes
- damage rewards increased per unit damage
- resolved flashing/intermittent HUD indicators for MISSILE, NARC, TAG
- revamped HUD indicators for ECM, Active Probes, LAMS and C3 to fit with existing aesthetic
- C3 rewards are now appropriate
- BA myomer sound decreased by 2dB
- hit feedback sound increased by 10x
- change Betty destroyed notification weightings to favour "DESTROYED" more, improved intelligibility
- resolved client-side entity spawn crash

Actionmapper
- Added window title information including the actionmaps name currently being viewed/edited, along with tags for if its been modified or is active
- Added Next/Prev Weapons group actions to Vehicle tab
- Added "Deploy" action to tank tab (used for Long Tom)
- Added "Sell Vehicle" action to Vehicle tab
- Added digital roll left/right actions for VTOL and Aero tabs
- Added additional "XI" axis to Mech/Tank/VTOL/Aero tabs
- Added "New Actionmaps" and "Set Active" buttons to top of screen for better new user visibility
- Added "Left or Right" selection dialog when Shift, Control, or Alt keys are pressed since detection library can't determine by itself
- Added helpful text when clicking on an action marked with "?" to let user know they need to create a New Actionmaps to map it
- Restructured VTOL and Aerospace tab actions
- Fixed using "Set Active" on unsaved actionmaps could lead to unsaved changes not getting saved
- Fixed Player tab "Jump"/"Jump Jet" rebinding since Player BA needs both set to same key
- Fixed issue with "XI Fire" actions by showing them in the Vehicle tab in case of conflicts

Launcher
- fixed numerous crashes
- the profiles backup/restore can no longer result in data loss or data corruption: upon error, the original state of the folder will be restored

Exploit Fixes
- fix for buying vehicle, suiciding, boarding vehicle and reselling, 2 minute "sell vehicle" cooldown timer, timer is bound to vehicle not player

Logging
- improved server-side logging feature for debug

Map Fixes
- SA_Frostbite, particle performance improved, night "blizzard" effect
- SA_Frostbite now supports Test of Strength mode
- SA_Marshes, particle performance improved, ToD issues
- SA_Mirage, night/day cycle improved


Version 0.3.0
-------------

Balance
- Almost every weapon has been rebalanced using the new intern balacing tools.
- Armor across all vehicles has been rebalanced as well.
- All vehicle variants adjusted to match perfectly to improved tonnage rules. Be warned these are not CBT, but are now strictly adhered to.
- Prices on weapons tweaked, more to come later.
- AC 10's and 20's are now automatic firing weapons. 
- Ultra AC's now have a significant jam penalty when overheated.
- All tank's have had the their movement params tweaked.
- AMS now only focuses on 1 salvo of missiles at a time.
- AC 10's and 20's now explode after a certain range
- Increased repairing costs
- Increased maximum flight height of aerespace to 1500m
- Damage has been tweaked across the board to increase average combat time.
- Reduce order of magnitude on scores.
- Slightly reduce cbill accural rate.
- Cockpit now shakes significantly when jump jetting in a mech.
- BA view screen shakes slightly when jump jetting.
- Gauss speeds increased
- PPC speeds slightly decreased
- AC2/5 ranges slightly decreased, now inccur linear damage drop off after stated max range.
- AC10/20 inccur damage drop off after stated max range.
- More than we could possibly listed here.

Bug Fixes
- Fixes for most light mech animations
- Fixed out of combat area height on Inferno
- If buying ammo for a partially empty weapon the player now is only billed for the missing rounds
- AMS is now repairable
- Aerospace manuverability is no longer frame dependent
- Fixed vehicle heat damage
- Fixed ejector seat not disabling after use for owner of the vehicle
- Improved joystick support
- Buying at an APC now also works when connecting to the server after the APC was spawned
- Hovercrafts now have functioning boost with no overheat
- AMS now stays on one Arrow IV if multiple missiles are inbound
- Fixed mech landing sounds sometimes not playing
- Fixed destructible trees demanding too much performance
- Fixed pilot positions in a few mechs
- Cbill transfer does not longer change weapon group assignments
- Fixed Test Of Streng prices
- Fixed bug in BA jumpjet effect that caused a CDT
- Fixed bug which caused weapon reloading not to be correctly displayed on the client
- Improved Novacat legs, still not our favorite.
- Fixed extra ton of ammo exploit
- Bomb sight is now more acuarte, lateral momentum still not accounted for.
- Fixed bug which caused a vtol/aerospace to be stuck on the ground after spawn.
- Fixed a bug which caused harraser to be stuck in water sometimes
- Fixed bug which caused damage not to be transfered from the backtorso to torso when backtorso is destroyed
- Fixed text on HUD grenade indicators
- Fix for NARC beacon not being removed after destorying a target
- Fixed jumpjet percentage indicator
- Players are not longer able to enter enemy APCs
- Fixed BA drowning to death after 2 minutes.
- Wire guided weapons such as MRMs actually travel where they say they do now. They were useless in 0.2.0.
- More than we could possibly listed here.

New Features
- Changed behavior of ammo quick buy key.
  1. Buy ammo for all empty / partially empty weapons
  2. If there is only one weapon that needs ammo, buy that ammo
  3. If there are multiple weapons that need ammo, buy ammo for that weapon selected in the firegroup manager
- Added posibility to limit player / team respawns with tickets in Solaris Arena
- Added HUD display for player / team tickets (if team tickets are inactive the ticket display is used for regular team score)
- Added server variable so that IS and Clan can only build their respective mechs / tanks etc
- Cbill transfer disabled during combat, 2 minutes after suicide and reconnect
- APC owners are now rewareded with 5000 CBills for every BA that spawns at their APC
- ECM and passive radar now increase lock time for missiles (they stack)
- Added three state radar detection
  1. First state (between 60% and 100% with no line of sight): You only have a blip indicating a valid target and distance.
  2. Second state (less than 60% radar range while active with no line of sight): You gain knowledge of the target's class.
  3. Third State (less than 80% radar range with line of sight): You have all available information.
- Radar information is cached (but not updated) if you go out of range while targeting.
- Refactored LUA/HUD code to allow for easy implementation of new game modes.
- C3 broadcasters now receive money for transmitting new information to team mates.
- It's now possible to sell vehicles back at the mech bay / vtol pad, aero hangar. Default key 'J'
- When first repairing and then selling your mech you only get the cbills for the value of the mech prior to repairing because it would be an exploit otherwise
- Added posibility to limit buy options for a factory (not used yet)
- You can now repair aerospace on the runway
- Betty events are now queued and no longer overlap each other
- Non destroyed mechs without pilot now stay a lot longer on the battlefield
- Made it easier to land aerospace units
- When crouching mechs gain a higher pitch limit to aim at airborn units. Four mechs receive a base additional bonus and are AA mechs.
- The firegroup manager now remembers the firgroup assignments depending on vehicle and variant. No need to reset them all the time anymore.
- Added crouch, shutdown, AMS, overheat, deploy and C3 indicator to mech HUD
- Changed night vision shader.
- Long Tom has now to be deployed before it is able to shoot
- When buying a second BA weapon and the BA laser is still in the inventory, the BA laser is automatically dropped
- New chat system & killog font
- New Spectator HUD overlay
- New damage display for tanks,vtols and aeros
- Internal structure for the Uziel
- New HUD indicator when overheating
- Radar rages and active / passive / GECM state is now shown for friendly units on the overview map
- Legend on overview map to sort out all the new symbols.
- Streak SRMs now have more unique firing pattern.
- Heat warnings in flash overlay.
- Various small features you may or may not notice.


New Content
- Uziel IS Medium Mech added
- Loki CL Heavy Mech added
- Aerospace IS Sparrowhawk added
- Added AMS turrets for bases. These are neutral and will fire and enemy and friendly shells/missiles. 
- Added sounds and effects to Long Tom tank and Long Tom shells.
- Added a library of betty sound warnings.
- Completely reworked SA Frostbite
- Reworked Extremity
- Tweaks to SA_Sandblasted
- Tweaks to SA_Marshes time of day
- Tweaks to SA_Clearcut, trees should perform better than 0.2.0.
- New map SA_Mirage
- New map SA_ThunderRift
- Added Actionmapper utility accessible from new beta launcher.
- New launcher, providing GUI for server configuration (including level rotation), giving you more advanced options for launching (32/64 Bit, force DirectX 9) and allowing for quick access to various configuration tools (Joystick.exe, Actionmapper).
- Added new BA footstep sounds
- Added limited library of impact sounds for weapons fire.
- New Long Tom model
- New flamer effect
- Updated PPC effect
- New laser impact effect
- Added missile models to most missile types.
- New BA weapon Micro Heavy Laser
- New loading screens for all maps
- New D/E variants for Shiva and Harasser
- New sounds effects for certain weapons like the Gauss line.

Optimizations
- Optimized bandwith usage of mech legs
- Basic bandwidth improvements over 0.2.0
- Improved particle effect performance for many effects
- Improved sound channel performance for various sounds


Known issues:
- Inverting the joyaxis_y on vehicles does not work


Version 0.2.0
-------------
Balance
- Reduced NARC lock on range from 1000m to 800m.
- Owens now has C3 on all variants.
- Owens now have MASC on B and C variants.
- Warhammer speed has been increased slightly.
- Increased refire rate on SRMs.
- Increased refire rate on StreakSRMs.
- Increased LBX5/10 damage.
- Increased price of most ammo types.
- Decreased MASC speed increase from 50% to 40%.
- Tweaked control performance of all aerospace.
- Greatly increased AC/RAC damage against BA and aerospace.
- Slightly increased spread on RAC2/5s.
- Increased RAC overheat time.
- Rebalanced Rank salaries including starting salary.
- Rebalanced accleration factors on mechs.
- Increased height threshold for applying fall animations on mechs.
- Firebomb and TBolt reload times greatly increased.
- Decreased gauss damage agaisnt aerospace, to prevent guarenteed one shot kills.
- Increased damage and heat of Clan ERPPC.
- Increased speed on both Sulla and Shiva.
- Updated Warhammer configurations.
- Updated Puma configuration.
- Updated Hawkmoth configurations.
- Updated Shiva C configuration.

Bug Fixes
- Stumps on destructible trees are now destructible.
- BA flamer now functions correctly.
- LRM/Streak offsets are now applied when unlocked or guided by tag/narc.
- Reticule targeting now reliable.
- Calliope turrets now properly fire all visual effects on remote clients.
- Fixed multiple ammo reload bugs.
- Laser orientation on remote clients fixed. Vehicle TAG laser now works as intended.
- Tracers orientation on remote clients fixed.
- Missle trails now align to physics direction correctly.
- Fixed ghost MASC sounds on cougar.
- LRMs now adjust descend distance based on height to target.
- Ejector seat is now one shot for both original owner and thieves.
- Mechs do not instantly stop on ejection anymore.
- Joystick x-axis now properly supported.
- Joystick sliders now properly supported.
- Joystick POV switches now properly supported.
- Joystick throttle on mechs now behaves sanely.
- New joystick commands for each axis 'raw' and 'invraw' to send joystick commands without sensitivity.
- When using a joystick, game writes Joystick.cfg file to active profile.
- New min and max variables per joystick axis that allow users to map custom ranges into -1.0 to 1.0 range.
- Fixed corruption of vehicle hud when hitting ESC to go to the main menu.

New Features
- Cheat protection system added.
- Current release uses new installer.
- Prices on all vehicles are now calculated based on chasis, equipment, weapons, and armor.
- C3 computers will now chain together to give even more range.
- Main menu now displays mod version.
- Directional indicator on hud for nearest tag/narc.
- * Terrain intelligent bomb sight.
- LongTom projection system.
- Improvements to aerospace controls to allow both percision and speed.
- Rank/Score/Income now scales with how many players are on the server.
- Manpack PPC now has some serious kick to it.
- Lock on cone reduced.
- Lock on timer added which allows you to break line of sight for a short period of time.
- Friendly NARCs and TAGs now show up on the radar/map.
- Added command invertMousePitch to invert pitch on aerospace in game.
- Added analog control of leg turning for relevant devices.
- Added more formal support for gamepads like the xbox360 controller.
- Default actionmap includes mapped functionos for gamepads.
- VTOL booster now angled to move player forward in most situations.

New Content
- Added Osiris to Inner Sphere mechs.
- Added Novacat to Clan mechs.
- Added Thanatos to Inner Sphere mechs.
- Added APC.
- Added Longtom to Innersphere tanks.
- Added MRM20, MRM30, MRM40 missile launchers.
- Added laser based anti-missle system.
- Added Frostbite map.
- Updated Extremity.
- Updated Clearcut.
- Updated Inferno.
- Updated Sandblasted.
- New RAC5 sound.
- New RAC2 sound.
- New sounds for Sulla.
- New nuke particle effect.

Optimizations
- Performance optimizations on desturctible trees.
- Optimized server performance on laser guided missiles.
- Optimized server performance on explosions.
- Optimized server performance on vehicle flamers.
- Optimized RAC sound channel usage.
- Optimized LBL sound channel usage.
- Various map optimizations.

Known Issues:
 - Inferno currently has a misplaced killzone at 500 m height which kills VTOL pilots.


Version 0.1.0
-------------
Balance
- Damage drop off added to Heavy Gauss after 300m.
- Increased damage of all Gauss (except Heavy Gauss).
- Increased Gauss and Clan Gauss ammo per ton from 8 to 12.
- Increased LRM ammo per ton from 120 to 240.
- Decreased SRM ammo per ton from 240 to 120. Increased radius of splash damage.
- Decreased NARC ammo per ton from 6 to 4.
- NARCs no longer emit a signal if they attach to the ground.
- Decreased Medium and Large Pulse Lasers damage.
- Increased damage of all Beam Lasers. Lowered heat of ERLBL.
- Decreased Clan ERPPC heat and increased PPC heat. Increased heat transferred to targets for all PPCs.
- Decreased heat transferred to targets by Flamers.
- Increased RAC2 and RAC5 Damage.
- Increased accuracy of AC2 and AC5. Increased damage to light armor (Battle Armor, hovercraft, VTOL, aerospace). Decreased damage to heavy armor.
- Decreased turn rate of Arrow IV.
- Decreased Battle Armor health regen when moving (from 40 seconds for full health to 60 seconds).
- Decreased Battle Armor health from 150 health to 125 health.
- Inferno charges now add heat to vehicles they detonate on.
- A mech's back torso can now be repaired once destroyed.
- Improved Harasser drivability.
- Changed Harasser C weapon loadout.
- Slightly decreased Partisan armor.
- Decreased Huitzilopochtli heat efficiency and increased price.
- Increased price of Sulla B.
- Increased price of Shiva C.
- Increased MASC speed boost amount.
- Increased mech turn rate.
- Increased Owens and Uller top speed.
- Increased price of Hollander II. Changed weapon loadouts of Hollander II B and C.
- Changed weapon loadout of the Vulture B.
- Changed weapon loadouts and improved heat efficiency of MadCat A, B, and C.
- Changed weapon loadouts of Mauler A and C. Improved heat efficiency of Mauler A, B, and C.
- Changed weapon loadout of MadCat MKII B.
- Changed weapon loadouts of Atlas A, B, and C
- Increased point requirements for every rank.
- Increased CBill rewards for damage.
- Increased rewards for killing Battle Armor.

Bug Fixes
- Fixed several crashes.
- Fixed bug where NARC and TAG gave extremely large rewards.
- Fixed bug where your rank and cbills were not saved after reconnecting.
- Fixed bug that allowed tanks to greatly increase their speed.
- Fixed being able to fire some weapons while shutdown.
- Fixed LBX being able to reload a shot higher than max.
- Fixed bug where shooting pulse lasers into the sky would cause much higher heat than normal.
- Fixed bug where pulse lasers could shoot multiple bursts at a time.
- Missiles no longer explode on contact with water.
- Mechs no longer play their fall animation for short falls.
- Fixed turrets firing randomly after firing once.
- Aerospace can now buy SRM ammo.
- Mechs no longer shutdown after the pilots ejects.
- Brake now works on vehicles with ramping throttle.
- Fixed some of the arm parts on the Shadowcat not falling off.
- Fixed bug where a mech's shutdown sound would loop.
- Fixed PPC third person effect.
- Fixed player name display in the target box.
- Fixed TAG graphic display at certain distances.
- Ammo display now hides empty ammo types.
- Fixed ammo count displays in buy menu.
- Removed some of the console debug messages.

New Features
- Aerospace equipped with fire bombs now have a bomb sight to assist in aiming.
- Added Aerospace altimeter.
- Added new C3 equipment, which allows a mech to upload their radar data to friendlies within a certain radius. Available on the Raven and Cougar.
- New radar icons for turrets and Battle Armor.
- Friendlies and detected radar entities are displayed on the overview minimap.
- Added a random chance for parts to blow off when a mech or vehicle explodes.
- Kills, deaths, and score are now tracked if you disconnect and reconnect during the same game.

Optimizations
- Reduced server network and cpu usage, especially during large fights.
- Heavily optimized usage of sound channels.
